set nocount on
GO
use master
GO

Declare @dbname nvarchar(500);
DECLARE @cmd1 nvarchar(500);
DECLARE @cmd2 nvarchar(max);
DECLARE	@tmp nvarchar(500);

-- Get non system databases
Declare mycursor CURSOR for select name from SYS.databases where database_id > 4 order by name desc

open mycursor

fetch next from mycursor into @dbname

while (@@FETCH_STATUS <> -1)
    BEGIN
	    set @dbname = '['+@dbname+']';
        if (Left(@dbname,3)='[SW' and Left(@dbname,4)!='[SWH')
			if @dbname='[SWLogin]'
				
				 --print 'Login'
				 Goto Update_SWLogin
				else
				if (LEFT(@dbname,5)='[SWSy' or @dbname='[SWSystem]')
					 --print 'Sysdb'
					 Goto Update_SysDb
				else
					if right(@dbname,5)='_Log]'
					 --print 'Project Log'
					  Goto Update_Project_Log_DB
					else	
						 -- print 'Project'
						Goto Update_Project_DB
				

		if Left(@dbname,5)='[sdb_'
			 -- print 'Hist Db'
			 Goto Update_HistDb		

		ReturnToLoop:

        fetch next from mycursor into @dbname
    END
CLOSE mycursor
DEALLOCATE mycursor

print '...'
print 'Script finished...'

RETURN

Update_Project_DB:

print 'Starting update of ' + @dbname + '...'

-- Create any missing Project tables
set @cmd2='USE ' + @dbname + ';'
set @cmd2=@cmd2 +
'begin transaction;
if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_ATT_LIMIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_ATT_LIMIT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sAttID] [nvarchar] (12) NOT NULL ,
	[sMax] [nvarchar] (50) NULL ,
	[sMin] [nvarchar] (50) NULL ,
	[bJoin] [bit] NULL ,
	[sFilter] [ntext] NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_AUTO_EST_ATT_LIMIT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[sAttID],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_REF_SHIP_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_REF_SHIP_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_REF_SHIP_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_AUTO_EST_REF_SHIP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[sShipID],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sCurveType] [nvarchar] (1) NULL ,
	[iMethodType] [smallint] NULL ,
	[bShowLabel] [bit] NULL ,
	[bShowAverage] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bScaleAxis] [bit] NULL ,
	[sComment] [nvarchar] (50) NULL ,
	[iCoeffSel] [smallint] NULL ,
	[fCoefficient] [decimal](28, 14) NULL ,
	[fCoeffStd] [decimal](28, 14) NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[fStd] [decimal](28, 14) NULL ,
	[bAbsYAxis] [bit] NULL ,
	[MethodType] [nvarchar] (50) NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_WBS_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_AUTO_EST_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_AUTO_EST_SHIP_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[iShipType],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_POST] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_POST_ProjectID] DEFAULT (N''Master''),
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (25) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_POST_WBS] DEFAULT (N''WBS00''),
	CONSTRAINT [PK_AUTO_POST] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sSetting],
		[sPostID],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_REF_SHIP_ProjectID] DEFAULT (N''Master''),
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_REF_SHIP_WBS] DEFAULT (N''WBS00''),
	CONSTRAINT [PK_AUTO_REF_SHIP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sSetting],
		[sShipID],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_SETTING_ProjectID] DEFAULT (N''Master''),
	[sSetting] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_SETTING_WBS] DEFAULT (N''WBS00''),
	[iDetailLevel] [smallint] NULL ,
	[iMethod] [smallint] NULL ,
	[iCoefficient] [smallint] NULL ,
	[bAskParam] [bit] NULL ,
	[bShowAllEst] [bit] NULL ,
	[bShowWgtGrp] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bShowDeviation] [bit] NULL ,
	[bEstimateVCG] [bit] NULL ,
	[bEstimateLCG] [bit] NULL ,
	[sSisterShip] [nvarchar] (50) NULL ,
	[sMainPost] [nvarchar] (12) NULL ,
	CONSTRAINT [PK_AUTO_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sSetting],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_SHIP_TYPE_ProjectID] DEFAULT (N''Master''),
	[sSetting] [nvarchar] (50) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_SHIP_TYPE_WBS] DEFAULT (N''WBS00''),
	CONSTRAINT [PK_AUTO_SHIP_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sSetting],
		[iShipType],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_VALUE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_VALUE_ProjectID] DEFAULT (N''Master''),
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_VALUE_WBS] DEFAULT (N''WBS00''),
	[fValue] [decimal](28, 14) NULL ,
	[sStatus] [nvarchar] (1) NULL ,
	[fStdDev] [decimal](28, 14) NULL ,
	[fMaxStd] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_AUTO_VALUE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sSetting],
		[sPostID],
		[sPostType],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_CODE_ProjectID] DEFAULT (N''Master''),
	[CodeType] [nvarchar] (50) NOT NULL ,
	[CodeID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[CodeOver] [nvarchar] (50) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Start] [int] NULL ,
	[Stop] [int] NULL ,
	CONSTRAINT [PK_CODE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[CodeType],
		[CodeID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_FILTER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_FILTER] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_CODE_FILTER_ProjectID] DEFAULT (N''Master''),
	[FilterID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[Filter] [nvarchar] (500) NULL ,
	CONSTRAINT [PK_CODE_FILTER] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[FilterID],
		[CodeType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_MAP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_MAP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_CODE_MAP_ProjectID] DEFAULT (N''Master''),
	[sCode1] [nvarchar] (50) NOT NULL ,
	[sCodeType1] [nvarchar] (50) NOT NULL ,
	[sCode2] [nvarchar] (50) NOT NULL ,
	[sCodeType2] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_CODE_MAP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sCode1],
		[sCodeType1],
		[sCode2],
		[sCodeType2]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_REPORT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_REPORT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_CODE_REPORT_ProjectID] DEFAULT (N''Master''),
	[sTitle] [nvarchar] (255) NOT NULL ,
	[sFilter] [nvarchar] (255) NULL ,
	[sFormat] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_CODE_REPORT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sTitle]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODETYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODETYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_CODETYPE_ProjectID] DEFAULT (N''Master''),
	[CodeType] [nvarchar] (50) NOT NULL ,
	[SystemCodeVariable] [nvarchar] (50) NULL CONSTRAINT [DF_CODETYPE_SystemCodeVariable] DEFAULT (N''WBS00''),
	[Title] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[FieldSize] [smallint] NULL ,
	[Calculate] [nvarchar] (255) NULL ,
	[Tab] [nvarchar] (50) NULL ,
	[Format] [nvarchar] (50) NULL ,
	[FieldType] [nvarchar] (50) NULL ,
	[Mandatory] [bit] NULL ,
	[DefaultCodeID] [nvarchar] (50) NULL ,
	[AutoSum] [nvarchar] (50) NULL ,
	[Rule] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_CODETYPE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[CodeType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_PROJECT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_PROJECT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[Index] [nvarchar] (50) NOT NULL ,
	[Project] [nvarchar] (50) NULL ,
	[Label] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_COMPARE_PROJECT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SettingID],
		[Index]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NULL ,
	[ListType] [int] NULL ,
	[ShowDeviation] [bit] NULL ,
	[DeviationType] [int] NULL ,
	[ShowCoGImpact] [bit] NULL ,
	[CoGImpactType] [int] NULL ,
	[ShowItems] [bit] NULL ,
	[ViewType] [int] NULL ,
	[ShowX] [bit] NULL ,
	[ShowY] [bit] NULL ,
	[ShowZ] [bit] NULL ,
	[ShowCustomCode] [bit] NULL ,
	[ShowWeight] [bit] NULL ,
	[CustomCodeType] [nvarchar] (50) NULL ,
	[ShowCustomCodeRatio] [bit] NULL ,
	CONSTRAINT [PK_COMPARE_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SettingID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_VALUE](
	[ProjectID] [nvarchar](50) NOT NULL,
	[SettingID] [nvarchar](50) NOT NULL,
	[Project] [nvarchar](100) NOT NULL,
	[CodeID] [nvarchar](50) NOT NULL,
	[ItemID] [nvarchar](50) NOT NULL,
	[CodeType] [nvarchar](50) NOT NULL,
	[Weight] [decimal](28, 14) NULL,
	[X] [decimal](28, 14) NULL,
	[Y] [decimal](28, 14) NULL,
	[Z] [decimal](28, 14) NULL,
	[CustomCode] [nvarchar](50) NULL,
 CONSTRAINT [PK_COMPARE_VALUE] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[SettingID] ASC,
	[Project] ASC,
	[CodeID] ASC,
	[ItemID] ASC,
	[CodeType] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[DISTRCURVE_VALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[DISTRCURVE_VALUES](
	[ProjectID] [nvarchar](50) NOT NULL,
	[CurveType] [nvarchar](50) NOT NULL,
	[X] [decimal](28, 14) NOT NULL,
	[Y] [decimal](28, 14) NOT NULL,
 CONSTRAINT [PK_DISTRCURVE_VALUES] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[CurveType] ASC,
	[X] ASC,
	[Y] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EQUIPMENT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EQUIPMENT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EQUIPMENT_ProjectID] DEFAULT (N''Master''),
	[WgtGrp] [nvarchar] (10) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[SFINo] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Supplier] [nvarchar] (50) NULL ,
	[Depth] [nvarchar] (50) NULL ,
	[Width] [nvarchar] (50) NULL ,
	[Height] [nvarchar] (50) NULL ,
	[Power] [nvarchar] (50) NULL ,
	[RotSpeed] [nvarchar] (50) NULL ,
	[Diameter] [nvarchar] (50) NULL ,
	[Capacity] [nvarchar] (50) NULL ,
	[Pressure] [nvarchar] (50) NULL ,
	[Cost] [nvarchar] (50) NULL ,
	[Volume] [nvarchar] (50) NULL ,
	[Weight] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_EQUIPMENT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_ATT_LIMIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_ATT_LIMIT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_ATT_LIMIT_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sAttID] [nvarchar] (12) NOT NULL ,
	[sMax] [nvarchar] (50) NULL ,
	[sMin] [nvarchar] (50) NULL ,
	[bJoin] [bit] NULL ,
	[sFilter] [ntext] NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_ATT_LIMIT_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_EST_ATT_LIMIT_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_EST_ATT_LIMIT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[sAttID],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_REF_SHIP_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_REF_SHIP_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_EST_REF_SHIP_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_EST_REF_SHIP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[sShipID],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_REG_LINE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_REG_LINE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_REG_LINE_WBS] DEFAULT (N''WBS00''),
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[WgtGrpType] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_EST_REG_LINE_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_EST_REG_LINE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WBS],
		[WgtGrp],
		[WgtGrpType],
		[Title],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_SETTING_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sCurveType] [nvarchar] (1) NULL ,
	[iMethodType] [smallint] NULL ,
	[bShowLabel] [bit] NULL ,
	[bShowAverage] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bScaleAxis] [bit] NULL ,
	[sComment] [nvarchar] (255) NULL ,
	[iCoeffSel] [smallint] NULL ,
	[fCoefficient] [decimal](28, 14) NULL ,
	[fCoeffStd] [decimal](28, 14) NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[fStd] [decimal](28, 14) NULL ,
	[bAbsYAxis] [bit] NULL ,
	[MethodType] [nvarchar] (50) NULL ,
	[SisterProject] [nvarchar](50) NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_SETTING_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_EST_SETTING_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_EST_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_SHIP_TYPE_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_SHIP_TYPE_WBS] DEFAULT (N''WBS00''),
	[ItemNo] [nvarchar] (50) NOT NULL  CONSTRAINT [DF_EST_SHIP_TYPE_ITEMNO] DEFAULT (N''''),
	CONSTRAINT [PK_EST_SHIP_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sPostType],
		[iShipType],
		[WBS],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[HYDROSTATIC]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[HYDROSTATIC] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_HYDROSTATIC_ProjectID] DEFAULT (N''Master''),
	[Draft] [decimal](28, 14) NOT NULL ,
	[Displacement] [decimal](28, 14) NULL ,
	[KM] [decimal](28, 14) NULL ,
	[LCB] [decimal](28, 14) NULL ,
	[LCF] [decimal](28, 14) NULL ,
	[MCT] [decimal](28, 14) NULL ,
	[KB] [decimal](28, 14) NULL ,
	[TPC] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_HYDROSTATIC] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[Draft]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMAGE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
	CREATE TABLE [dbo].[IMAGE](
		[ProjectID] [nvarchar](50) NOT NULL,
		[ID] [nvarchar](255) NOT NULL,
		[Image] [varbinary](max) NULL,
	 CONSTRAINT [PK_IMAGE] PRIMARY KEY CLUSTERED 
	(
		[ProjectID] ASC,
		[ID] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SET] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SetID] [nvarchar] (50) NOT NULL ,
	[FileName] [nvarchar] (255) NOT NULL ,
	[Table] [nvarchar] (50) NOT NULL ,
	[Tab] [nvarchar] (50) NULL ,
	[HeaderRow] [bit] NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_IMPORT_SET] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SetID],
		[FileName],
		[SettingID],
		[Table]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SET_LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SET_LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SetID] [nvarchar] (50) NOT NULL ,
	[FileName] [nvarchar] (255) NOT NULL ,
	[Table] [nvarchar] (50) NOT NULL ,
	[LogDate] [datetime2] NOT NULL ,
	[LogUser] [nvarchar] (50) NULL ,
	[Logging] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_IMPORT_SET_LOG] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SetID],
		[FileName],
		[Table],
		[LogDate]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SETTING] (
	[SettingID] [nvarchar] (50) NOT NULL ,
	[HeaderRow] [nvarchar] (50) NULL ,
	[StartRow] [nvarchar] (50) NULL ,
	[EndRow] [nvarchar] (50) NULL ,
	[TableName] [nvarchar] (50) NULL ,
	[Inactive] [bit] NULL,
	CONSTRAINT [PK_IMPORT_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[SettingID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SETTING_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SETTING_FIELD] (
	[SettingID] [nvarchar] (50) NOT NULL ,
	[ItemField] [nvarchar] (50) NOT NULL ,
	[SourceField] [nvarchar] (50) NULL ,
	[WashSetting] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_IMPORT_SETTING_FIELD] PRIMARY KEY  CLUSTERED 
	(
		[SettingID],
		[ItemField]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_ProjectID] DEFAULT (N''Master''),
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] IDENTITY (1, 1) NOT NULL ,
	CONSTRAINT [PK_ITEM] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_CHECKEDIN]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_CHECKEDIN] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_CHECKEDIN_ProjectID] DEFAULT (N''Master''),
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NOT NULL ,
	CONSTRAINT [PK_ITEM_CHECKEDIN] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WorksetID],
		[CheckoutDate],
		[WgtGrp],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_CHECKEDOUT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_CHECKEDOUT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_CHECKEDOUT_ProjectID] DEFAULT (N''Master''),
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NOT NULL ,
	CONSTRAINT [PK_ITEM_CHECKEDOUT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WorksetID],
		[CheckoutDate],
		[WgtGrp],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_FILTER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_FILTER] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_FILTER_ProjectID] DEFAULT (N''Master''),
	[FilterID] [nvarchar] (50) NOT NULL ,
	[FilterType] [nvarchar] (50) NOT NULL ,
	[Filter] [nvarchar] (500) NULL ,
	[Time] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_ITEM_FILTER] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[FilterID],
		[FilterType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_FORMULA]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_FORMULA] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_FORMULA_ProjectID] DEFAULT (N''Master''),
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[FieldID] [nvarchar] (50) NOT NULL ,
	[Formula] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_ITEM_FORMULA] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[ItemNo],
		[FieldID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SEARCH]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SEARCH] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[FilterName] [nvarchar] (50) NOT NULL ,
	[FieldName] [nvarchar] (50) NOT NULL ,
	[Value] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_ITEM_SEARCH] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[FilterName],
		[FieldName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_ProjectID] DEFAULT (N''Master''),
	[SettingID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[Date] [datetime2] NULL ,
	[UserGroup] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_ITEM_SETTING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SettingID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING_FIELD] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_FIELD_ProjectID] DEFAULT (N''Master''),
	[SettingID] [nvarchar] (50) NOT NULL ,
	[TypeID] [nvarchar] (50) NOT NULL ,
	[FieldID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NULL ,
	[Order] [nvarchar] (50) NULL ,
	[Width] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_ITEM_SETTING_FIELD] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SettingID],
		[TypeID],
		[FieldID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING_GROUP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING_GROUP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_GROUP_ProjectID] DEFAULT (N''Master''),
	[SettingID] [nvarchar] (50) NOT NULL ,
	[TypeID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Order] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	[Hidden] [bit] NULL ,
	[ForeColor] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_ITEM_SETTING_GROUP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[SettingID],
		[TypeID],
		[GroupID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_TEMP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_TEMP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_TEMP_ProjectID] DEFAULT (N''Master''),
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LINE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LINE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LINE_ProjectID] DEFAULT (N''Master''),
	[LineID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[LineType] [nvarchar] (50) NOT NULL ,
	[Thickness] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	[Plane] [nvarchar] (50) NULL ,
	[XRef] [decimal](28, 14) NULL ,
	[YRef] [decimal](28, 14) NULL ,
	[ZRef] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_LINE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[LineID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LINES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LINES] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LINES_ProjectID] DEFAULT (N''Master''),
	[sCode] [nvarchar] (50) NOT NULL ,
	[sCodeType] [nvarchar] (1) NOT NULL ,
	[sTitle] [nvarchar] (50) NOT NULL ,
	[iNum] [smallint] NOT NULL ,
	[fX] [decimal](28, 14) NULL ,
	[fY] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_LINES] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sCode],
		[sCodeType],
		[sTitle],
		[iNum]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOADCASE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOADCASE] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LOADCASE_ProjectID] DEFAULT (N''Master''),
	[LoadCase] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[T_LCF] [decimal](28, 14) NULL ,
	[KMT] [decimal](28, 14) NULL ,
	[GM0] [decimal](28, 14) NULL ,
	[GMCorr] [decimal](28, 14) NULL ,
	[GM] [decimal](28, 14) NULL ,
	[Heel] [decimal](28, 14) NULL ,
	[MCT] [decimal](28, 14) NULL ,
	[LCB] [decimal](28, 14) NULL ,
	[Trim_lever] [decimal](28, 14) NULL ,
	[Rake] [decimal](28, 14) NULL ,
	[Trim] [decimal](28, 14) NULL ,
	[LCF] [decimal](28, 14) NULL ,
	[T_diff] [decimal](28, 14) NULL ,
	[T_FP] [decimal](28, 14) NULL ,
	[T] [decimal](28, 14) NULL ,
	[T_AP] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_LOADCASE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[LoadCase]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOADS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOADS] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LOAD_ProjectID] DEFAULT (N''Master''),
	[LoadCase] [nvarchar] (50) NOT NULL ,
	[LoadID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[Type] [nvarchar] (50) NULL ,
	[Source] [nvarchar] (255) NULL ,
	[FSE_X] [decimal](28, 14) NULL ,
	[FSE_Y] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[Filling] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_LOADS] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[LoadCase],
		[LoadID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOCAL_COORD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN

CREATE TABLE [dbo].[LOCAL_COORD](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ID] [nvarchar](50) NOT NULL,
	[Title] [nvarchar](255) NULL,
	[XRef] [decimal](28, 14) NULL,
	[YRef] [decimal](28, 14) NULL,
	[ZRef] [decimal](28, 14) NULL,
	[XRot] [decimal](28, 14) NULL,
	[YRot] [decimal](28, 14) NULL,
	[ZRot] [decimal](28, 14) NULL,
	[Image] [varbinary](max) NULL,
	CONSTRAINT [PK_LOCAL_COORD] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[ID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LOG_ProjectID] DEFAULT (N''Master''),
	[dLogDate] [datetime2] NOT NULL ,
	[sUser] [nvarchar] (50) NULL ,
	[sLogText] [ntext] NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL CONSTRAINT [DF_LOG_WgtGrp] DEFAULT (N''''),
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[Weight] [decimal](28, 14) NULL,
	[X] [decimal](28, 14) NULL,
	[Y] [decimal](28, 14) NULL,
	[Z] [decimal](28, 14) NULL,
	CONSTRAINT [PK_LOG] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[dLogDate]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MARGIN]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MARGIN] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[MarginID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (50) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_mom] [decimal](28, 14) NULL ,
	[LCG_mom] [decimal](28, 14) NULL ,
	[TCG_mom] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_MARGIN] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[MarginID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MODULE_WGTDISTR]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MODULE_WGTDISTR] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[t] [nvarchar] (50) NOT NULL ,
	[i] [nvarchar] (255) NOT NULL ,
	[Wi] [decimal](28, 14) NULL ,
	[X_CGi] [decimal](28, 14) NULL ,
	[X_Lbi] [decimal](28, 14) NULL ,
	[X_Lti] [decimal](28, 14) NULL ,
	[X_Lbk] [decimal](28, 14) NULL ,
	[X_Ltk] [decimal](28, 14) NULL ,
	[X_Cond] [nvarchar] (50) NULL ,
	[X_Case] [nvarchar] (50) NULL ,
	[X_n] [nvarchar] (50) NULL ,
	[X_Wti] [decimal](28, 14) NULL ,
	[X_Wbi] [decimal](28, 14) NULL ,
	[X_Lci] [decimal](28, 14) NULL ,
	[X_Wci] [decimal](28, 14) NULL ,
	[X_Wbk] [decimal](28, 14) NULL ,
	[X_Wtk] [decimal](28, 14) NULL ,
	[X_Wik] [decimal](28, 14) NULL ,
	[X_CGik] [decimal](28, 14) NULL ,
	[Y_CGi] [decimal](28, 14) NULL ,
	[Y_Lbi] [decimal](28, 14) NULL ,
	[Y_Lti] [decimal](28, 14) NULL ,
	[Y_Lbk] [decimal](28, 14) NULL ,
	[Y_Ltk] [decimal](28, 14) NULL ,
	[Y_Cond] [nvarchar] (50) NULL ,
	[Y_Case] [nvarchar] (50) NULL ,
	[Y_n] [nvarchar] (50) NULL ,
	[Y_Wti] [decimal](28, 14) NULL ,
	[Y_Wbi] [decimal](28, 14) NULL ,
	[Y_Lci] [decimal](28, 14) NULL ,
	[Y_Wci] [decimal](28, 14) NULL ,
	[Y_Wbk] [decimal](28, 14) NULL ,
	[Y_Wtk] [decimal](28, 14) NULL ,
	[Y_Wik] [decimal](28, 14) NULL ,
	[Y_CGik] [decimal](28, 14) NULL ,
	[Z_CGi] [decimal](28, 14) NULL ,
	[Z_Lbi] [decimal](28, 14) NULL ,
	[Z_Lti] [decimal](28, 14) NULL ,
	[Z_Lbk] [decimal](28, 14) NULL ,
	[Z_Ltk] [decimal](28, 14) NULL ,
	[Z_Cond] [nvarchar] (50) NULL ,
	[Z_Case] [nvarchar] (50) NULL ,
	[Z_n] [nvarchar] (50) NULL ,
	[Z_Wti] [decimal](28, 14) NULL ,
	[Z_Wbi] [decimal](28, 14) NULL ,
	[Z_Lci] [decimal](28, 14) NULL ,
	[Z_Wci] [decimal](28, 14) NULL ,
	[Z_Wbk] [decimal](28, 14) NULL ,
	[Z_Wtk] [decimal](28, 14) NULL ,
	[Z_Wik] [decimal](28, 14) NULL ,
	[Z_CGik] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_MODULE_WGTDISTR] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[CodeType],
		[t],
		[i]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_LINK]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAM_LINK](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](255) NULL,
 CONSTRAINT [PK_PARAM_LINK] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[ParamID] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_MEMO]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN

CREATE TABLE [dbo].[PARAM_MEMO](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](max) NULL,
 CONSTRAINT [PK_PARAM_TEXT] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[ParamID] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POINT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POINT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_POINT_ProjectID] DEFAULT (N''Master''),
	[LineID] [nvarchar] (50) NOT NULL ,
	[PointID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NULL ,
	[X] [decimal](28, 14) NULL ,
	[Y] [decimal](28, 14) NULL ,
	[Z] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_POINT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[LineID],
		[PointID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_POST_LOG_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sComment] [ntext] NULL ,
	CONSTRAINT [PK_POST_LOG] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECT_FOLDER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECT_FOLDER] (
	[FolderName] [nvarchar] (50) NOT NULL ,
	[FolderPath] [nvarchar] (255) NOT NULL ,
	CONSTRAINT [PK_PROJECT_FOLDER_1] PRIMARY KEY  CLUSTERED 
	(
		[FolderName],
		[FolderPath]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECTTYPE_SET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECTTYPE_SET](
	[ProjectID] [nvarchar](50) NOT NULL,
	[SettingID] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](255) NULL,
 CONSTRAINT [PK_PROJECTTYPE_SET] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[SettingID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECTTYPE_SET_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN

CREATE TABLE [dbo].[PROJECTTYPE_SET_FIELD](
	[ProjectID] [nvarchar](50) NOT NULL,
	[SettingID] [nvarchar](50) NOT NULL,
	[ProjectTypeID] [int] NOT NULL,
 CONSTRAINT [PK_PROJECTTYPE_SET_FIELD] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[SettingID] ASC,
	[ProjectTypeID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REPORTREVISION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN

CREATE TABLE [dbo].[REPORTREVISION](
[ID] [int] IDENTITY(1,1) NOT NULL,
[ReportDefinitionID] [int] NOT NULL,
[ProjectID] [nchar](50) NOT NULL,
[StrRevision] [nvarchar](50) NULL,
[Revision] [int] NULL,
[Date] [date] NOT NULL,
[Descripton] [nvarchar](255) NOT NULL,
[MadeBy] [nvarchar](50) NULL,
[Controller] [nvarchar](50) NULL,
[Approved] [nvarchar](50) NULL,
 CONSTRAINT [PK_REPORTREVISION] PRIMARY KEY CLUSTERED 
(
[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]

END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_ProjectID] DEFAULT (N''Master''),
	[MasterID] [nvarchar] (255) NULL ,
	[UseMaster] [bit] NULL ,
	[iShipType] [smallint] NULL ,
	[sShipName] [nvarchar] (30) NULL ,
	[sShipOwner] [nvarchar] (50) NULL ,
	[iDeliveringYear] [smallint] NULL ,
	[sRegistrationDate] [nvarchar] (10) NULL ,
	[sRegistrationPerson] [nvarchar] (50) NULL ,
	[sGAFileName] [nvarchar] (255) NULL ,
	[sShipDesigner] [nvarchar] (50) NULL ,
	[sShipYard] [nvarchar] (50) NULL ,
	[sMainPost] [nvarchar] (10) NULL ,
	[sFrameDistance] [nvarchar] (255) NULL ,
	[sSectionFile] [nvarchar] (255) NULL ,
	[sDesign] [nvarchar] (255) NULL ,
	[sClass] [nvarchar] (255) NULL ,
	[sComment] [nvarchar] (255) NULL ,
	[fXRef] [decimal](28, 14) NULL ,
	[fYRef] [decimal](28, 14) NULL ,
	[fZRef] [decimal](28, 14) NULL ,
	[iXDir] [smallint] NULL ,
	[iYDir] [smallint] NULL ,
	[iZDir] [smallint] NULL ,
	[FolderName] [nvarchar] (50) NULL ,
	[FolderPath] [nvarchar] (255) NULL ,
	[CoordImage] [varbinary](max) NULL,
	[Active] [bit] NULL CONSTRAINT [DF_SHIP_Active]  DEFAULT ((1)),
	CONSTRAINT [PK_SHIP] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_FATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_FATT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_FATT_ProjectID] DEFAULT (N''Master''),
	[sFAttID] [nvarchar] (10) NOT NULL ,
	[fFAttValue] [decimal](28, 14) NULL ,
	[fFAttStd] [decimal](28, 14) NULL ,
	[Formula] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_SHIP_FATT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sFAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_IATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_IATT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_IATT_ProjectID] DEFAULT (N''Master''),
	[sIAttID] [nvarchar] (10) NOT NULL ,
	[fValue] [smallint] NULL ,
	[fIAttStd] [decimal](28, 14) NULL ,
	[Formula] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_SHIP_IATT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sIAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_POST] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_POST_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_POST_WBS] DEFAULT (N''WBS00''),
	[fValue] [decimal](28, 14) NULL ,
	[sStatus] [nvarchar] (1) NULL ,
	[sComplete] [nvarchar] (50) NULL ,
	[fMaxStd] [decimal](28, 14) NULL ,
	[fPostStd] [decimal](28, 14) NULL ,
	[Formula] [nvarchar] (250) NULL ,
	CONSTRAINT [PK_SHIP_POST] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sPostID],
		[sType],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_TATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_TATT] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_TATT_ProjectID] DEFAULT (N''Master''),
	[sTAttID] [nvarchar] (50) NOT NULL ,
	[sTAttValue] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_SHIP_TATT] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sTAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TABLE_KEYS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TABLE_KEYS] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[TableName] [nvarchar] (50) NOT NULL ,
	[FieldName] [nvarchar] (255) NOT NULL ,
	[FieldType] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_TABLE_KEYS] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[TableName],
		[FieldName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TANK]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TANK] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_TANK_ProjectID] DEFAULT (N''Master''),
	[TankID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (50) NULL ,
	[SG] [decimal](28, 14) NULL ,
	[Volume] [decimal](28, 14) NULL ,
	[Type] [nvarchar] (50) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[Min] [decimal](28, 14) NULL ,
	[Max] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_TANK] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[TankID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TANK_SOUNDING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TANK_SOUNDING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_TANK_SOUNDING_ProjectID] DEFAULT (N''Master''),
	[TankID] [nvarchar] (50) NOT NULL ,
	[Sounding] [decimal](28, 14) NOT NULL ,
	[Volume] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[FSM_X] [decimal](28, 14) NULL ,
	[FSM_Y] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_TANK_SOUNDING] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[TankID],
		[Sounding]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VARIABLES] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_VARIABLES_ProjectID] DEFAULT (N''Master''),
	[sKey] [nvarchar] (150) NOT NULL ,
	[sSubKey] [nvarchar] (50) NOT NULL ,
	[sRegUser] [nvarchar] (255) NOT NULL ,
	[sValue] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_VARIABLES] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[sKey],
		[sSubKey],
		[sRegUser]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[RowCodeType] [nvarchar] (50) NULL ,
	[ColumnCodeType] [nvarchar] (50) NULL ,
	[ItemFilter] [nvarchar] (255) NULL ,
	[Footer] [nvarchar] (255) NULL ,
	[WeightField] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_WEIGHTMATRIX] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[Title]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX_FIELD] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[FieldType] [nvarchar] (50) NOT NULL ,
	[FieldNo] [nvarchar] (50) NOT NULL ,
	[CodeID] [nvarchar] (50) NULL ,
	[Label1] [nvarchar] (50) NULL ,
	[Label2] [nvarchar] (50) NULL ,
	[Label1Format] [nvarchar] (50) NULL ,
	[Label2Format] [nvarchar] (50) NULL ,
	[RowColFormat] [nvarchar] (50) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_WEIGHTMATRIX_FIELD] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[Title],
		[FieldType],
		[FieldNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX_VALUE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[RowCodeID] [nvarchar] (50) NOT NULL ,
	[ColumnCodeID] [nvarchar] (50) NOT NULL ,
	[Value] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_WEIGHTMATRIX_VALUE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[Title],
		[RowCodeID],
		[ColumnCodeID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_PERCENTAGE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_PERCENTAGE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[Type] [nvarchar] (50) NOT NULL ,
	[Percentage] [nvarchar] (50) NULL ,
	[Source] [nvarchar] (50) NULL ,
	[CoG] [smallint] NULL ,
	[VCGMargin] [decimal](28, 14) NULL ,
	[LCGMargin] [decimal](28, 14) NULL ,
	[TCGMargin] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_WGTGRP_PERCENTAGE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[Type]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_CODE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)

BEGIN
CREATE TABLE [dbo].[WGTGRP_CODE](
	[ProjectID] [nvarchar](50) NOT NULL,
	[WBS] [nvarchar](50) NOT NULL,
	[WgtGrp] [nvarchar](50) NOT NULL,
	[Source] [int] NOT NULL,
	[CodeType] [nvarchar](50) NOT NULL,
	[CodeID] [nvarchar](50) NULL,
 CONSTRAINT [PK_WGTGRP_CODE] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[WBS] ASC,
	[WgtGrp] ASC,
	[Source] ASC,
	[CodeType] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_VALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_VALUES] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (12) NOT NULL ,
	[Source] [int] NOT NULL ,
	[Type] [nvarchar] (1) NOT NULL ,
	[Qty] [nvarchar](10) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_Qty]  DEFAULT ('''') ,
	[Value] [decimal](28, 14) NULL ,
	[Status] [nvarchar] (1) NULL ,
	[Checking] [nvarchar] (1) NULL ,
	[StdMin] [decimal](28, 14) NULL ,
	[StdMax] [decimal](28, 14) NULL ,
	[Formula] [nvarchar](255) NULL,
	CONSTRAINT [PK_WGTGRP_VALUES] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WBS],
		[WgtGrp],
		[Source],
		[Type],
		[Qty]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_VALUES_SUM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_VALUES_SUM] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (12) NOT NULL ,
	[WgtGrpSum] [nvarchar] (12) NOT NULL ,
	[Qty] [nvarchar] (10) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_SUM_Qty]  DEFAULT ('''') ,
	[Status] [nvarchar] (1) NULL, 
	CONSTRAINT [PK_WGTGRP_VALUES_SUM] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WBS],
		[WgtGrp],
		[WgtGrpSum],
		[Qty]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_QTYVALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
	CREATE TABLE [dbo].[WGTGRP_QTYVALUES](
		[ProjectID] [nvarchar](50) NOT NULL,
		[WBS] [nvarchar](50) NOT NULL,
		[WgtGrpID] [nvarchar](50) NOT NULL,
		[Type] [nvarchar](1) NOT NULL,
		[Qty] [nvarchar](10) NOT NULL CONSTRAINT [DF_WGTGRP_QTYVALUES_Qty]  DEFAULT (''''),
		[Value] [decimal](28, 14) NULL,
		[MinStd] [decimal](28, 14) NULL,
		[MaxStd] [decimal](28, 14) NULL,
		[Status] [nvarchar](1) NULL,
		[Complete] [nvarchar](50) NULL,
		[Formula] [nvarchar](255) NULL,
	 CONSTRAINT [PK_WGTGRP_QTYVALUES] PRIMARY KEY CLUSTERED 
	(
		[ProjectID] ASC,
		[WBS] ASC,
		[WgtGrpID] ASC,
		[Type] ASC,
		[Qty] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WORKSET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WORKSET] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[CheckoutPerson] [nvarchar] (50) NULL ,
	[CalculatePerson] [nvarchar] (50) NULL ,
	[ReviewDate] [datetime2] NULL ,
	[ReviewPerson] [nvarchar] (50) NULL ,
	[RejectDate] [datetime2] NULL ,
	[RejectPerson] [nvarchar] (50) NULL ,
	[ApproveDate] [datetime2] NULL ,
	[ApprovePerson] [nvarchar] (50) NULL ,
	[LastChangeDate] [datetime2] NULL ,
	[LastChangePerson] [nvarchar] (50) NULL ,
	[Comment1] [nvarchar] (255) NULL ,
	[Comment2] [nvarchar] (255) NULL ,
	[Comment3] [nvarchar] (255) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_mom] [decimal](28, 14) NULL ,
	[LCG_mom] [decimal](28, 14) NULL ,
	[TCG_mom] [decimal](28, 14) NULL ,
	[MarginID] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_WORKSET_1] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WorksetID],
		[CheckoutDate]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

commit
'
exec(@cmd2)
print 'A'

-- Remove constraints defaults
set @cmd2='USE ' + @dbname + ';'
set @cmd2=@cmd2 +
'
begin transaction

DECLARE @object_id int;
DECLARE @parent_object_id int;
DECLARE @TSQL NVARCHAR(4000);
DECLARE @COLUMN_NAME SYSNAME;
DECLARE @is_descending_key bit;
DECLARE @col1 BIT;
DECLARE @action CHAR(6);

SET @action = ''DROP'';

DECLARE DCcursor CURSOR  FOR
select dc.object_id, dc.parent_object_id
    from  sys.default_constraints dc
    inner  join sys.objects o
    on dc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(dc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(dc.parent_object_id));

OPEN DCcursor;
FETCH NEXT  FROM DCcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM DCcursor INTO @object_id, @parent_object_id;

END;

CLOSE DCcursor;
DEALLOCATE DCcursor;

DECLARE FKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.foreign_keys kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));  

OPEN FKcursor;
FETCH NEXT  FROM FKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM FKcursor INTO @object_id, @parent_object_id;

END;

CLOSE FKcursor;
DEALLOCATE FKcursor;

DECLARE PKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.key_constraints kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    where kc.type = ''PK'' and o.type = ''U''
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));

OPEN PKcursor;


FETCH NEXT  FROM PKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
                  
    IF (QUOTENAME(OBJECT_NAME(@parent_object_id)) <> ''[ITEM]'' AND QUOTENAME(OBJECT_NAME(@parent_object_id)) <> ''[ITEM_CHECKEDIN]'' AND QUOTENAME(OBJECT_NAME(@parent_object_id)) <> ''[ITEM_CHECKEDOUT]'' AND QUOTENAME(OBJECT_NAME(@parent_object_id)) <> ''[ITEM_TEMP]'')
    BEGIN
		EXEC(@TSQL);
    END
    
    FETCH  NEXT FROM PKcursor INTO @object_id, @parent_object_id;
END;

CLOSE PKcursor;
DEALLOCATE PKcursor;

commit
'
exec(@cmd2)
print 'B'

-- Check and adjust columns
set @cmd2='USE ' + @dbname + ';'
set @cmd2=@cmd2 +
'
begin transaction
IF COL_LENGTH(''LINE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_LINE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINE'',''LineID'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [LineID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [LineID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''LINE'',''LineType'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [LineType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [LineType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINE'',''Thickness'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Thickness] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Thickness] nvarchar(50)  END;
IF COL_LENGTH(''LINE'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Color] nvarchar(50)  END;
IF COL_LENGTH(''LINE'',''Plane'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Plane] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Plane] nvarchar(50)  END;
IF COL_LENGTH(''LINE'',''XRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [XRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [XRef] decimal(28,14)  END;
IF COL_LENGTH(''LINE'',''YRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [YRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [YRef] decimal(28,14)  END;
IF COL_LENGTH(''LINE'',''ZRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [ZRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [ZRef] decimal(28,14)  END;
IF COL_LENGTH(''LINES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_LINES_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINES'',''sCode'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sCode] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sCode] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINES'',''sCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sCodeType] nvarchar(1) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sCodeType] nvarchar(1) NOT NULL  END;
IF COL_LENGTH(''LINES'',''sTitle'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sTitle] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sTitle] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LINES'',''iNum'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [iNum] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [iNum] smallint NOT NULL  END;
IF COL_LENGTH(''LINES'',''fX'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [fX] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [fX] decimal(28,14)  END;
IF COL_LENGTH(''LINES'',''fY'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [fY] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [fY] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_LOADCASE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOADCASE'',''LoadCase'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LoadCase] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LoadCase] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOADCASE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''LOADCASE'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''T_LCF'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_LCF] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''KMT'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [KMT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [KMT] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''GM0'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GM0] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GM0] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''GMCorr'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GMCorr] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GMCorr] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''GM'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GM] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GM] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''Heel'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Heel] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Heel] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''MCT'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [MCT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [MCT] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''LCB'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCB] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''Trim_lever'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Trim_lever] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Trim_lever] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''Rake'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Rake] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Rake] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''Trim'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Trim] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Trim] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''LCF'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCF] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''T_diff'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_diff] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_diff] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''T_FP'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_FP] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_FP] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''T'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T] decimal(28,14)  END;
IF COL_LENGTH(''LOADCASE'',''T_AP'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_AP] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_AP] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_LOADS_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOADS'',''LoadCase'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LoadCase] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LoadCase] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOADS'',''LoadID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LoadID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LoadID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOADS'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''LOADS'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Type] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Type] nvarchar(50)  END;
IF COL_LENGTH(''LOADS'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Source] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Source] nvarchar(255)  END;
IF COL_LENGTH(''LOADS'',''FSE_X'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [FSE_X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [FSE_X] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''FSE_Y'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [FSE_Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [FSE_Y] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG_min] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG_max] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG_min] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG_max] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG_min] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG_max] decimal(28,14)  END;
IF COL_LENGTH(''LOADS'',''Filling'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Filling] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Filling] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_LOG_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOG'',''dLogDate'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [dLogDate] datetime2 NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [dLogDate] datetime2 NOT NULL  END;
IF COL_LENGTH(''LOG'',''sUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [sUser] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [sUser] nvarchar(50)  END;
IF COL_LENGTH(''LOG'',''sLogText'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [sLogText] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [sLogText] ntext  END;
IF COL_LENGTH(''LOG'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [WgtGrp] nvarchar(50) NOT NULL CONSTRAINT [DF_LOG_WgtGrp] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [WgtGrp] nvarchar(50) NULL END;
IF COL_LENGTH(''LOG'',''C01'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C01] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C01] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C02'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C02] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C02] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C03'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C03] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C03] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C04'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C04] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C04] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C05'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C05] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C05] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C06'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C06] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C06] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C07'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C07] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C07] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C08'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C08] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C08] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C09'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C09] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C09] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''C10'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C10] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C10] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [X] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Y] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Z] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_MARGIN_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MARGIN'',''MarginID'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [MarginID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [MarginID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MARGIN'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [Description] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [Description] nvarchar(50)  END;
IF COL_LENGTH(''MARGIN'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''VCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [VCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [VCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''LCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [LCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [LCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''TCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [TCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [TCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_MODULE_WGTDISTR_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''t'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [t] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [t] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''i'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [i] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [i] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Wi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Wi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Wi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_CGi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Ltk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Cond] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Case] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_n] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wtk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_CGik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_CGi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Ltk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Cond] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Case] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_n] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wtk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_CGik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_CGi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Ltk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Cond] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Case] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_n] nvarchar(50)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wti] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wbi] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wci] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wbk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wtk] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_CGik] decimal(28,14)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''POINT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_POINT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POINT'',''LineID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [LineID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [LineID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POINT'',''PointID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [PointID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [PointID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POINT'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [GroupID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [GroupID] nvarchar(50)  END;
IF COL_LENGTH(''POINT'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [X] decimal(28,14)  END;
IF COL_LENGTH(''POINT'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [Y] decimal(28,14)  END;
IF COL_LENGTH(''POINT'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [Z] decimal(28,14)  END;
IF COL_LENGTH(''POST_LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_POST_LOG_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_LOG'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_LOG'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [sComment] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [sComment] ntext  END;
IF COL_LENGTH(''PROJECT_FOLDER'',''FolderName'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ADD [FolderName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ALTER COLUMN [FolderName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PROJECT_FOLDER'',''FolderPath'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ADD [FolderPath] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ALTER COLUMN [FolderPath] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP'',''MasterID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [MasterID] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [MasterID] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''UseMaster'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [UseMaster] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [UseMaster] bit  END;
IF COL_LENGTH(''SHIP'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iShipType] smallint  END;
IF COL_LENGTH(''SHIP'',''sShipName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipName] nvarchar(30) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipName] nvarchar(30)  END;
IF COL_LENGTH(''SHIP'',''sShipOwner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipOwner] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipOwner] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''iDeliveringYear'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iDeliveringYear] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iDeliveringYear] smallint  END;
IF COL_LENGTH(''SHIP'',''sRegistrationDate'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationDate] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationDate] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sRegistrationPerson'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationPerson] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sGAFileName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sGAFileName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sGAFileName] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sShipDesigner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipDesigner] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipDesigner] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sShipYard'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipYard] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipYard] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sMainPost'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sMainPost] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sMainPost] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sFrameDistance'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sFrameDistance] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sFrameDistance] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sSectionFile'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sSectionFile] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sSectionFile] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sDesign'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sDesign] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sDesign] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sClass'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sClass] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sClass] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sComment] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sComment] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''fXRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fXRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fXRef] decimal(28,14)  END;
IF COL_LENGTH(''SHIP'',''fYRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fYRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fYRef] decimal(28,14)  END;
IF COL_LENGTH(''SHIP'',''fZRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fZRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fZRef] decimal(28,14)  END;
IF COL_LENGTH(''SHIP'',''iXDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iXDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iXDir] smallint  END;
IF COL_LENGTH(''SHIP'',''iYDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iYDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iYDir] smallint  END;
IF COL_LENGTH(''SHIP'',''iZDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iZDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iZDir] smallint  END;
IF COL_LENGTH(''SHIP'',''FolderName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [FolderName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [FolderName] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''FolderPath'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [FolderPath] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [FolderPath] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''CoordImage'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [CoordImage] varbinary(max) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [CoordImage] varbinary(max)  END;
IF COL_LENGTH(''SHIP'',''Active'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [Active] bit NULL CONSTRAINT [DF_SHIP_Active]  DEFAULT ((1)) END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [Active] bit END;
IF COL_LENGTH(''SHIP_FATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_FATT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_FATT'',''sFAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [sFAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [sFAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_FATT'',''fFAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [fFAttValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [fFAttValue] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_FATT'',''fFAttStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [fFAttStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [fFAttStd] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_FATT'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sAttID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sAttID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sMax'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sMax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sMax] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sMin'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sMin] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sMin] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''bJoin'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [bJoin] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [bJoin] bit  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sFilter] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sFilter] ntext  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_AUTO_EST_ATT_LIMIT_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_IATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_IATT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_IATT'',''sIAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [sIAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [sIAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_IATT'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [fValue] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [fValue] smallint  END;
IF COL_LENGTH(''SHIP_IATT'',''fIAttStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [fIAttStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [fIAttStd] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_IATT'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_REF_SHIP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_REF_SHIP_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_AUTO_EST_REF_SHIP_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_POST_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''sType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sType] nvarchar(1) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sType] nvarchar(1) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_POST_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fValue] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_POST'',''sStatus'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sStatus] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sStatus] nvarchar(1)  END;
IF COL_LENGTH(''SHIP_POST'',''sComplete'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sComplete] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sComplete] nvarchar(50)  END;
IF COL_LENGTH(''SHIP_POST'',''fMaxStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fMaxStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fMaxStd] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_POST'',''fPostStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fPostStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fPostStd] decimal(28,14)  END;
IF COL_LENGTH(''SHIP_POST'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [Formula] nvarchar(250) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [Formula] nvarchar(250)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sCurveType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sCurveType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sCurveType] nvarchar(1)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''iMethodType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [iMethodType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [iMethodType] smallint  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowLabel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowLabel] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowLabel] bit  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowAverage'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowAverage] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowAverage] bit  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowStdDev] bit  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bScaleAxis'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bScaleAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bScaleAxis] bit  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sComment] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sComment] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''iCoeffSel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [iCoeffSel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [iCoeffSel] smallint  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fCoefficient] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fCoefficient] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fCoeffStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fCoeffStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fCoeffStd] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fValue] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fStd] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bAbsYAxis] bit  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''MethodType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [MethodType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [MethodType] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_AUTO_EST_SETTING_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_TATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_TATT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttValue] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_AUTO_EST_SHIP_TYPE_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TABLE_KEYS'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_TABLE_KEYS_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TABLE_KEYS'',''TableName'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [TableName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [TableName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TABLE_KEYS'',''FieldName'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [FieldName] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [FieldName] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''TABLE_KEYS'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [FieldType] nvarchar(50)  END;
IF COL_LENGTH(''TANK'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_TANK_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TANK'',''TankID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TankID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TankID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TANK'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Description] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Description] nvarchar(50)  END;
IF COL_LENGTH(''TANK'',''SG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [SG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [SG] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Volume] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Volume] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Type] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Type] nvarchar(50)  END;
IF COL_LENGTH(''TANK'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [VCG_min] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [VCG_max] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [LCG_min] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [LCG_max] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TCG_min] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TCG_max] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''Min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Min] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''Max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Max] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_POST'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_POST_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_POST'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [sSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [sSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [sPostID] nvarchar(25) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [sPostID] nvarchar(25) NOT NULL  END;
IF COL_LENGTH(''AUTO_POST'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_POST_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TANK_SOUNDING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_TANK_SOUNDING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TANK_SOUNDING'',''TankID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [TankID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [TankID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''TANK_SOUNDING'',''Sounding'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [Sounding] decimal(28,14) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [Sounding] decimal(28,14) NOT NULL  END;
IF COL_LENGTH(''TANK_SOUNDING'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [Volume] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [Volume] decimal(28,14)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''FSM_X'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [FSM_X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [FSM_X] decimal(28,14)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''FSM_Y'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [FSM_Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [FSM_Y] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_REF_SHIP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [sSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [sSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_REF_SHIP_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_VARIABLES_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sKey] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sKey] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sSubKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sSubKey] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sSubKey] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sRegUser'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sRegUser] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sRegUser] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sValue'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sValue] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_SETTING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_SETTING'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_SETTING_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_SETTING'',''iDetailLevel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iDetailLevel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iDetailLevel] smallint  END;
IF COL_LENGTH(''AUTO_SETTING'',''iMethod'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iMethod] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iMethod] smallint  END;
IF COL_LENGTH(''AUTO_SETTING'',''iCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iCoefficient] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iCoefficient] smallint  END;
IF COL_LENGTH(''AUTO_SETTING'',''bAskParam'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bAskParam] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bAskParam] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowAllEst'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowAllEst] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowAllEst] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowWgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowWgtGrp] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowWgtGrp] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowStdDev] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowDeviation'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowDeviation] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowDeviation] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bEstimateVCG'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bEstimateVCG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bEstimateVCG] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''bEstimateLCG'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bEstimateLCG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bEstimateLCG] bit  END;
IF COL_LENGTH(''AUTO_SETTING'',''sSisterShip'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sSisterShip] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sSisterShip] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_SETTING'',''sMainPost'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sMainPost] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sMainPost] nvarchar(12)  END;
IF COL_LENGTH(''VERSION'',''fVersion'') IS NULL BEGIN ALTER TABLE [dbo].[VERSION] ADD [fVersion] decimal(28,14) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VERSION] ALTER COLUMN [fVersion] decimal(28,14) NOT NULL  END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_SHIP_TYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [sSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [sSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_SHIP_TYPE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WEIGHTMATRIX_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [Title] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [Title] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''RowCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [RowCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [RowCodeType] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ColumnCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ColumnCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ColumnCodeType] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ItemFilter'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ItemFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ItemFilter] nvarchar(255)  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''Footer'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [Footer] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [Footer] nvarchar(255)  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''WeightField'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [WeightField] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [WeightField] nvarchar(50)  END;
IF COL_LENGTH(''AUTO_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_VALUE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_VALUE'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_VALUE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''AUTO_VALUE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''AUTO_VALUE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_AUTO_VALUE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AUTO_VALUE'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fValue] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_VALUE'',''sStatus'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sStatus] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sStatus] nvarchar(1)  END;
IF COL_LENGTH(''AUTO_VALUE'',''fStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fStdDev] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fStdDev] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_VALUE'',''fMaxStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fMaxStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fMaxStd] decimal(28,14)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WEIGHTMATRIX_FIELD_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Title] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Title] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [FieldType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [FieldType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''FieldNo'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [FieldNo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [FieldNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [CodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [CodeID] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label1'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label1] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label2'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label2] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label1Format'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label1Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label1Format] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label2Format'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label2Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label2Format] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''RowColFormat'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [RowColFormat] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [RowColFormat] nvarchar(50)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WEIGHTMATRIX_VALUE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [Title] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [Title] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''RowCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [RowCodeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [RowCodeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''ColumnCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [ColumnCodeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [ColumnCodeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [Value] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [Value] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''CODE'',''CodeOver'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeOver] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeOver] nvarchar(50)  END;
IF COL_LENGTH(''CODE'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Factor] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''UnitWeight'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [UnitWeight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [UnitWeight] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''Start'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Start] int NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Start] int  END;
IF COL_LENGTH(''CODE'',''Stop'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Stop] int NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Stop] int  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WGTGRP_PERCENTAGE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Type] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Type] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Percentage'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Percentage] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Percentage] nvarchar(50)  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Source] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Source] nvarchar(50)  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''CoG'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [CoG] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [CoG] smallint  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''VCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [VCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [VCGMargin] decimal(28,14)  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''LCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [LCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [LCGMargin] decimal(28,14)  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''TCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [TCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [TCGMargin] decimal(28,14)  END;
IF COL_LENGTH(''CODE_FILTER'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODE_FILTER_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_FILTER'',''FilterID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [FilterID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [FilterID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_FILTER'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_FILTER'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [Filter] nvarchar(500) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [Filter] nvarchar(500)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [WgtGrp] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [WgtGrp] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Source] int NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Source] int NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Type] nvarchar(1) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Type] nvarchar(1) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Value] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Value] decimal(28,14)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Status'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Status] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Status] nvarchar(1)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Checking'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Checking] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Checking] nvarchar(1)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''StdMin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [StdMin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [StdMin] decimal(28,14)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''StdMax'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [StdMax] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [StdMax] decimal(28,14)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Qty'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Qty] nvarchar(10) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_Qty]  DEFAULT ('''') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Qty] nvarchar(10) NOT NULL END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_SUM_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_SUM_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WgtGrp] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WgtGrp] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WgtGrpSum'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WgtGrpSum] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WgtGrpSum] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''Status'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [Status] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [Status] nvarchar(1)  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''Qty'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [Qty] nvarchar(10) NOT NULL CONSTRAINT [DF_WGTGRP_VALUES_SUM_Qty]  DEFAULT ('''') END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [Qty] nvarchar(10) NOT NULL END;
IF COL_LENGTH(''CODE_MAP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODE_MAP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_MAP'',''sCode1'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCode1] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCode1] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_MAP'',''sCodeType1'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCodeType1] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCodeType1] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_MAP'',''sCode2'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCode2] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCode2] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_MAP'',''sCodeType2'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCodeType2] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCodeType2] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_MAP'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''CODE_MAP'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [Factor] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_WORKSET_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WORKSET'',''WorksetID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [WorksetID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [WorksetID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WORKSET'',''CheckoutDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CheckoutDate] datetime2 NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CheckoutDate] datetime2 NOT NULL  END;
IF COL_LENGTH(''WORKSET'',''CheckoutPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CheckoutPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CheckoutPerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''CalculatePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CalculatePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CalculatePerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''ReviewDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ReviewDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ReviewDate] datetime2  END;
IF COL_LENGTH(''WORKSET'',''ReviewPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ReviewPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ReviewPerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''RejectDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [RejectDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [RejectDate] datetime2  END;
IF COL_LENGTH(''WORKSET'',''RejectPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [RejectPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [RejectPerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''ApproveDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ApproveDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ApproveDate] datetime2  END;
IF COL_LENGTH(''WORKSET'',''ApprovePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ApprovePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ApprovePerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''LastChangeDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LastChangeDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LastChangeDate] datetime2  END;
IF COL_LENGTH(''WORKSET'',''LastChangePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LastChangePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LastChangePerson] nvarchar(50)  END;
IF COL_LENGTH(''WORKSET'',''Comment1'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment1] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment1] nvarchar(255)  END;
IF COL_LENGTH(''WORKSET'',''Comment2'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment2] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment2] nvarchar(255)  END;
IF COL_LENGTH(''WORKSET'',''Comment3'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment3] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment3] nvarchar(255)  END;
IF COL_LENGTH(''WORKSET'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''VCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [VCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [VCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''LCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''TCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [TCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [TCG_mom] decimal(28,14)  END;
IF COL_LENGTH(''WORKSET'',''MarginID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [MarginID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [MarginID] nvarchar(50)  END;
IF COL_LENGTH(''CODE_REPORT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODE_REPORT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE_REPORT'',''sTitle'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sTitle] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sTitle] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''CODE_REPORT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sFilter] nvarchar(255)  END;
IF COL_LENGTH(''CODE_REPORT'',''sFormat'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sFormat] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sFormat] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_COMPARE_PROJECT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Index'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Index] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Index] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Project'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Project] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Project] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Label'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Label] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Label] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Color] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_COMPARE_SETTING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_SETTING'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CodeType] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ListType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ListType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ListType] int  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowDeviation'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowDeviation] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowDeviation] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''DeviationType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [DeviationType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [DeviationType] int  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCoGImpact'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCoGImpact] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCoGImpact] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''CoGImpactType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CoGImpactType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CoGImpactType] int  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowItems'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowItems] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowItems] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ViewType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ViewType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ViewType] int  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowX'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowX] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowX] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowY'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowY] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowY] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowZ'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowZ] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowZ] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCustomCode'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCustomCode] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCustomCode] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''CustomCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CustomCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CustomCodeType] nvarchar(50)  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCustomCodeRatio'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCustomCodeRatio] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCustomCodeRatio] bit  END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowWeight'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowWeight] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowWeight] bit  END;
IF COL_LENGTH(''COMPARE_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_COMPARE_VALUE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''Project'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Project] nvarchar(100) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Project] nvarchar(100) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CodeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CodeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''ItemID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [ItemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [ItemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COMPARE_VALUE'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''COMPARE_VALUE'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [X] decimal(28,14)  END;
IF COL_LENGTH(''COMPARE_VALUE'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Y] decimal(28,14)  END;
IF COL_LENGTH(''COMPARE_VALUE'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Z] decimal(28,14)  END;
IF COL_LENGTH(''COMPARE_VALUE'',''CustomCode'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CustomCode] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CustomCode] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EQUIPMENT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EQUIPMENT'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EQUIPMENT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [ItemNo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EQUIPMENT'',''SFINo'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [SFINo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [SFINo] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''EQUIPMENT'',''Supplier'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Supplier] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Supplier] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Depth'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Depth] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Depth] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Width'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Width] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Width] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Height'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Height] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Height] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Power'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Power] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Power] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''RotSpeed'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [RotSpeed] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [RotSpeed] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Diameter'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Diameter] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Diameter] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Capacity'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Capacity] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Capacity] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Pressure'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Pressure] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Pressure] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Cost'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Cost] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Cost] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Volume] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Volume] nvarchar(50)  END;
IF COL_LENGTH(''EQUIPMENT'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Weight] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Weight] nvarchar(50)  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_ATT_LIMIT_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sAttID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sAttID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_ATT_LIMIT_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sMax'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sMax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sMax] nvarchar(50)  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sMin'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sMin] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sMin] nvarchar(50)  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''bJoin'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [bJoin] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [bJoin] bit  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sFilter] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sFilter] ntext  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_EST_ATT_LIMIT_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_REF_SHIP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_REF_SHIP_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REF_SHIP'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_EST_REF_SHIP_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_SETTING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SETTING'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''EST_SETTING'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''EST_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_SETTING_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SETTING'',''sCurveType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sCurveType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sCurveType] nvarchar(1)  END;
IF COL_LENGTH(''EST_SETTING'',''iMethodType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [iMethodType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [iMethodType] smallint  END;
IF COL_LENGTH(''EST_SETTING'',''bShowLabel'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowLabel] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowLabel] bit  END;
IF COL_LENGTH(''EST_SETTING'',''bShowAverage'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowAverage] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowAverage] bit  END;
IF COL_LENGTH(''EST_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowStdDev] bit  END;
IF COL_LENGTH(''EST_SETTING'',''bScaleAxis'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bScaleAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bScaleAxis] bit  END;
IF COL_LENGTH(''EST_SETTING'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sComment] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sComment] nvarchar(255)  END;
IF COL_LENGTH(''EST_SETTING'',''iCoeffSel'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [iCoeffSel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [iCoeffSel] smallint  END;
IF COL_LENGTH(''EST_SETTING'',''fCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fCoefficient] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fCoefficient] decimal(28,14)  END;
IF COL_LENGTH(''EST_SETTING'',''fCoeffStd'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fCoeffStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fCoeffStd] decimal(28,14)  END;
IF COL_LENGTH(''EST_SETTING'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fValue] decimal(28,14)  END;
IF COL_LENGTH(''EST_SETTING'',''fStd'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fStd] decimal(28,14)  END;
IF COL_LENGTH(''EST_SETTING'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bAbsYAxis] bit  END;
IF COL_LENGTH(''EST_SETTING'',''MethodType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [MethodType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [MethodType] nvarchar(50)  END;
IF COL_LENGTH(''EST_SETTING'',''SisterProject'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [SisterProject] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [SisterProject] nvarchar(50)  END;
IF COL_LENGTH(''EST_SETTING'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_EST_SETTING_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_REG_LINE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_REG_LINE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''WgtGrpType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WgtGrpType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WgtGrpType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [Title] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [Title] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_REG_LINE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_EST_REG_LINE_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_SHIP_TYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [sPostID] nvarchar(12) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [sPostID] nvarchar(12) NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_EST_SHIP_TYPE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [ItemNo] nvarchar(50) NOT NULL  CONSTRAINT [DF_EST_SHIP_TYPE_ITEMNO] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''HYDROSTATIC'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_HYDROSTATIC_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''HYDROSTATIC'',''Draft'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [Draft] decimal(28,14) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [Draft] decimal(28,14) NOT NULL  END;
IF COL_LENGTH(''HYDROSTATIC'',''Displacement'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [Displacement] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [Displacement] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''KM'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [KM] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [KM] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''LCB'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [LCB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [LCB] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''LCF'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [LCF] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''MCT'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [MCT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [MCT] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''KB'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [KB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [KB] decimal(28,14)  END;
IF COL_LENGTH(''HYDROSTATIC'',''TPC'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [TPC] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [TPC] decimal(28,14)  END;
IF COL_LENGTH(''IMPORT_SET'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_IMPORT_SET_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET'',''SetID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [SetID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [SetID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET'',''FileName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [FileName] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [FileName] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET'',''Table'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [Table] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [Table] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET'',''Tab'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [Tab] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [Tab] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SET'',''HeaderRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [HeaderRow] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [HeaderRow] bit  END;
IF COL_LENGTH(''IMPORT_SET'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODETYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODETYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODETYPE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODETYPE'',''SystemCodeVariable'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [SystemCodeVariable] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [SystemCodeVariable] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Title] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''CODETYPE'',''FieldSize'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldSize] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldSize] smallint  END;
IF COL_LENGTH(''CODETYPE'',''Calculate'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Calculate] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Calculate] nvarchar(255)  END;
IF COL_LENGTH(''CODETYPE'',''Tab'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Tab] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Tab] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Format'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Format] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldType] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Mandatory'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Mandatory] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Mandatory] bit  END;
IF COL_LENGTH(''CODETYPE'',''DefaultCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [DefaultCodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [DefaultCodeID] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''AutoSum'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [AutoSum] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [AutoSum] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Rule'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Rule] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Rule] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_IMPORT_SET_LOG_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''SetID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [SetID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [SetID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''FileName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [FileName] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [FileName] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''Table'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [Table] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [Table] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''LogDate'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [LogDate] datetime2 NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [LogDate] datetime2 NOT NULL  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''LogUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [LogUser] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [LogUser] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''Logging'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [Logging] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [Logging] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SETTING'',''HeaderRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [HeaderRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [HeaderRow] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SETTING'',''StartRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [StartRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [StartRow] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SETTING'',''EndRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [EndRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [EndRow] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SETTING'',''Inactive'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [Inactive] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [Inactive] bit  END;
IF COL_LENGTH(''IMPORT_SETTING'',''TableName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [TableName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [TableName] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''ItemField'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [ItemField] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [ItemField] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''SourceField'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [SourceField] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [SourceField] nvarchar(50)  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''WashSetting'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [WashSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [WashSetting] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_FILTER'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_FILTER_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FILTER'',''FilterID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [FilterID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [FilterID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FILTER'',''FilterType'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [FilterType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [FilterType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FILTER'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [Filter] nvarchar(500) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [Filter] nvarchar(500)  END;
IF COL_LENGTH(''ITEM_FILTER'',''Time'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [Time] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [Time] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_FORMULA'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_FORMULA_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FORMULA'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FORMULA'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [ItemNo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FORMULA'',''FieldID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [FieldID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [FieldID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_FORMULA'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SEARCH'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_SEARCH_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SEARCH'',''FilterName'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [FilterName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [FilterName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SEARCH'',''FieldName'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [FieldName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [FieldName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SEARCH'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [Value] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [Value] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''ITEM_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING'',''Date'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [Date] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [Date] datetime2  END;
IF COL_LENGTH(''ITEM_SETTING'',''UserGroup'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [UserGroup] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [UserGroup] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_FIELD_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''TypeID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [TypeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [TypeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''FieldID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [FieldID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [FieldID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [GroupID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [GroupID] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''Order'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [Order] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [Order] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''Width'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [Width] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [Width] decimal(28,14)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_GROUP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [SettingID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [SettingID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''TypeID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [TypeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [TypeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [GroupID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [GroupID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Title] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Order'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Order] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Order] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Color] nvarchar(50)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Hidden'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Hidden] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Hidden] bit  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''ForeColor'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [ForeColor] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [ForeColor] nvarchar(50)  END;
IF COL_LENGTH(''ITEM'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [RegDate] datetime2 END;
IF COL_LENGTH(''ITEM_TEMP'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2 END;
IF COL_LENGTH(''ITEM_TEMP'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2 END;
IF COL_LENGTH(''ITEM_TEMP'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_TEMP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''VARIABLES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_TEMP'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditUser] nvarchar(255)  END;


commit'
exec(@cmd2)
print 'C'

-- Add defaults
set @cmd2='USE ' + @dbname + ';'
set @cmd2 = @cmd2 +
'
begin transaction;
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_SETTING_GROUP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_SETTING_GROUP''))   BEGIN    ALTER TABLE dbo.ITEM_SETTING_GROUP ADD CONSTRAINT DF_ITEM_SETTING_GROUP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_TEMP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_TEMP''))   BEGIN    ALTER TABLE dbo.ITEM_TEMP ADD CONSTRAINT DF_ITEM_TEMP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LINE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.LINE''))   BEGIN    ALTER TABLE dbo.LINE ADD CONSTRAINT DF_LINE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LINES_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.LINES''))   BEGIN    ALTER TABLE dbo.LINES ADD CONSTRAINT DF_LINES_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LOADCASE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.LOADCASE''))   BEGIN    ALTER TABLE dbo.LOADCASE ADD CONSTRAINT DF_LOADCASE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LOAD_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.LOADS''))   BEGIN    ALTER TABLE dbo.LOADS ADD CONSTRAINT DF_LOAD_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LOG_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.LOG''))   BEGIN    ALTER TABLE dbo.LOG ADD CONSTRAINT DF_LOG_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POINT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.POINT''))   BEGIN    ALTER TABLE dbo.POINT ADD CONSTRAINT DF_POINT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_LOG_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.POST_LOG''))   BEGIN    ALTER TABLE dbo.POST_LOG ADD CONSTRAINT DF_POST_LOG_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP''))   BEGIN    ALTER TABLE dbo.SHIP ADD CONSTRAINT DF_SHIP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_FATT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_FATT''))   BEGIN    ALTER TABLE dbo.SHIP_FATT ADD CONSTRAINT DF_SHIP_FATT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_ATT_LIMIT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.AUTO_EST_ATT_LIMIT ADD CONSTRAINT DF_AUTO_EST_ATT_LIMIT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_IATT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_IATT''))   BEGIN    ALTER TABLE dbo.SHIP_IATT ADD CONSTRAINT DF_SHIP_IATT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_REF_SHIP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.AUTO_EST_REF_SHIP ADD CONSTRAINT DF_AUTO_EST_REF_SHIP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_POST_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_POST''))   BEGIN    ALTER TABLE dbo.SHIP_POST ADD CONSTRAINT DF_SHIP_POST_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SETTING_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SETTING''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SETTING ADD CONSTRAINT DF_AUTO_EST_SETTING_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_TATT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_TATT''))   BEGIN    ALTER TABLE dbo.SHIP_TATT ADD CONSTRAINT DF_SHIP_TATT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SHIP_TYPE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SHIP_TYPE ADD CONSTRAINT DF_AUTO_EST_SHIP_TYPE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_TANK_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.TANK''))   BEGIN    ALTER TABLE dbo.TANK ADD CONSTRAINT DF_TANK_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_POST_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_POST''))   BEGIN    ALTER TABLE dbo.AUTO_POST ADD CONSTRAINT DF_AUTO_POST_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_TANK_SOUNDING_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.TANK_SOUNDING''))   BEGIN    ALTER TABLE dbo.TANK_SOUNDING ADD CONSTRAINT DF_TANK_SOUNDING_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_REF_SHIP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_REF_SHIP''))   BEGIN    ALTER TABLE dbo.AUTO_REF_SHIP ADD CONSTRAINT DF_AUTO_REF_SHIP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_VARIABLES_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.VARIABLES''))   BEGIN    ALTER TABLE dbo.VARIABLES ADD CONSTRAINT DF_VARIABLES_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_SETTING_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_SETTING''))   BEGIN    ALTER TABLE dbo.AUTO_SETTING ADD CONSTRAINT DF_AUTO_SETTING_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_SHIP_TYPE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.AUTO_SHIP_TYPE ADD CONSTRAINT DF_AUTO_SHIP_TYPE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_VALUE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_VALUE''))   BEGIN    ALTER TABLE dbo.AUTO_VALUE ADD CONSTRAINT DF_AUTO_VALUE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.CODE''))   BEGIN    ALTER TABLE dbo.CODE ADD CONSTRAINT DF_CODE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODE_FILTER_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.CODE_FILTER''))   BEGIN    ALTER TABLE dbo.CODE_FILTER ADD CONSTRAINT DF_CODE_FILTER_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODE_MAP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.CODE_MAP''))   BEGIN    ALTER TABLE dbo.CODE_MAP ADD CONSTRAINT DF_CODE_MAP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODE_REPORT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.CODE_REPORT''))   BEGIN    ALTER TABLE dbo.CODE_REPORT ADD CONSTRAINT DF_CODE_REPORT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_POST_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_POST''))   BEGIN    ALTER TABLE dbo.SHIP_POST ADD CONSTRAINT DF_SHIP_POST_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SETTING_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SETTING''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SETTING ADD CONSTRAINT DF_AUTO_EST_SETTING_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_ATT_LIMIT_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.AUTO_EST_ATT_LIMIT ADD CONSTRAINT DF_AUTO_EST_ATT_LIMIT_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_ATT_LIMIT_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.EST_ATT_LIMIT ADD CONSTRAINT DF_EST_ATT_LIMIT_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_REF_SHIP_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.EST_REF_SHIP ADD CONSTRAINT DF_EST_REF_SHIP_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EQUIPMENT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.EQUIPMENT''))   BEGIN    ALTER TABLE dbo.EQUIPMENT ADD CONSTRAINT DF_EQUIPMENT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SETTING_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SETTING''))   BEGIN    ALTER TABLE dbo.EST_SETTING ADD CONSTRAINT DF_EST_SETTING_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SHIP_TYPE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.EST_SHIP_TYPE ADD CONSTRAINT DF_EST_SHIP_TYPE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_REF_SHIP_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.AUTO_EST_REF_SHIP ADD CONSTRAINT DF_AUTO_EST_REF_SHIP_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_ATT_LIMIT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.EST_ATT_LIMIT ADD CONSTRAINT DF_EST_ATT_LIMIT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SHIP_TYPE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SHIP_TYPE ADD CONSTRAINT DF_AUTO_EST_SHIP_TYPE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_SETTING_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_SETTING''))   BEGIN    ALTER TABLE dbo.AUTO_SETTING ADD CONSTRAINT DF_AUTO_SETTING_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_POST_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_POST''))   BEGIN    ALTER TABLE dbo.AUTO_POST ADD CONSTRAINT DF_AUTO_POST_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_REF_SHIP_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.EST_REF_SHIP ADD CONSTRAINT DF_EST_REF_SHIP_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_REF_SHIP_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_REF_SHIP''))   BEGIN    ALTER TABLE dbo.AUTO_REF_SHIP ADD CONSTRAINT DF_AUTO_REF_SHIP_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_SHIP_TYPE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.AUTO_SHIP_TYPE ADD CONSTRAINT DF_AUTO_SHIP_TYPE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_VALUE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_VALUE''))   BEGIN    ALTER TABLE dbo.AUTO_VALUE ADD CONSTRAINT DF_AUTO_VALUE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SETTING_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SETTING''))   BEGIN    ALTER TABLE dbo.EST_SETTING ADD CONSTRAINT DF_EST_SETTING_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_REG_LINE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.EST_REG_LINE''))   BEGIN    ALTER TABLE dbo.EST_REG_LINE ADD CONSTRAINT DF_EST_REG_LINE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SHIP_TYPE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.EST_SHIP_TYPE ADD CONSTRAINT DF_EST_SHIP_TYPE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_HYDROSTATIC_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.HYDROSTATIC''))   BEGIN    ALTER TABLE dbo.HYDROSTATIC ADD CONSTRAINT DF_HYDROSTATIC_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODETYPE_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.CODETYPE''))   BEGIN    ALTER TABLE dbo.CODETYPE ADD CONSTRAINT DF_CODETYPE_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CODETYPE_SystemCodeVariable'') AND parent_object_id = OBJECT_ID(N''dbo.CODETYPE''))   BEGIN    ALTER TABLE dbo.CODETYPE ADD CONSTRAINT DF_CODETYPE_SystemCodeVariable DEFAULT((N''WBS00'')) FOR SystemCodeVariable END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM''))   BEGIN    ALTER TABLE dbo.ITEM ADD CONSTRAINT DF_ITEM_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_CHECKEDIN_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_CHECKEDIN''))   BEGIN    ALTER TABLE dbo.ITEM_CHECKEDIN ADD CONSTRAINT DF_ITEM_CHECKEDIN_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_CHECKEDOUT_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_CHECKEDOUT''))   BEGIN    ALTER TABLE dbo.ITEM_CHECKEDOUT ADD CONSTRAINT DF_ITEM_CHECKEDOUT_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_FILTER_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_FILTER''))   BEGIN    ALTER TABLE dbo.ITEM_FILTER ADD CONSTRAINT DF_ITEM_FILTER_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_FORMULA_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_FORMULA''))   BEGIN    ALTER TABLE dbo.ITEM_FORMULA ADD CONSTRAINT DF_ITEM_FORMULA_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_SETTING_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_SETTING''))   BEGIN    ALTER TABLE dbo.ITEM_SETTING ADD CONSTRAINT DF_ITEM_SETTING_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_ITEM_SETTING_FIELD_ProjectID'') AND parent_object_id = OBJECT_ID(N''dbo.ITEM_SETTING_FIELD''))   BEGIN    ALTER TABLE dbo.ITEM_SETTING_FIELD ADD CONSTRAINT DF_ITEM_SETTING_FIELD_ProjectID DEFAULT((N''Master'')) FOR ProjectID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_WGTGRP_VALUES_Qty'') AND parent_object_id = OBJECT_ID(N''dbo.WGTGRP_VALUES''))   BEGIN    ALTER TABLE dbo.WGTGRP_VALUES ADD CONSTRAINT DF_WGTGRP_VALUES_Qty DEFAULT(('''')) FOR Qty END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_WGTGRP_QTYVALUES_Qty'') AND parent_object_id = OBJECT_ID(N''dbo.WGTGRP_QTYVALUES''))   BEGIN    ALTER TABLE dbo.WGTGRP_QTYVALUES ADD CONSTRAINT DF_WGTGRP_QTYVALUES_Qty DEFAULT(('''')) FOR Qty END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SETTING_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SETTING''))   BEGIN    ALTER TABLE dbo.EST_SETTING ADD CONSTRAINT DF_EST_SETTING_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_ATT_LIMIT_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.EST_ATT_LIMIT ADD CONSTRAINT DF_EST_ATT_LIMIT_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_REF_SHIP_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.EST_REF_SHIP ADD CONSTRAINT DF_EST_REF_SHIP_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_REG_LINE_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.EST_REG_LINE''))   BEGIN    ALTER TABLE dbo.EST_REG_LINE ADD CONSTRAINT DF_EST_REG_LINE_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_EST_SHIP_TYPE_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.EST_SHIP_TYPE ADD CONSTRAINT DF_EST_SHIP_TYPE_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SETTING_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SETTING''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SETTING ADD CONSTRAINT DF_AUTO_EST_SETTING_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_ATT_LIMIT_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_ATT_LIMIT''))   BEGIN    ALTER TABLE dbo.AUTO_EST_ATT_LIMIT ADD CONSTRAINT DF_AUTO_EST_ATT_LIMIT_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_REF_SHIP_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_REF_SHIP''))   BEGIN    ALTER TABLE dbo.AUTO_EST_REF_SHIP ADD CONSTRAINT DF_AUTO_EST_REF_SHIP_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_AUTO_EST_SHIP_TYPE_ITEMNO'') AND parent_object_id = OBJECT_ID(N''dbo.AUTO_EST_SHIP_TYPE''))   BEGIN    ALTER TABLE dbo.AUTO_EST_SHIP_TYPE ADD CONSTRAINT DF_AUTO_EST_SHIP_TYPE_ITEMNO DEFAULT((N'''')) FOR ItemNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_Active'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP''))   BEGIN    ALTER TABLE dbo.SHIP ADD CONSTRAINT DF_SHIP_Active DEFAULT((1)) FOR [Active] END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_LOG_WgtGrp'') AND parent_object_id = OBJECT_ID(N''dbo.LOG''))   BEGIN    ALTER TABLE dbo.LOG ADD CONSTRAINT DF_LOG_WgtGrp DEFAULT('''') FOR [WgtGrp] END

UPDATE dbo.LOG SET WgtGrp = '''' where WgtGrp IS NULL;

commit
'
exec(@cmd2)
print 'D'

-- Update defaults
set @cmd2='USE ' + @dbname + ';'
set @cmd2=@cmd2 +
'
begin transaction
UPDATE dbo.SHIP_POST SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_EST_SETTING SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_EST_ATT_LIMIT SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.EST_ATT_LIMIT SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.EST_REF_SHIP SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.EST_SETTING SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.EST_SHIP_TYPE SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_EST_REF_SHIP SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_EST_SHIP_TYPE SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_SETTING SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_POST SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_REF_SHIP SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_SHIP_TYPE SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.AUTO_VALUE SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.EST_REG_LINE SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.CODETYPE SET SystemCodeVariable = ''WBS00'' where SystemCodeVariable IS NULL OR SystemCodeVariable ='''';
UPDATE dbo.EST_SETTING SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.EST_ATT_LIMIT SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.EST_REF_SHIP SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.EST_REG_LINE SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.EST_SHIP_TYPE SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.AUTO_EST_SETTING SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.AUTO_EST_ATT_LIMIT SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.AUTO_EST_REF_SHIP SET ItemNo = '''' where ItemNo IS NULL;
UPDATE dbo.AUTO_EST_SHIP_TYPE SET ItemNo = '''' where ItemNo IS NULL;

UPDATE dbo.SHIP SET [Active] = 1 where [Active] IS NULL;

ALTER TABLE [dbo].[LOG] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL;

commit
'
exec(@cmd2)
print 'E'

-- Add constraints
set @cmd2='USE ' + @dbname + ';'
set @cmd2=@cmd2 +
'
begin transaction

ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD CONSTRAINT [PK_AUTO_EST_ATT_LIMIT] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, sAttID ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD CONSTRAINT [PK_AUTO_EST_REF_SHIP] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, sShipID ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD CONSTRAINT [PK_AUTO_EST_SETTING] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD CONSTRAINT [PK_AUTO_EST_SHIP_TYPE] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, iShipType ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_POST] ADD CONSTRAINT [PK_AUTO_POST] PRIMARY KEY CLUSTERED(ProjectID ASC, sSetting ASC, sPostID ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD CONSTRAINT [PK_AUTO_REF_SHIP] PRIMARY KEY CLUSTERED(ProjectID ASC, sSetting ASC, sShipID ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_SETTING] ADD CONSTRAINT [PK_AUTO_SETTING] PRIMARY KEY CLUSTERED(ProjectID ASC, sSetting ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD CONSTRAINT [PK_AUTO_SHIP_TYPE] PRIMARY KEY CLUSTERED(ProjectID ASC, sSetting ASC, iShipType ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[AUTO_VALUE] ADD CONSTRAINT [PK_AUTO_VALUE] PRIMARY KEY CLUSTERED(ProjectID ASC, sSetting ASC, sPostID ASC, sPostType ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODE] ADD CONSTRAINT [PK_CODE] PRIMARY KEY CLUSTERED(ProjectID ASC, CodeType ASC, CodeID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODE_FILTER] ADD CONSTRAINT [PK_CODE_FILTER] PRIMARY KEY CLUSTERED(ProjectID ASC, FilterID ASC, CodeType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODE_MAP] ADD CONSTRAINT [PK_CODE_MAP] PRIMARY KEY CLUSTERED(ProjectID ASC, sCode1 ASC, sCodeType1 ASC, sCode2 ASC, sCodeType2 ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODE_REPORT] ADD CONSTRAINT [PK_CODE_REPORT] PRIMARY KEY CLUSTERED(ProjectID ASC, sTitle ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODETYPE] ADD CONSTRAINT [PK_CODETYPE] PRIMARY KEY CLUSTERED(ProjectID ASC, CodeType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[COMPARE_PROJECT] ADD CONSTRAINT [PK_COMPARE_PROJECT] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC, [Index] ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[COMPARE_SETTING] ADD CONSTRAINT [PK_COMPARE_SETTING] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[COMPARE_VALUE] ADD CONSTRAINT [PK_COMPARE_VALUE] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC, Project ASC, CodeID ASC, ItemID ASC, CodeType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[DISTRCURVE_VALUES] ADD CONSTRAINT [PK_DISTRCURVE_VALUES] PRIMARY KEY CLUSTERED(ProjectID ASC, CurveType ASC, X ASC,Y ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EQUIPMENT] ADD CONSTRAINT [PK_EQUIPMENT] PRIMARY KEY CLUSTERED(ProjectID ASC, WgtGrp ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD CONSTRAINT [PK_EST_ATT_LIMIT] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, sAttID ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EST_REF_SHIP] ADD CONSTRAINT [PK_EST_REF_SHIP] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, sShipID ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EST_REG_LINE] ADD CONSTRAINT [PK_EST_REG_LINE] PRIMARY KEY CLUSTERED(ProjectID ASC, WBS ASC, WgtGrp ASC, WgtGrpType ASC, Title ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EST_SETTING] ADD CONSTRAINT [PK_EST_SETTING] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD CONSTRAINT [PK_EST_SHIP_TYPE] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sPostType ASC, iShipType ASC, WBS ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[HYDROSTATIC] ADD CONSTRAINT [PK_HYDROSTATIC] PRIMARY KEY CLUSTERED(ProjectID ASC, Draft ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[IMAGE] ADD CONSTRAINT [PK_IMAGE] PRIMARY KEY CLUSTERED(ProjectID ASC, ID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[IMPORT_SET] ADD CONSTRAINT [PK_IMPORT_SET] PRIMARY KEY CLUSTERED(ProjectID ASC, SetID ASC, FileName ASC, [Table] ASC, SettingID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD CONSTRAINT [PK_IMPORT_SET_LOG] PRIMARY KEY CLUSTERED(ProjectID ASC, SetID ASC, FileName ASC, [Table] ASC, LogDate ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[IMPORT_SETTING] ADD CONSTRAINT [PK_IMPORT_SETTING] PRIMARY KEY CLUSTERED(SettingID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD CONSTRAINT [PK_IMPORT_SETTING_FIELD] PRIMARY KEY CLUSTERED(SettingID ASC, ItemField ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[ITEM_FILTER] ADD CONSTRAINT [PK_ITEM_FILTER] PRIMARY KEY CLUSTERED(ProjectID ASC, FilterID ASC, FilterType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM_FORMULA] ADD CONSTRAINT [PK_ITEM_FORMULA] PRIMARY KEY CLUSTERED(ProjectID ASC, WgtGrp ASC, ItemNo ASC, FieldID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM_SEARCH] ADD CONSTRAINT [PK_ITEM_SEARCH] PRIMARY KEY CLUSTERED(ProjectID ASC, FilterName ASC, FieldName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM_SETTING] ADD CONSTRAINT [PK_ITEM_SETTING] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD CONSTRAINT [PK_ITEM_SETTING_FIELD] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC, TypeID ASC, FieldID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD CONSTRAINT [PK_ITEM_SETTING_GROUP] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC, TypeID ASC, GroupID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[LINE] ADD CONSTRAINT [PK_LINE] PRIMARY KEY CLUSTERED(ProjectID ASC, LineID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[LINES] ADD CONSTRAINT [PK_LINES] PRIMARY KEY CLUSTERED(ProjectID ASC, sCode ASC, sCodeType ASC, sTitle ASC, iNum ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[LOADCASE] ADD CONSTRAINT [PK_LOADCASE] PRIMARY KEY CLUSTERED(ProjectID ASC, LoadCase ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[LOADS] ADD CONSTRAINT [PK_LOADS] PRIMARY KEY CLUSTERED(ProjectID ASC, LoadCase ASC, LoadID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[LOG] ADD CONSTRAINT [PK_LOG] PRIMARY KEY CLUSTERED(ProjectID ASC, WgtGrp ASC, dLogDate ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[MARGIN] ADD CONSTRAINT [PK_MARGIN] PRIMARY KEY CLUSTERED(ProjectID ASC, MarginID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD CONSTRAINT [PK_MODULE_WGTDISTR] PRIMARY KEY CLUSTERED(ProjectID ASC, CodeType ASC, t ASC, i ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[PARAM_LINK] ADD CONSTRAINT [PK_PARAM_LINK] PRIMARY KEY CLUSTERED(ProjectID ASC, ParamID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

 ALTER TABLE [dbo].[PARAM_MEMO] ADD CONSTRAINT [PK_PARAM_MEMO] PRIMARY KEY CLUSTERED(ProjectID ASC, ParamID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[POINT] ADD CONSTRAINT [PK_POINT] PRIMARY KEY CLUSTERED(ProjectID ASC, LineID ASC, PointID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[POST_LOG] ADD CONSTRAINT [PK_POST_LOG] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[PROJECTTYPE_SET] ADD CONSTRAINT [PK_PROJECTTYPE_SET] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC)
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[PROJECTTYPE_SET_FIELD] ADD CONSTRAINT [PK_PROJECTTYPE_SET_FIELD] PRIMARY KEY CLUSTERED(ProjectID ASC, SettingID ASC, ProjectTypeID ASC)
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[PROJECT_FOLDER] ADD CONSTRAINT [PK_PROJECT_FOLDER_1] PRIMARY KEY CLUSTERED(FolderName ASC, FolderPath ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP] ADD CONSTRAINT [PK_SHIP] PRIMARY KEY CLUSTERED(ProjectID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_FATT] ADD CONSTRAINT [PK_SHIP_FATT] PRIMARY KEY CLUSTERED(ProjectID ASC, sFAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_IATT] ADD CONSTRAINT [PK_SHIP_IATT] PRIMARY KEY CLUSTERED(ProjectID ASC, sIAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_POST] ADD CONSTRAINT [PK_SHIP_POST] PRIMARY KEY CLUSTERED(ProjectID ASC, sPostID ASC, sType ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_TATT] ADD CONSTRAINT [PK_SHIP_TATT] PRIMARY KEY CLUSTERED(ProjectID ASC, sTAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[TABLE_KEYS] ADD CONSTRAINT [PK_TABLE_KEYS] PRIMARY KEY CLUSTERED(ProjectID ASC, TableName ASC, FieldName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[TANK] ADD CONSTRAINT [PK_TANK] PRIMARY KEY CLUSTERED(ProjectID ASC, TankID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[TANK_SOUNDING] ADD CONSTRAINT [PK_TANK_SOUNDING] PRIMARY KEY CLUSTERED(ProjectID ASC, TankID ASC, Sounding ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[VARIABLES] ADD CONSTRAINT [PK_VARIABLES] PRIMARY KEY CLUSTERED(ProjectID ASC, sKey ASC, sSubKey ASC, sRegUser ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[VERSION] ADD CONSTRAINT [PK_VERSION] PRIMARY KEY CLUSTERED(fVersion ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[WEIGHTMATRIX] ADD CONSTRAINT [PK_WEIGHTMATRIX] PRIMARY KEY CLUSTERED(ProjectID ASC, Title ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD CONSTRAINT [PK_WEIGHTMATRIX_FIELD] PRIMARY KEY CLUSTERED(ProjectID ASC, Title ASC, FieldType ASC, FieldNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD CONSTRAINT [PK_WEIGHTMATRIX_VALUE] PRIMARY KEY CLUSTERED(ProjectID ASC, Title ASC, RowCodeID ASC, ColumnCodeID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[WGTGRP_CODE] ADD CONSTRAINT [PK_WGTGRP_CODE] PRIMARY KEY CLUSTERED(ProjectID ASC, WBS ASC, WgtGrp ASC, Source ASC, CodeType ASC)
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD CONSTRAINT [PK_WGTGRP_PERCENTAGE] PRIMARY KEY CLUSTERED(ProjectID ASC, WgtGrp ASC, Type ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[WGTGRP_VALUES] ADD CONSTRAINT [PK_WGTGRP_VALUES] PRIMARY KEY CLUSTERED(ProjectID ASC, WBS ASC, WgtGrp ASC, Source ASC, Type, Qty ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
  
ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD CONSTRAINT [PK_WGTGRP_VALUES_SUM] PRIMARY KEY CLUSTERED(ProjectID ASC, WBS ASC, WgtGrp ASC, WgtGrpSum ASC, Qty ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[WGTGRP_QTYVALUES] ADD CONSTRAINT [PK_WGTGRP_QTYVALUES] PRIMARY KEY CLUSTERED(ProjectID ASC, WBS ASC, WgtGrpID ASC, Type ASC, Qty ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[WORKSET] ADD CONSTRAINT [PK_WORKSET_1] PRIMARY KEY CLUSTERED(ProjectID ASC, WorksetID ASC, CheckoutDate ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[REPORTREVISION] ADD CONSTRAINT [PK_REPORTREVISION] PRIMARY KEY CLUSTERED(ID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
IF (SELECT Column_Default FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''WGTGRP_VALUES'' AND COLUMN_NAME = ''Qty'') is NULL
BEGIN
    ALTER TABLE [dbo].[WGTGRP_VALUES]
    ADD DEFAULT ('''') FOR [Qty]
END

IF (SELECT Column_Default FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ''WGTGRP_VALUES_SUM'' AND COLUMN_NAME = ''Qty'') is NULL
BEGIN
    ALTER TABLE [dbo].[WGTGRP_VALUES_SUM]
    ADD DEFAULT ('''') FOR [Qty]
END
 
commit
'
exec(@cmd2)
print 'F'

set @cmd2='USE ' + @dbname + ';'

set @cmd2=@cmd2 +
'
begin transaction
if exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
BEGIN
drop table [dbo].[VERSION]

CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]


INSERT INTO [dbo].[VERSION] ([fVersion])
	VALUES (14.00000000000000)
END
commit
'
exec(@cmd2)


print 'Finish update of ' + @dbname + '...'

Goto ReturnToLoop

Update_Project_Log_DB:

print 'Starting update of ' + @dbname + '...'

set @cmd2='USE ' + @dbname + ';'

-- Create any missing Project tables
set @cmd2=@cmd2 +

'begin transaction

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_ATT_LIMIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_ATT_LIMIT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sAttID] [nvarchar] (12) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[sMax] [nvarchar] (50) NULL ,
	[sMin] [nvarchar] (50) NULL ,
	[bJoin] [bit] NULL ,
	[sFilter] [ntext] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_AUTO_EST_SETTING_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[sCurveType] [nvarchar] (1) NULL ,
	[iMethodType] [smallint] NULL ,
	[bShowLabel] [bit] NULL ,
	[bShowAverage] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bScaleAxis] [bit] NULL ,
	[sComment] [nvarchar] (50) NULL ,
	[iCoeffSel] [smallint] NULL ,
	[fCoefficient] [decimal](28, 14) NULL ,
	[fCoeffStd] [decimal](28, 14) NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[fStd] [decimal](28, 14) NULL ,
	[bAbsYAxis] [bit] NULL ,
	[MethodType] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_EST_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_EST_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_POST] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sSetting] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[iDetailLevel] [smallint] NULL ,
	[iMethod] [smallint] NULL ,
	[iCoefficient] [smallint] NULL ,
	[bAskParam] [bit] NULL ,
	[bShowAllEst] [bit] NULL ,
	[bShowWgtGrp] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bShowDeviation] [bit] NULL ,
	[bEstimateVCG] [bit] NULL ,
	[bEstimateLCG] [bit] NULL ,
	[sSisterShip] [nvarchar] (50) NULL ,
	[sMainPost] [nvarchar] (12) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sSetting] [nvarchar] (50) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AUTO_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AUTO_VALUE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sSetting] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[sStatus] [nvarchar] (1) NULL ,
	[fStdDev] [decimal](28, 14) NULL ,
	[fMaxStd] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[CodeID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[CodeOver] [nvarchar] (50) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Start] [int] NULL ,
	[Stop] [int] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_FILTER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_FILTER] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[FilterID] [nvarchar] (50) NULL ,
	[CodeType] [nvarchar] (50) NULL ,
	[Filter] [nvarchar] (500) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_MAP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_MAP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sCode1] [nvarchar] (50) NOT NULL ,
	[sCodeType1] [nvarchar] (50) NOT NULL ,
	[sCode2] [nvarchar] (50) NOT NULL ,
	[sCodeType2] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE_REPORT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE_REPORT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sTitle] [nvarchar] (255) NOT NULL ,
	[sFilter] [nvarchar] (255) NULL ,
	[sFormat] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODETYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODETYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[SystemCodeVariable] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[FieldSize] [smallint] NULL ,
	[Calculate] [nvarchar] (255) NULL ,
	[Tab] [nvarchar] (50) NULL ,
	[Format] [nvarchar] (50) NULL ,
	[FieldType] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[Mandatory] [bit] NULL ,
	[DefaultCodeID] [nvarchar] (50) NULL ,
	[AutoSum] [nvarchar] (50) NULL ,
	[Rule] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_PROJECT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_PROJECT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[Index] [nvarchar] (50) NOT NULL ,
	[Project] [nvarchar] (50) NULL ,
	[Label] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NULL ,
	[ListType] [int] NULL ,
	[ShowDeviation] [bit] NULL ,
	[DeviationType] [int] NULL ,
	[ShowCoGImpact] [bit] NULL ,
	[CoGImpactType] [int] NULL ,
	[ShowItems] [bit] NULL ,
	[ViewType] [int] NULL ,
	[ShowX] [bit] NULL ,
	[ShowY] [bit] NULL ,
	[ShowZ] [bit] NULL ,
	[ShowCustomCode] [bit] NULL ,
	[CustomCodeType] [nvarchar] (50) NULL ,
	[ShowCustomCodeRatio] [bit] NULL ,
	[ShowWeight] [bit] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COMPARE_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COMPARE_VALUE](
	[ProjectID] [nvarchar](50) NULL,
	[SettingID] [nvarchar](50) NULL,
	[Project] [nvarchar](100) NULL,
	[CodeID] [nvarchar](50) NULL,
	[ItemID] [nvarchar](50) NULL,
	[CodeType] [nvarchar](50) NULL,
	[Weight] [decimal](28, 14) NULL,
	[X] [decimal](28, 14) NULL,
	[Y] [decimal](28, 14) NULL,
	[Z] [decimal](28, 14) NULL,
	[CustomCode] [nvarchar](50) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2] NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[DISTRCURVE_VALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[DISTRCURVE_VALUES](
	[ProjectID] [nvarchar](50) NOT NULL,
	[CurveType] [nvarchar](50) NOT NULL,
	[X] [decimal](28, 14) NOT NULL,
	[Y] [decimal](28, 14) NOT NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2](7) NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EQUIPMENT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EQUIPMENT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (10) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[SFINo] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Supplier] [nvarchar] (50) NULL ,
	[Depth] [nvarchar] (50) NULL ,
	[Width] [nvarchar] (50) NULL ,
	[Height] [nvarchar] (50) NULL ,
	[Power] [nvarchar] (50) NULL ,
	[RotSpeed] [nvarchar] (50) NULL ,
	[Diameter] [nvarchar] (50) NULL ,
	[Capacity] [nvarchar] (50) NULL ,
	[Pressure] [nvarchar] (50) NULL ,
	[Cost] [nvarchar] (50) NULL ,
	[Volume] [nvarchar] (50) NULL ,
	[Weight] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_ATT_LIMIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_ATT_LIMIT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sAttID] [nvarchar] (12) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[sMax] [nvarchar] (50) NULL ,
	[sMin] [nvarchar] (50) NULL ,
	[bJoin] [bit] NULL ,
	[sFilter] [ntext] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_REF_SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_REF_SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sShipID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_REG_LINE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_REG_LINE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[WgtGrpType] [nvarchar] (10) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_EST_SETTING_ProjectID] DEFAULT (N''Master''),
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[sCurveType] [nvarchar] (1) NULL ,
	[iMethodType] [smallint] NULL ,
	[bShowLabel] [bit] NULL ,
	[bShowAverage] [bit] NULL ,
	[bShowStdDev] [bit] NULL ,
	[bScaleAxis] [bit] NULL ,
	[sComment] [nvarchar] (255) NULL ,
	[iCoeffSel] [smallint] NULL ,
	[fCoefficient] [decimal](28, 14) NULL ,
	[fCoeffStd] [decimal](28, 14) NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[fStd] [decimal](28, 14) NULL ,
	[bAbsYAxis] [bit] NULL ,
	[MethodType] [nvarchar] (50) NULL ,
	[SisterProject] [nvarchar](50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EST_SHIP_TYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EST_SHIP_TYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[ItemNo] [nvarchar] (50) NULL 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[HYDROSTATIC]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[HYDROSTATIC] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Draft] [decimal](28, 14) NOT NULL ,
	[Displacement] [decimal](28, 14) NULL ,
	[KM] [decimal](28, 14) NULL ,
	[LCB] [decimal](28, 14) NULL ,
	[LCF] [decimal](28, 14) NULL ,
	[MCT] [decimal](28, 14) NULL ,
	[KB] [decimal](28, 14) NULL ,
	[TPC] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMAGE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMAGE](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ID] [nvarchar](255) NOT NULL,
	[Image] [varbinary](max) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2] NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SET] (
	[ProjectID] [nvarchar] (50) NULL ,
	[SetID] [nvarchar] (50) NOT NULL ,
	[FileName] [nvarchar] (255) NOT NULL ,
	[Table] [nvarchar] (50) NULL ,
	[Tab] [nvarchar] (50) NULL ,
	[HeaderRow] [bit] NULL ,
	[SettingID] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SET_LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SET_LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SetID] [nvarchar] (50) NOT NULL ,
	[FileName] [nvarchar] (255) NOT NULL ,
	[Table] [nvarchar] (50) NULL ,
	[LogDate] [datetime2] NULL ,
	[LogUser] [nvarchar] (50) NULL ,
	[Logging] [nvarchar] (255) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SETTING] (
	[SettingID] [nvarchar] (50) NOT NULL ,
	[HeaderRow] [nvarchar] (50) NULL ,
	[StartRow] [nvarchar] (50) NULL ,
	[EndRow] [nvarchar] (50) NULL ,
	[TableName] [nvarchar] (50) NULL ,
	[Inactive] [bit] NULL,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[IMPORT_SETTING_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[IMPORT_SETTING_FIELD] (
	[SettingID] [nvarchar] (50) NOT NULL ,
	[ItemField] [nvarchar] (50) NOT NULL ,
	[SourceField] [nvarchar] (50) NULL ,
	[WashSetting] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgUser] [nvarchar] (255) NULL ,
	[chgDate] [datetime2] NULL ,
	[chgWeight] [decimal](28, 14) NULL ,
	[chgVCG] [decimal](28, 14) NULL ,
	[chgLCG] [decimal](28, 14) NULL ,
	[chgTCG] [decimal](28, 14) NULL ,
	[chgVCG_min] [decimal](28, 14) NULL ,
	[chgVCG_max] [decimal](28, 14) NULL ,
	[chgLCG_min] [decimal](28, 14) NULL ,
	[chgLCG_max] [decimal](28, 14) NULL ,
	[chgTCG_min] [decimal](28, 14) NULL ,
	[chgTCG_max] [decimal](28, 14) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_CHECKEDIN]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_CHECKEDIN] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgUser] [nvarchar] (255) NULL ,
	[chgDate] [datetime2] NULL ,
	[chgWeight] [decimal](28, 14) NULL ,
	[chgVCG] [decimal](28, 14) NULL ,
	[chgLCG] [decimal](28, 14) NULL ,
	[chgTCG] [decimal](28, 14) NULL ,
	[chgVCG_min] [decimal](28, 14) NULL ,
	[chgVCG_max] [decimal](28, 14) NULL ,
	[chgLCG_min] [decimal](28, 14) NULL ,
	[chgLCG_max] [decimal](28, 14) NULL ,
	[chgTCG_min] [decimal](28, 14) NULL ,
	[chgTCG_max] [decimal](28, 14) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_CHECKEDOUT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_CHECKEDOUT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgUser] [nvarchar] (255) NULL ,
	[chgDate] [datetime2] NULL ,
	[chgWeight] [decimal](28, 14) NULL ,
	[chgVCG] [decimal](28, 14) NULL ,
	[chgLCG] [decimal](28, 14) NULL ,
	[chgTCG] [decimal](28, 14) NULL ,
	[chgVCG_min] [decimal](28, 14) NULL ,
	[chgVCG_max] [decimal](28, 14) NULL ,
	[chgLCG_min] [decimal](28, 14) NULL ,
	[chgLCG_max] [decimal](28, 14) NULL ,
	[chgTCG_min] [decimal](28, 14) NULL ,
	[chgTCG_max] [decimal](28, 14) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_FILTER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_FILTER] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[FilterID] [nvarchar] (50) NULL ,
	[FilterType] [nvarchar] (50) NULL ,
	[Filter] [nvarchar] (500) NULL ,
	[Time] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_FORMULA]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_FORMULA] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[FieldID] [nvarchar] (50) NOT NULL ,
	[Formula] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SEARCH]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SEARCH] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[FilterName] [nvarchar] (50) NOT NULL ,
	[FieldName] [nvarchar] (50) NOT NULL ,
	[Value] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[Date] [datetime2] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[UserGroup] [nvarchar] (50) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING_FIELD] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[SettingID] [nvarchar] (50) NOT NULL ,
	[TypeID] [nvarchar] (50) NOT NULL ,
	[FieldID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NULL ,
	[Order] [nvarchar] (50) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_SETTING_GROUP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_SETTING_GROUP] (
	[ProjectID] [nvarchar] (50) NOT NULL CONSTRAINT [DF_ITEM_SETTING_GROUP_ProjectID] DEFAULT (N''Master''),
	[SettingID] [nvarchar] (50) NOT NULL ,
	[TypeID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Order] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	[Hidden] [bit] NULL ,
	[ForeColor] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM_TEMP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM_TEMP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (250) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgUser] [nvarchar] (255) NULL ,
	[chgDate] [datetime2] NULL ,
	[chgWeight] [decimal](28, 14) NULL ,
	[chgVCG] [decimal](28, 14) NULL ,
	[chgLCG] [decimal](28, 14) NULL ,
	[chgTCG] [decimal](28, 14) NULL ,
	[chgVCG_min] [decimal](28, 14) NULL ,
	[chgVCG_max] [decimal](28, 14) NULL ,
	[chgLCG_min] [decimal](28, 14) NULL ,
	[chgLCG_max] [decimal](28, 14) NULL ,
	[chgTCG_min] [decimal](28, 14) NULL ,
	[chgTCG_max] [decimal](28, 14) NULL ,
	[EditUser] [nvarchar] (20) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LINE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LINE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[LineID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[LineType] [nvarchar] (50) NOT NULL ,
	[Thickness] [nvarchar] (50) NULL ,
	[Color] [nvarchar] (50) NULL ,
	[Plane] [nvarchar] (50) NULL ,
	[XRef] [decimal](28, 14) NULL ,
	[YRef] [decimal](28, 14) NULL ,
	[ZRef] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LINES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LINES] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sCode] [nvarchar] (50) NOT NULL ,
	[sCodeType] [nvarchar] (1) NOT NULL ,
	[sTitle] [nvarchar] (50) NOT NULL ,
	[iNum] [smallint] NOT NULL ,
	[fX] [decimal](28, 14) NULL ,
	[fY] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOADCASE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOADCASE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[LoadCase] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[T_LCF] [decimal](28, 14) NULL ,
	[KMT] [decimal](28, 14) NULL ,
	[GM0] [decimal](28, 14) NULL ,
	[GMCorr] [decimal](28, 14) NULL ,
	[GM] [decimal](28, 14) NULL ,
	[Heel] [decimal](28, 14) NULL ,
	[MCT] [decimal](28, 14) NULL ,
	[LCB] [decimal](28, 14) NULL ,
	[Trim_lever] [decimal](28, 14) NULL ,
	[Rake] [decimal](28, 14) NULL ,
	[Trim] [decimal](28, 14) NULL ,
	[LCF] [decimal](28, 14) NULL ,
	[T_diff] [decimal](28, 14) NULL ,
	[T_FP] [decimal](28, 14) NULL ,
	[T] [decimal](28, 14) NULL ,
	[T_AP] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOADS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOADS] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[LoadCase] [nvarchar] (50) NOT NULL ,
	[LoadID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (70) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[Type] [nvarchar] (50) NULL ,
	[Source] [nvarchar] (255) NULL ,
	[FSE_X] [decimal](28, 14) NULL ,
	[FSE_Y] [decimal](28, 14) NULL ,
	[Filling] [decimal](28, 14) NULL,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOCAL_COORD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOCAL_COORD](
	[ProjectID] [nvarchar](50) NULL,
	[ID] [nvarchar](50) NULL,
	[Title] [nvarchar](255) NULL,
	[XRef] [decimal](28, 14) NULL,
	[YRef] [decimal](28, 14) NULL,
	[ZRef] [decimal](28, 14) NULL,
	[XRot] [decimal](28, 14) NULL,
	[YRot] [decimal](28, 14) NULL,
	[ZRot] [decimal](28, 14) NULL,
	[Image] [varbinary](max) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime] NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[dLogDate] [datetime2] NOT NULL ,
	[sUser] [nvarchar] (50) NULL ,
	[sLogText] [ntext] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[WgtGrp] [nvarchar] (50) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[Weight] [decimal](28, 14) NULL,
	[X] [decimal](28, 14) NULL,
	[Y] [decimal](28, 14) NULL,
	[Z] [decimal](28, 14) NULL
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MARGIN]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MARGIN] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[MarginID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (50) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_mom] [decimal](28, 14) NULL ,
	[LCG_mom] [decimal](28, 14) NULL ,
	[TCG_mom] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MODULE_WGTDISTR]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MODULE_WGTDISTR] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[t] [nvarchar] (50) NOT NULL ,
	[i] [nvarchar] (255) NOT NULL ,
	[Wi] [decimal](28, 14) NULL ,
	[X_CGi] [decimal](28, 14) NULL ,
	[X_Lbi] [decimal](28, 14) NULL ,
	[X_Lti] [decimal](28, 14) NULL ,
	[X_Lbk] [decimal](28, 14) NULL ,
	[X_Ltk] [decimal](28, 14) NULL ,
	[X_Cond] [nvarchar] (50) NULL ,
	[X_Case] [nvarchar] (50) NULL ,
	[X_n] [nvarchar] (50) NULL ,
	[X_Wti] [decimal](28, 14) NULL ,
	[X_Wbi] [decimal](28, 14) NULL ,
	[X_Lci] [decimal](28, 14) NULL ,
	[X_Wci] [decimal](28, 14) NULL ,
	[X_Wbk] [decimal](28, 14) NULL ,
	[X_Wtk] [decimal](28, 14) NULL ,
	[X_Wik] [decimal](28, 14) NULL ,
	[X_CGik] [decimal](28, 14) NULL ,
	[Y_CGi] [decimal](28, 14) NULL ,
	[Y_Lbi] [decimal](28, 14) NULL ,
	[Y_Lti] [decimal](28, 14) NULL ,
	[Y_Lbk] [decimal](28, 14) NULL ,
	[Y_Ltk] [decimal](28, 14) NULL ,
	[Y_Cond] [nvarchar] (50) NULL ,
	[Y_Case] [nvarchar] (50) NULL ,
	[Y_n] [nvarchar] (50) NULL ,
	[Y_Wti] [decimal](28, 14) NULL ,
	[Y_Wbi] [decimal](28, 14) NULL ,
	[Y_Lci] [decimal](28, 14) NULL ,
	[Y_Wci] [decimal](28, 14) NULL ,
	[Y_Wbk] [decimal](28, 14) NULL ,
	[Y_Wtk] [decimal](28, 14) NULL ,
	[Y_Wik] [decimal](28, 14) NULL ,
	[Y_CGik] [decimal](28, 14) NULL ,
	[Z_CGi] [decimal](28, 14) NULL ,
	[Z_Lbi] [decimal](28, 14) NULL ,
	[Z_Lti] [decimal](28, 14) NULL ,
	[Z_Lbk] [decimal](28, 14) NULL ,
	[Z_Ltk] [decimal](28, 14) NULL ,
	[Z_Cond] [nvarchar] (50) NULL ,
	[Z_Case] [nvarchar] (50) NULL ,
	[Z_n] [nvarchar] (50) NULL ,
	[Z_Wti] [decimal](28, 14) NULL ,
	[Z_Wbi] [decimal](28, 14) NULL ,
	[Z_Lci] [decimal](28, 14) NULL ,
	[Z_Wci] [decimal](28, 14) NULL ,
	[Z_Wbk] [decimal](28, 14) NULL ,
	[Z_Wtk] [decimal](28, 14) NULL ,
	[Z_Wik] [decimal](28, 14) NULL ,
	[Z_CGik] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUSer] [nvarchar] (255) NULL 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_LINK]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAM_LINK](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](255) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2](7) NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_MEMO]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAM_MEMO](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](max) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2](7) NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POINT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POINT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[LineID] [nvarchar] (50) NOT NULL ,
	[PointID] [nvarchar] (50) NOT NULL ,
	[GroupID] [nvarchar] (50) NULL ,
	[X] [decimal](28, 14) NULL ,
	[Y] [decimal](28, 14) NULL ,
	[Z] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_LOG]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_LOG] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sComment] [ntext] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECTTYPE_SET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECTTYPE_SET](
               [ProjectID] [nvarchar](50) NOT NULL,
               [SettingID] [nvarchar](50) NOT NULL,
               [Description] [nvarchar](255) NULL,
               [Changes] [nvarchar](50) NULL,
               [chgDate] [datetime2] NULL,
               [RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECTTYPE_SET_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECTTYPE_SET_FIELD](
               [ProjectID] [nvarchar](50) NOT NULL,
               [SettingID] [nvarchar](50) NOT NULL,
               [ProjectTypeID] [int] NOT NULL,
               [Changes] [nvarchar](50) NULL,
               [chgDate] [datetime2] NULL,
               [RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECT_FOLDER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECT_FOLDER] (
	[FolderName] [nvarchar] (50) NOT NULL ,
	[FolderPath] [nvarchar] (255) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REPORTREVISION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REPORTREVISION](
	[ID] [int] NOT NULL,
	[ReportDefinitionID] [int] NOT NULL,
	[ProjectID] [nvarchar](50) NOT NULL,
	[StrRevision] [nvarchar](50) NULL,
	[Revision] [int] NULL,
	[Date] [date] NOT NULL,
	[Descripton] [nvarchar](255) NOT NULL,
	[MadeBy] [nvarchar](50) NULL,
	[Controller] [nvarchar](50) NULL,
	[Approved] [nvarchar](50) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime2](7) NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[MasterID] [nvarchar] (255) NULL ,
	[UseMaster] [bit] NULL ,
	[iShipType] [smallint] NULL ,
	[sShipName] [nvarchar] (30) NULL ,
	[sShipOwner] [nvarchar] (50) NULL ,
	[iDeliveringYear] [smallint] NULL ,
	[sRegistrationDate] [nvarchar] (10) NULL ,
	[sRegistrationPerson] [nvarchar] (50) NULL ,
	[sGAFileName] [nvarchar] (255) NULL ,
	[sShipDesigner] [nvarchar] (50) NULL ,
	[sShipYard] [nvarchar] (50) NULL ,
	[sMainPost] [nvarchar] (10) NULL ,
	[sFrameDistance] [nvarchar] (255) NULL ,
	[sSectionFile] [nvarchar] (255) NULL ,
	[sDesign] [nvarchar] (255) NULL ,
	[sClass] [nvarchar] (255) NULL ,
	[sComment] [nvarchar] (255) NULL ,
	[fXRef] [decimal](28, 14) NULL ,
	[fYRef] [decimal](28, 14) NULL ,
	[fZRef] [decimal](28, 14) NULL ,
	[iXDir] [smallint] NULL ,
	[iYDir] [smallint] NULL ,
	[iZDir] [smallint] NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[FolderName] [nvarchar] (50) NULL ,
	[FolderPath] [nvarchar] (255) NULL ,
	[CoordImage] [varbinary](max) NULL ,
	[Active] [bit] NULL
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_FATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_FATT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sFAttID] [nvarchar] (10) NOT NULL ,
	[fFAttValue] [decimal](28, 14) NULL ,
	[Formula] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[fFAttStd] [decimal](28, 14) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_IATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_IATT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sIAttID] [nvarchar] (10) NOT NULL ,
	[fValue] [smallint] NULL ,
	[Formula] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[fIAttStd] [decimal](28, 14) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_POST] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sType] [nvarchar] (1) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[fValue] [decimal](28, 14) NULL ,
	[sStatus] [nvarchar] (1) NULL ,
	[sComplete] [nvarchar] (50) NULL ,
	[fMaxStd] [decimal](28, 14) NULL ,
	[fPostStd] [decimal](28, 14) NULL ,
	[Formula] [nvarchar] (250) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_TATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_TATT] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sTAttID] [nvarchar] (50) NOT NULL ,
	[sTAttValue] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TABLE_KEYS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TABLE_KEYS] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[TableName] [nvarchar] (50) NOT NULL ,
	[FieldName] [nvarchar] (255) NOT NULL ,
	[FieldType] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TANK]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TANK] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[TankID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (50) NULL ,
	[SG] [decimal](28, 14) NULL ,
	[Volume] [decimal](28, 14) NULL ,
	[Type] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL,
	[Min] [decimal](28, 14) NULL,
	[Max] [decimal](28, 14) NULL
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[TANK_SOUNDING]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[TANK_SOUNDING] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[TankID] [nvarchar] (50) NOT NULL ,
	[Sounding] [decimal](28, 14) NOT NULL ,
	[Volume] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[FSM_X] [decimal](28, 14) NULL ,
	[FSM_Y] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VARIABLES] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[sKey] [nvarchar] (150) NOT NULL ,
	[sRegUser] [nvarchar] (255) NOT NULL ,
	[sSubKey] [nvarchar] (50) NOT NULL ,
	[sValue] [nvarchar] (255) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[RowCodeType] [nvarchar] (50) NULL ,
	[ColumnCodeType] [nvarchar] (50) NULL ,
	[ItemFilter] [nvarchar] (255) NULL ,
	[Footer] [nvarchar] (255) NULL ,
	[WeightField] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX_FIELD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX_FIELD] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[FieldType] [nvarchar] (50) NOT NULL ,
	[FieldNo] [nvarchar] (50) NOT NULL ,
	[CodeID] [nvarchar] (50) NULL ,
	[Label1] [nvarchar] (50) NULL ,
	[Label2] [nvarchar] (50) NULL ,
	[Label1Format] [nvarchar] (50) NULL ,
	[Label2Format] [nvarchar] (50) NULL ,
	[RowColFormat] [nvarchar] (50) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WEIGHTMATRIX_VALUE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WEIGHTMATRIX_VALUE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NOT NULL ,
	[RowCodeID] [nvarchar] (50) NOT NULL ,
	[ColumnCodeID] [nvarchar] (50) NOT NULL ,
	[Value] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_PERCENTAGE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_PERCENTAGE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[Type] [nvarchar] (50) NOT NULL ,
	[Percentage] [nvarchar] (50) NULL ,
	[Source] [nvarchar] (50) NULL ,
	[CoG] [smallint] NULL ,
	[VCGMargin] [decimal](28, 14) NULL ,
	[LCGMargin] [decimal](28, 14) NULL ,
	[TCGMargin] [decimal](28, 14) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_CODE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_CODE](
               [ProjectID] [nvarchar](50) NOT NULL,
               [WBS] [nvarchar](50) NOT NULL,
               [WgtGrp] [nvarchar](50) NOT NULL,
               [Source] [int] NOT NULL,
               [CodeType] [nvarchar](50) NOT NULL,
               [CodeID] [nvarchar](50) NULL,
               [Changes] [nvarchar](50) NULL,
               [chgDate] [datetime2] NULL,
               [RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_QTYVALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_QTYVALUES](
	[ProjectID] [nvarchar](50) NULL,
	[WBS] [nvarchar](50) NULL,
	[WgtGrpID] [nvarchar](50) NULL,
	[Type] [nvarchar](1) NULL,
	[Qty] [nvarchar](10) NULL,
	[Value] [decimal](28, 14) NULL,
	[MinStd] [decimal](28, 14) NULL,
	[MaxStd] [decimal](28, 14) NULL,
	[Status] [nvarchar](1) NULL,
	[Complete] [nvarchar](50) NULL,
	[Formula] [nvarchar](255) NULL,
	[Changes] [nvarchar](50) NULL,
	[chgDate] [datetime] NULL,
	[RegUser] [nvarchar](255) NULL
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_VALUES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_VALUES] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (12) NOT NULL ,
	[Source] [int] NOT NULL ,
	[Type] [nvarchar] (1) NOT NULL ,
	[Qty] [nvarchar](10) NULL,
	[Value] [decimal](28, 14) NULL ,
	[Status] [nvarchar] (1) NULL ,
	[Checking] [nvarchar] (1) NULL ,
	[StdMin] [decimal](28, 14) NULL ,
	[StdMax] [decimal](28, 14) NULL ,
	[Formula] [nvarchar](255) NULL,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WGTGRP_VALUES_SUM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WGTGRP_VALUES_SUM] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (12) NOT NULL ,
	[WgtGrpSum] [nvarchar] (12) NOT NULL ,
	[Qty] [nvarchar] (10) NULL,
	[Status] [nvarchar] (1) NULL, 
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WORKSET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WORKSET] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WorksetID] [nvarchar] (50) NOT NULL ,
	[CheckoutDate] [datetime2] NOT NULL ,
	[CheckoutPerson] [nvarchar] (50) NULL ,
	[CalculatePerson] [nvarchar] (50) NULL ,
	[ReviewDate] [datetime2] NULL ,
	[ReviewPerson] [nvarchar] (50) NULL ,
	[RejectDate] [datetime2] NULL ,
	[RejectPerson] [nvarchar] (50) NULL ,
	[ApproveDate] [datetime2] NULL ,
	[ApprovePerson] [nvarchar] (50) NULL ,
	[LastChangeDate] [datetime2] NULL ,
	[LastChangePerson] [nvarchar] (50) NULL ,
	[Comment1] [nvarchar] (255) NULL ,
	[Comment2] [nvarchar] (255) NULL ,
	[Comment3] [nvarchar] (255) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_mom] [decimal](28, 14) NULL ,
	[LCG_mom] [decimal](28, 14) NULL ,
	[TCG_mom] [decimal](28, 14) NULL ,
	[MarginID] [nvarchar] (50) NULL ,
	[Changes] [nvarchar] (50) NULL ,
	[chgDate] [datetime2] NULL ,
	[RegUser] [nvarchar] (255) NULL 
) ON [PRIMARY]
END





commit
'

exec(@cmd2)
print 'A'

set @cmd2='USE ' + @dbname + ';'


-- Remove defaults and constraints
set @cmd2=@cmd2 +
'
begin transaction

DECLARE @object_id int;
DECLARE @parent_object_id int;
DECLARE @TSQL NVARCHAR(4000);
DECLARE @COLUMN_NAME SYSNAME;
DECLARE @is_descending_key bit;
DECLARE @col1 BIT;
DECLARE @action CHAR(6);

SET @action = ''DROP'';

DECLARE DCcursor CURSOR  FOR
select dc.object_id, dc.parent_object_id
    from  sys.default_constraints dc
    inner  join sys.objects o
    on dc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(dc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(dc.parent_object_id));

OPEN DCcursor;
FETCH NEXT  FROM DCcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM DCcursor INTO @object_id, @parent_object_id;

END;

CLOSE DCcursor;
DEALLOCATE DCcursor;


DECLARE FKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.foreign_keys kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));  

OPEN FKcursor;
FETCH NEXT  FROM FKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM FKcursor INTO @object_id, @parent_object_id;

END;

CLOSE FKcursor;
DEALLOCATE FKcursor;

DECLARE PKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.key_constraints kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    where kc.type = ''PK'' and o.type = ''U''
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));

OPEN PKcursor;


FETCH NEXT  FROM PKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
                  
		EXEC(@TSQL);
    
    FETCH  NEXT FROM PKcursor INTO @object_id, @parent_object_id;
END;

CLOSE PKcursor;
DEALLOCATE PKcursor;
commit
'
exec(@cmd2)
print 'B'

set @cmd2='USE ' + @dbname + ';'

-- Check and adjust columns
set @cmd2=@cmd2 +
'
begin transaction
IF COL_LENGTH(''LINE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''LineID'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [LineID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [LineID] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''LINE'',''LineType'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [LineType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [LineType] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''Thickness'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Thickness] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Thickness] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Color] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''Plane'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [Plane] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [Plane] nvarchar(50) END;
IF COL_LENGTH(''LINE'',''XRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [XRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [XRef] decimal(28,14) END;
IF COL_LENGTH(''LINE'',''YRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [YRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [YRef] decimal(28,14) END;
IF COL_LENGTH(''LINE'',''ZRef'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [ZRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [ZRef] decimal(28,14) END;
IF COL_LENGTH(''LINES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''LINES'',''sCode'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sCode] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sCode] nvarchar(50) END;
IF COL_LENGTH(''LINES'',''sCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sCodeType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sCodeType] nvarchar(1) END;
IF COL_LENGTH(''LINES'',''sTitle'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [sTitle] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [sTitle] nvarchar(50) END;
IF COL_LENGTH(''LINES'',''iNum'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [iNum] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [iNum] smallint END;
IF COL_LENGTH(''LINES'',''fX'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [fX] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [fX] decimal(28,14) END;
IF COL_LENGTH(''LINES'',''fY'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [fY] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [fY] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''LOADCASE'',''LoadCase'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LoadCase] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LoadCase] nvarchar(50) END;
IF COL_LENGTH(''LOADCASE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''LOADCASE'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [VCG] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCG] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [TCG] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''T_LCF'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_LCF] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''KMT'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [KMT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [KMT] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''GM0'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GM0] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GM0] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''GMCorr'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GMCorr] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GMCorr] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''GM'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [GM] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [GM] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''Heel'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Heel] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Heel] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''MCT'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [MCT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [MCT] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''LCB'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCB] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''Trim_lever'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Trim_lever] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Trim_lever] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''Rake'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Rake] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Rake] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''Trim'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [Trim] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [Trim] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''LCF'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [LCF] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''T_diff'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_diff] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_diff] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''T_FP'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_FP] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_FP] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''T'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T] decimal(28,14) END;
IF COL_LENGTH(''LOADCASE'',''T_AP'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [T_AP] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [T_AP] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''LOADS'',''LoadCase'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LoadCase] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LoadCase] nvarchar(50) END;
IF COL_LENGTH(''LOADS'',''LoadID'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LoadID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LoadID] nvarchar(50) END;
IF COL_LENGTH(''LOADS'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''LOADS'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Type] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Type] nvarchar(50) END;
IF COL_LENGTH(''LOADS'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Source] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Source] nvarchar(255) END;
IF COL_LENGTH(''LOADS'',''FSE_X'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [FSE_X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [FSE_X] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''FSE_Y'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [FSE_Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [FSE_Y] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG_min] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [VCG_max] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG_min] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [LCG_max] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG_min] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [TCG_max] decimal(28,14) END;
IF COL_LENGTH(''LOADS'',''Filling'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [Filling] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [Filling] decimal(28,14) END;
IF COL_LENGTH(''LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''LOG'',''dLogDate'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [dLogDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [dLogDate] datetime2 END;
IF COL_LENGTH(''LOG'',''sUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [sUser] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [sUser] nvarchar(50) END;
IF COL_LENGTH(''LOG'',''sLogText'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [sLogText] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [sLogText] ntext END;
IF COL_LENGTH(''LOG'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [WgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [WgtGrp] nvarchar(50) END;
IF COL_LENGTH(''LOG'',''C01'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C01] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C01] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C02'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C02] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C02] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C03'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C03] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C03] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C04'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C04] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C04] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C05'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C05] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C05] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C06'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C06] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C06] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C07'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C07] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C07] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C08'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C08] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C08] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C09'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C09] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C09] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''C10'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [C10] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [C10] nvarchar(255) END;
IF COL_LENGTH(''LOG'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [X] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Y] decimal(28,14)  END;
IF COL_LENGTH(''LOG'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [Z] decimal(28,14)  END;
IF COL_LENGTH(''MARGIN'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''MARGIN'',''MarginID'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [MarginID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [MarginID] nvarchar(50) END;
IF COL_LENGTH(''MARGIN'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [Description] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [Description] nvarchar(50) END;
IF COL_LENGTH(''MARGIN'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [VCG] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [LCG] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [TCG] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''VCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [VCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [VCG_mom] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''LCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [LCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [LCG_mom] decimal(28,14) END;
IF COL_LENGTH(''MARGIN'',''TCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [TCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [TCG_mom] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''t'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [t] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [t] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''i'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [i] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [i] nvarchar(255) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Wi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Wi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Wi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_CGi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Ltk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Cond] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Case] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_n] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Lci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wtk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_Wik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''X_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [X_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [X_CGik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_CGi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Ltk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Cond] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Case] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_n] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Lci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wtk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_Wik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Y_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Y_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Y_CGik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_CGi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_CGi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_CGi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Ltk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Ltk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Ltk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Cond'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Cond] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Cond] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Case'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Case] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Case] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_n'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_n] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_n] nvarchar(50) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wti'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wti] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wti] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wbi'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wbi] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wbi] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Lci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Lci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Lci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wci'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wci] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wci] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wbk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wbk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wbk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wtk'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wtk] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wtk] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_Wik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_Wik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_Wik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Z_CGik'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Z_CGik] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Z_CGik] decimal(28,14) END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''POINT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''POINT'',''LineID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [LineID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [LineID] nvarchar(50) END;
IF COL_LENGTH(''POINT'',''PointID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [PointID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [PointID] nvarchar(50) END;
IF COL_LENGTH(''POINT'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [GroupID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [GroupID] nvarchar(50) END;
IF COL_LENGTH(''POINT'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [X] decimal(28,14) END;
IF COL_LENGTH(''POINT'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [Y] decimal(28,14) END;
IF COL_LENGTH(''POINT'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [Z] decimal(28,14) END;
IF COL_LENGTH(''POST_LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''POST_LOG'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [sPostID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [sPostID] nvarchar(50) END;
IF COL_LENGTH(''POST_LOG'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [sComment] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [sComment] ntext END;
IF COL_LENGTH(''PROJECT_FOLDER'',''FolderName'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ADD [FolderName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ALTER COLUMN [FolderName] nvarchar(50) END;
IF COL_LENGTH(''PROJECT_FOLDER'',''FolderPath'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ADD [FolderPath] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ALTER COLUMN [FolderPath] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''MasterID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [MasterID] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [MasterID] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''UseMaster'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [UseMaster] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [UseMaster] bit END;
IF COL_LENGTH(''SHIP'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iShipType] smallint END;
IF COL_LENGTH(''SHIP'',''sShipName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipName] nvarchar(30) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipName] nvarchar(30) END;
IF COL_LENGTH(''SHIP'',''sShipOwner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipOwner] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipOwner] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''iDeliveringYear'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iDeliveringYear] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iDeliveringYear] smallint END;
IF COL_LENGTH(''SHIP'',''sRegistrationDate'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationDate] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationDate] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''sRegistrationPerson'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationPerson] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''sGAFileName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sGAFileName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sGAFileName] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''sShipDesigner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipDesigner] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipDesigner] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''sShipYard'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipYard] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipYard] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''sMainPost'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sMainPost] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sMainPost] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''sFrameDistance'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sFrameDistance] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sFrameDistance] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''sSectionFile'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sSectionFile] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sSectionFile] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''sDesign'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sDesign] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sDesign] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''sClass'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sClass] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sClass] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sComment] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sComment] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''fXRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fXRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fXRef] decimal(28,14) END;
IF COL_LENGTH(''SHIP'',''fYRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fYRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fYRef] decimal(28,14) END;
IF COL_LENGTH(''SHIP'',''fZRef'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [fZRef] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [fZRef] decimal(28,14) END;
IF COL_LENGTH(''SHIP'',''iXDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iXDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iXDir] smallint END;
IF COL_LENGTH(''SHIP'',''iYDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iYDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iYDir] smallint END;
IF COL_LENGTH(''SHIP'',''iZDir'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iZDir] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iZDir] smallint END;
IF COL_LENGTH(''SHIP'',''FolderName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [FolderName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [FolderName] nvarchar(50) END;
IF COL_LENGTH(''SHIP'',''FolderPath'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [FolderPath] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [FolderPath] nvarchar(255) END;
IF COL_LENGTH(''SHIP'',''CoordImage'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [CoordImage] varbinary(max) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [CoordImage] varbinary(max)  END;
IF COL_LENGTH(''SHIP'',''Active'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [Active] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [Active] bit END;
IF COL_LENGTH(''SHIP_FATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_FATT'',''sFAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [sFAttID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [sFAttID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_FATT'',''fFAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [fFAttValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [fFAttValue] decimal(28,14) END;
IF COL_LENGTH(''SHIP_FATT'',''fFAttStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [fFAttStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [fFAttStd] decimal(28,14) END;
IF COL_LENGTH(''SHIP_FATT'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sAttID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sAttID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sMax'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sMax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sMax] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sMin'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sMin] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sMin] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''bJoin'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [bJoin] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [bJoin] bit END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [sFilter] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [sFilter] ntext END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''SHIP_IATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_IATT'',''sIAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [sIAttID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [sIAttID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_IATT'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [fValue] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [fValue] smallint END;
IF COL_LENGTH(''SHIP_IATT'',''fIAttStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [fIAttStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [fIAttStd] decimal(28,14) END;
IF COL_LENGTH(''SHIP_IATT'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [sShipID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''SHIP_POST'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sPostID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sPostID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_POST'',''sType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sType] nvarchar(1) END;
IF COL_LENGTH(''SHIP_POST'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''SHIP_POST'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fValue] decimal(28,14) END;
IF COL_LENGTH(''SHIP_POST'',''sStatus'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sStatus] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sStatus] nvarchar(1) END;
IF COL_LENGTH(''SHIP_POST'',''sComplete'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sComplete] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sComplete] nvarchar(50) END;
IF COL_LENGTH(''SHIP_POST'',''fMaxStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fMaxStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fMaxStd] decimal(28,14) END;
IF COL_LENGTH(''SHIP_POST'',''fPostStd'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fPostStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fPostStd] decimal(28,14) END;
IF COL_LENGTH(''SHIP_POST'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [Formula] nvarchar(250) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [Formula] nvarchar(250)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sCurveType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sCurveType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sCurveType] nvarchar(1) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''iMethodType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [iMethodType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [iMethodType] smallint END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowLabel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowLabel] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowLabel] bit END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowAverage'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowAverage] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowAverage] bit END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bShowStdDev] bit END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bScaleAxis'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bScaleAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bScaleAxis] bit END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [sComment] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [sComment] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''iCoeffSel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [iCoeffSel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [iCoeffSel] smallint END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fCoefficient] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fCoefficient] decimal(28,14) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fCoeffStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fCoeffStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fCoeffStd] decimal(28,14) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fValue] decimal(28,14) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''fStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [fStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [fStd] decimal(28,14) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [bAbsYAxis] bit END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''MethodType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [MethodType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [MethodType] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''SHIP_TATT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttID] nvarchar(50) END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttValue] nvarchar(255) END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [iShipType] smallint END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''TABLE_KEYS'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''TABLE_KEYS'',''TableName'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [TableName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [TableName] nvarchar(50) END;
IF COL_LENGTH(''TABLE_KEYS'',''FieldName'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [FieldName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [FieldName] nvarchar(255) END;
IF COL_LENGTH(''TABLE_KEYS'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [FieldType] nvarchar(50) END;
IF COL_LENGTH(''TANK'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''TANK'',''TankID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TankID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TankID] nvarchar(50) END;
IF COL_LENGTH(''TANK'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Description] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Description] nvarchar(50) END;
IF COL_LENGTH(''TANK'',''SG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [SG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [SG] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Volume] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Volume] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Type] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Type] nvarchar(50) END;
IF COL_LENGTH(''TANK'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [VCG_min] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [VCG_max] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [LCG_min] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [LCG_max] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TCG_min] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [TCG_max] decimal(28,14) END;
IF COL_LENGTH(''TANK'',''Min'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Min] decimal(28,14)  END;
IF COL_LENGTH(''TANK'',''Max'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [Max] decimal(28,14)  END;
IF COL_LENGTH(''AUTO_POST'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_POST'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [sSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [sSetting] nvarchar(50) END;
IF COL_LENGTH(''AUTO_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [sPostID] nvarchar(25) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [sPostID] nvarchar(25) END;
IF COL_LENGTH(''AUTO_POST'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''TANK_SOUNDING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''TANK_SOUNDING'',''TankID'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [TankID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [TankID] nvarchar(50) END;
IF COL_LENGTH(''TANK_SOUNDING'',''Sounding'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [Sounding] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [Sounding] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [Volume] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [Volume] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [VCG] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [LCG] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [TCG] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''FSM_X'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [FSM_X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [FSM_X] decimal(28,14) END;
IF COL_LENGTH(''TANK_SOUNDING'',''FSM_Y'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [FSM_Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [FSM_Y] decimal(28,14) END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [sSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [sSetting] nvarchar(50) END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [sShipID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''VARIABLES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''VARIABLES'',''sKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sKey] nvarchar(150) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sKey] nvarchar(150) END;
IF COL_LENGTH(''VARIABLES'',''sSubKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sSubKey] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sSubKey] nvarchar(50) END;
IF COL_LENGTH(''VARIABLES'',''sRegUser'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sRegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sRegUser] nvarchar(255) END;
IF COL_LENGTH(''VARIABLES'',''sValue'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sValue] nvarchar(255) END;
IF COL_LENGTH(''AUTO_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SETTING'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sSetting] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SETTING'',''iDetailLevel'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iDetailLevel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iDetailLevel] smallint END;
IF COL_LENGTH(''AUTO_SETTING'',''iMethod'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iMethod] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iMethod] smallint END;
IF COL_LENGTH(''AUTO_SETTING'',''iCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [iCoefficient] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [iCoefficient] smallint END;
IF COL_LENGTH(''AUTO_SETTING'',''bAskParam'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bAskParam] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bAskParam] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowAllEst'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowAllEst] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowAllEst] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowWgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowWgtGrp] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowWgtGrp] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowStdDev] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bShowDeviation'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bShowDeviation] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bShowDeviation] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bEstimateVCG'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bEstimateVCG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bEstimateVCG] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''bEstimateLCG'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [bEstimateLCG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [bEstimateLCG] bit END;
IF COL_LENGTH(''AUTO_SETTING'',''sSisterShip'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sSisterShip] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sSisterShip] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SETTING'',''sMainPost'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [sMainPost] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [sMainPost] nvarchar(12) END;
IF COL_LENGTH(''VERSION'',''fVersion'') IS NULL BEGIN ALTER TABLE [dbo].[VERSION] ADD [fVersion] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[VERSION] ALTER COLUMN [fVersion] decimal(28,14) END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [sSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [sSetting] nvarchar(50) END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [iShipType] smallint END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''RowCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [RowCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [RowCodeType] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ColumnCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ColumnCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ColumnCodeType] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''ItemFilter'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [ItemFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [ItemFilter] nvarchar(255) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''Footer'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [Footer] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [Footer] nvarchar(255) END;
IF COL_LENGTH(''WEIGHTMATRIX'',''WeightField'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [WeightField] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [WeightField] nvarchar(50) END;
IF COL_LENGTH(''AUTO_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''AUTO_VALUE'',''sSetting'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sSetting] nvarchar(50) END;
IF COL_LENGTH(''AUTO_VALUE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''AUTO_VALUE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''AUTO_VALUE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''AUTO_VALUE'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fValue] decimal(28,14) END;
IF COL_LENGTH(''AUTO_VALUE'',''sStatus'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [sStatus] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [sStatus] nvarchar(1) END;
IF COL_LENGTH(''AUTO_VALUE'',''fStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fStdDev] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fStdDev] decimal(28,14) END;
IF COL_LENGTH(''AUTO_VALUE'',''fMaxStd'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [fMaxStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [fMaxStd] decimal(28,14) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [FieldType] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''FieldNo'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [FieldNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [FieldNo] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [CodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [CodeID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label1'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label1] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label2'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label2] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label1Format'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label1Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label1Format] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Label2Format'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Label2Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Label2Format] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''RowColFormat'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [RowColFormat] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [RowColFormat] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''RowCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [RowCodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [RowCodeID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''ColumnCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [ColumnCodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [ColumnCodeID] nvarchar(50) END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [Value] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [Value] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''CODE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''CODE'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeID] nvarchar(50) END;
IF COL_LENGTH(''CODE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Description] nvarchar(255) END;
IF COL_LENGTH(''CODE'',''CodeOver'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeOver] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeOver] nvarchar(50) END;
IF COL_LENGTH(''CODE'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_min] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_max] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_min] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_max] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_min] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_max] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Factor] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''UnitWeight'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [UnitWeight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [UnitWeight] decimal(28,14) END;
IF COL_LENGTH(''CODE'',''Start'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Start] int NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Start] int END;
IF COL_LENGTH(''CODE'',''Stop'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Stop] int NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Stop] int END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [WgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [WgtGrp] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Type] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Type] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Percentage'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Percentage] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Percentage] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [Source] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [Source] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''CoG'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [CoG] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [CoG] smallint END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''VCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [VCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [VCGMargin] decimal(28,14) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''LCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [LCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [LCGMargin] decimal(28,14) END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''TCGMargin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [TCGMargin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [TCGMargin] decimal(28,14) END;
IF COL_LENGTH(''CODE_FILTER'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''CODE_FILTER'',''FilterID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [FilterID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [FilterID] nvarchar(50) END;
IF COL_LENGTH(''CODE_FILTER'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''CODE_FILTER'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [Filter] nvarchar(500) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [Filter] nvarchar(500) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [WgtGrp] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [WgtGrp] nvarchar(12) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Source'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Source] int NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Source] int END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Type] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Type] nvarchar(1) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Value] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Value] decimal(28,14) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Status'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Status] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Status] nvarchar(1) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Checking'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Checking] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Checking] nvarchar(1) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''StdMin'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [StdMin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [StdMin] decimal(28,14) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''StdMax'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [StdMax] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [StdMax] decimal(28,14) END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Qty'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Qty] nvarchar(10) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Qty] nvarchar(10) NULL END;
IF COL_LENGTH(''WGTGRP_VALUES'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [Formula] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WgtGrp] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WgtGrp] nvarchar(12) END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''Status'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [Status] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [Status] nvarchar(1) END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''WgtGrpSum'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [WgtGrpSum] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [WgtGrpSum] nvarchar(12) END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''Qty'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [Qty] nvarchar(10) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [Qty] nvarchar(10) NULL END;
IF COL_LENGTH(''CODE_MAP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''CODE_MAP'',''sCode1'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCode1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCode1] nvarchar(50) END;
IF COL_LENGTH(''CODE_MAP'',''sCodeType1'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCodeType1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCodeType1] nvarchar(50) END;
IF COL_LENGTH(''CODE_MAP'',''sCode2'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCode2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCode2] nvarchar(50) END;
IF COL_LENGTH(''CODE_MAP'',''sCodeType2'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [sCodeType2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [sCodeType2] nvarchar(50) END;
IF COL_LENGTH(''CODE_MAP'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [Description] nvarchar(255) END;
IF COL_LENGTH(''CODE_MAP'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [Factor] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''WorksetID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [WorksetID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [WorksetID] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''CheckoutDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CheckoutDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CheckoutDate] datetime2 END;
IF COL_LENGTH(''WORKSET'',''CheckoutPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CheckoutPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CheckoutPerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''CalculatePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [CalculatePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [CalculatePerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''ReviewDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ReviewDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ReviewDate] datetime2 END;
IF COL_LENGTH(''WORKSET'',''ReviewPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ReviewPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ReviewPerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''RejectDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [RejectDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [RejectDate] datetime2 END;
IF COL_LENGTH(''WORKSET'',''RejectPerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [RejectPerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [RejectPerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''ApproveDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ApproveDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ApproveDate] datetime2 END;
IF COL_LENGTH(''WORKSET'',''ApprovePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [ApprovePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [ApprovePerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''LastChangeDate'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LastChangeDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LastChangeDate] datetime2 END;
IF COL_LENGTH(''WORKSET'',''LastChangePerson'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LastChangePerson] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LastChangePerson] nvarchar(50) END;
IF COL_LENGTH(''WORKSET'',''Comment1'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment1] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment1] nvarchar(255) END;
IF COL_LENGTH(''WORKSET'',''Comment2'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment2] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment2] nvarchar(255) END;
IF COL_LENGTH(''WORKSET'',''Comment3'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Comment3] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Comment3] nvarchar(255) END;
IF COL_LENGTH(''WORKSET'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [VCG] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LCG] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [TCG] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''VCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [VCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [VCG_mom] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''LCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [LCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [LCG_mom] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''TCG_mom'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [TCG_mom] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [TCG_mom] decimal(28,14) END;
IF COL_LENGTH(''WORKSET'',''MarginID'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [MarginID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [MarginID] nvarchar(50) END;
IF COL_LENGTH(''CODE_REPORT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''CODE_REPORT'',''sTitle'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sTitle] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sTitle] nvarchar(255) END;
IF COL_LENGTH(''CODE_REPORT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sFilter] nvarchar(255) END;
IF COL_LENGTH(''CODE_REPORT'',''sFormat'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [sFormat] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [sFormat] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Index'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Index] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Index] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Project'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Project] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Project] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Label'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Label] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Label] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_PROJECT'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [Color] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_SETTING'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_SETTING'',''ListType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ListType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ListType] int END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowDeviation'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowDeviation] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowDeviation] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''DeviationType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [DeviationType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [DeviationType] int END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCoGImpact'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCoGImpact] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCoGImpact] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''CoGImpactType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CoGImpactType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CoGImpactType] int END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowItems'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowItems] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowItems] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''ViewType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ViewType] int NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ViewType] int END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowX'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowX] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowX] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowY'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowY] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowY] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowZ'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowZ] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowZ] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCustomCode'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCustomCode] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCustomCode] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''CustomCodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [CustomCodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [CustomCodeType] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowCustomCodeRatio'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowCustomCodeRatio] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowCustomCodeRatio] bit END;
IF COL_LENGTH(''COMPARE_SETTING'',''ShowWeight'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [ShowWeight] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [ShowWeight] bit END;
IF COL_LENGTH(''COMPARE_VALUE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_VALUE'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_VALUE'',''Project'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Project] nvarchar(100) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Project] nvarchar(100) END;
IF COL_LENGTH(''COMPARE_VALUE'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CodeID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_VALUE'',''ItemID'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [ItemID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [ItemID] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_VALUE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''COMPARE_VALUE'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Weight] decimal(28,14) END;
IF COL_LENGTH(''COMPARE_VALUE'',''X'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [X] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [X] decimal(28,14) END;
IF COL_LENGTH(''COMPARE_VALUE'',''Y'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Y] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Y] decimal(28,14) END;
IF COL_LENGTH(''COMPARE_VALUE'',''Z'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [Z] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [Z] decimal(28,14) END;
IF COL_LENGTH(''COMPARE_VALUE'',''CustomCode'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [CustomCode] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [CustomCode] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [WgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [WgtGrp] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''SFINo'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [SFINo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [SFINo] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''EQUIPMENT'',''Supplier'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Supplier] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Supplier] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Depth'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Depth] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Depth] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Width'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Width] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Width] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Height'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Height] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Height] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Power'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Power] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Power] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''RotSpeed'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [RotSpeed] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [RotSpeed] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Diameter'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Diameter] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Diameter] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Capacity'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Capacity] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Capacity] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Pressure'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Pressure] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Pressure] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Cost'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Cost] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Cost] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Volume'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Volume] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Volume] nvarchar(50) END;
IF COL_LENGTH(''EQUIPMENT'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [Weight] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [Weight] nvarchar(50) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sAttID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sAttID] nvarchar(12) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sMax'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sMax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sMax] nvarchar(50) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sMin'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sMin] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sMin] nvarchar(50) END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''bJoin'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [bJoin] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [bJoin] bit END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''sFilter'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [sFilter] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [sFilter] ntext END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''EST_REF_SHIP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EST_REF_SHIP'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''EST_REF_SHIP'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''EST_REF_SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [sShipID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [sShipID] nvarchar(50) END;
IF COL_LENGTH(''EST_REF_SHIP'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''EST_REF_SHIP'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''EST_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EST_SETTING'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''EST_SETTING'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''EST_SETTING'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''EST_SETTING'',''sCurveType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sCurveType] nvarchar(1) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sCurveType] nvarchar(1) END;
IF COL_LENGTH(''EST_SETTING'',''iMethodType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [iMethodType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [iMethodType] smallint END;
IF COL_LENGTH(''EST_SETTING'',''bShowLabel'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowLabel] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowLabel] bit END;
IF COL_LENGTH(''EST_SETTING'',''bShowAverage'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowAverage] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowAverage] bit END;
IF COL_LENGTH(''EST_SETTING'',''bShowStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bShowStdDev] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bShowStdDev] bit END;
IF COL_LENGTH(''EST_SETTING'',''bScaleAxis'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bScaleAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bScaleAxis] bit END;
IF COL_LENGTH(''EST_SETTING'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [sComment] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [sComment] nvarchar(255) END;
IF COL_LENGTH(''EST_SETTING'',''iCoeffSel'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [iCoeffSel] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [iCoeffSel] smallint END;
IF COL_LENGTH(''EST_SETTING'',''fCoefficient'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fCoefficient] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fCoefficient] decimal(28,14) END;
IF COL_LENGTH(''EST_SETTING'',''fCoeffStd'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fCoeffStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fCoeffStd] decimal(28,14) END;
IF COL_LENGTH(''EST_SETTING'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fValue] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fValue] decimal(28,14) END;
IF COL_LENGTH(''EST_SETTING'',''fStd'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [fStd] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [fStd] decimal(28,14) END;
IF COL_LENGTH(''EST_SETTING'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [bAbsYAxis] bit END;
IF COL_LENGTH(''EST_SETTING'',''MethodType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [MethodType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [MethodType] nvarchar(50) END;
IF COL_LENGTH(''EST_SETTING'',''SisterProject'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [SisterProject] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [SisterProject] nvarchar(50)  END;
IF COL_LENGTH(''EST_SETTING'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WgtGrp] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''WgtGrpType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [WgtGrpType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [WgtGrpType] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''EST_REG_LINE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [sPostID] nvarchar(12) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [sPostID] nvarchar(12) END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [sPostType] nvarchar(20) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [sPostType] nvarchar(20) END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [iShipType] smallint END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [WBS] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [WBS] nvarchar(50) END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''HYDROSTATIC'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''HYDROSTATIC'',''Draft'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [Draft] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [Draft] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''Displacement'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [Displacement] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [Displacement] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''KM'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [KM] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [KM] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''LCB'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [LCB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [LCB] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''LCF'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [LCF] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [LCF] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''MCT'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [MCT] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [MCT] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''KB'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [KB] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [KB] decimal(28,14) END;
IF COL_LENGTH(''HYDROSTATIC'',''TPC'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [TPC] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [TPC] decimal(28,14) END;
IF COL_LENGTH(''IMPORT_SET'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET'',''SetID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [SetID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [SetID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET'',''FileName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [FileName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [FileName] nvarchar(255) END;
IF COL_LENGTH(''IMPORT_SET'',''Table'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [Table] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [Table] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET'',''Tab'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [Tab] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [Tab] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET'',''HeaderRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [HeaderRow] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [HeaderRow] bit END;
IF COL_LENGTH(''IMPORT_SET'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [CodeType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [CodeType] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''SystemCodeVariable'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [SystemCodeVariable] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [SystemCodeVariable] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''CODETYPE'',''FieldSize'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldSize] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldSize] smallint END;
IF COL_LENGTH(''CODETYPE'',''Calculate'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Calculate] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Calculate] nvarchar(255) END;
IF COL_LENGTH(''CODETYPE'',''Tab'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Tab] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Tab] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''Format'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Format] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldType] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''Mandatory'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Mandatory] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Mandatory] bit END;
IF COL_LENGTH(''CODETYPE'',''DefaultCodeID'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [DefaultCodeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [DefaultCodeID] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''AutoSum'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [AutoSum] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [AutoSum] nvarchar(50) END;
IF COL_LENGTH(''CODETYPE'',''Rule'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Rule] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Rule] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''SetID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [SetID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [SetID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''FileName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [FileName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [FileName] nvarchar(255) END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''Table'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [Table] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [Table] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''LogDate'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [LogDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [LogDate] datetime2 END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''LogUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [LogUser] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [LogUser] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''Logging'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [Logging] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [Logging] nvarchar(255) END;
IF COL_LENGTH(''IMPORT_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING'',''HeaderRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [HeaderRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [HeaderRow] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING'',''StartRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [StartRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [StartRow] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING'',''EndRow'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [EndRow] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [EndRow] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING'',''TableName'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [TableName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [TableName] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING'',''Inactive'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [Inactive] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [Inactive] bit  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''ItemField'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [ItemField] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [ItemField] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''SourceField'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [SourceField] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [SourceField] nvarchar(50) END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''WashSetting'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [WashSetting] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [WashSetting] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FILTER'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FILTER'',''FilterID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [FilterID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [FilterID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FILTER'',''FilterType'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [FilterType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [FilterType] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FILTER'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [Filter] nvarchar(500) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [Filter] nvarchar(500) END;
IF COL_LENGTH(''ITEM_FILTER'',''Time'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [Time] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [Time] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FORMULA'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FORMULA'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [WgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [WgtGrp] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FORMULA'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [ItemNo] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [ItemNo] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FORMULA'',''FieldID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [FieldID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [FieldID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_FORMULA'',''Formula'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [Formula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [Formula] nvarchar(255) END;
IF COL_LENGTH(''ITEM_SEARCH'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SEARCH'',''FilterName'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [FilterName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [FilterName] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SEARCH'',''FieldName'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [FieldName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [FieldName] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SEARCH'',''Value'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [Value] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [Value] nvarchar(255) END;
IF COL_LENGTH(''ITEM_SETTING'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''ITEM_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [RegUser] nvarchar(255) END;
IF COL_LENGTH(''ITEM_SETTING'',''Date'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [Date] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [Date] datetime2 END;
IF COL_LENGTH(''ITEM_SETTING'',''UserGroup'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [UserGroup] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [UserGroup] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''TypeID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [TypeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [TypeID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''FieldID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [FieldID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [FieldID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [GroupID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [GroupID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''Order'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [Order] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [Order] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''Width'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [Width] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [Width] decimal(28,14) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [ProjectID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [ProjectID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''SettingID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [SettingID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [SettingID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''TypeID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [TypeID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [TypeID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [GroupID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [GroupID] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Title] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Description] nvarchar(70) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Order'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Order] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Order] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Color] nvarchar(50) END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''Hidden'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [Hidden] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [Hidden] bit END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''ForeColor'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [ForeColor] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [ForeColor] nvarchar(50) END;
IF COL_LENGTH(''ITEM_TEMP'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM_TEMP'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM_TEMP'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''DISTRCURVE_VALUES'',''Changes'') IS NULL BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ADD [Changes] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ALTER COLUMN [Changes] nvarchar(70)  END;
IF COL_LENGTH(''DISTRCURVE_VALUES'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ADD [chgDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ALTER COLUMN [chgDate] datetime2  END;
IF COL_LENGTH(''DISTRCURVE_VALUES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_ATT_LIMIT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_ATT_LIMIT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_REF_SHIP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_REF_SHIP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_EST_SHIP_TYPE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_EST_SHIP_TYPE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_POST'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_POST] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_POST] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_REF_SHIP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_REF_SHIP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_SHIP_TYPE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_SHIP_TYPE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''AUTO_VALUE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[AUTO_VALUE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''CODE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''CODE_FILTER'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_FILTER] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_FILTER] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''CODE_MAP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_MAP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_MAP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''CODE_REPORT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[CODE_REPORT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE_REPORT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''CODETYPE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''COMPARE_PROJECT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_PROJECT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''COMPARE_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''COMPARE_VALUE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[COMPARE_VALUE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''DISTRCURVE_VALUES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[DISTRCURVE_VALUES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EQUIPMENT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EST_ATT_LIMIT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_ATT_LIMIT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EST_REF_SHIP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REF_SHIP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EST_REG_LINE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_REG_LINE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EST_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''EST_SHIP_TYPE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[EST_SHIP_TYPE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''HYDROSTATIC'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[HYDROSTATIC] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''IMAGE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMAGE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMAGE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SET'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SET_LOG'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SET_LOG] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''IMPORT_SETTING_FIELD'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[IMPORT_SETTING_FIELD] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_FILTER'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FILTER] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_FORMULA'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_FORMULA] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SEARCH'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SEARCH] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING_FIELD'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_FIELD] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_SETTING_GROUP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_SETTING_GROUP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_TEMP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LINE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LINE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LINES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LINES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LINES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LOADCASE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOADCASE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADCASE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LOADS'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOADS] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOADS] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LOG'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOG] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOG] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''MARGIN'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[MARGIN] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[MARGIN] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''MODULE_WGTDISTR'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[MODULE_WGTDISTR] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''PARAM_LINK'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[PARAM_LINK] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAM_LINK] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''PARAM_MEMO'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[PARAM_MEMO] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAM_MEMO] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''POINT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[POINT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[POINT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''POST_LOG'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[POST_LOG] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_LOG] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''PROJECT_FOLDER'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT_FOLDER] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''PROJECTTYPE_SET'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECTTYPE_SET] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECTTYPE_SET] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''PROJECTTYPE_SET_FIELD'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECTTYPE_SET_FIELD] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECTTYPE_SET_FIELD] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''REPORTREVISION'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[REPORTREVISION] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[REPORTREVISION] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''SHIP_FATT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''SHIP_IATT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''SHIP_POST'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''SHIP_TATT'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''TABLE_KEYS'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[TABLE_KEYS] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''TANK'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[TANK] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''TANK_SOUNDING'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[TANK_SOUNDING] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''VARIABLES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WEIGHTMATRIX'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WEIGHTMATRIX_FIELD'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_FIELD] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WEIGHTMATRIX_VALUE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WEIGHTMATRIX_VALUE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_CODE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_CODE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_CODE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_PERCENTAGE'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_PERCENTAGE] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_QTYVALUES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_QTYVALUES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_QTYVALUES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_VALUES'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WGTGRP_VALUES_SUM'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WGTGRP_VALUES_SUM] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''WORKSET'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[WORKSET] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WORKSET] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''LOCAL_COORD'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_COORD] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_COORD] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDIN'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDIN] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_CHECKEDOUT'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_CHECKEDOUT] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM_TEMP'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM_TEMP] ALTER COLUMN [EditUser] nvarchar(255)  END;


commit'

-- set version number
set @cmd2=@cmd2 +
'
begin transaction
if exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
BEGIN
drop table [dbo].[VERSION]

CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]


INSERT INTO [dbo].[VERSION] ([fVersion])
	VALUES (14.00000000000000)
END
commit
'

exec(@cmd2)

Goto ReturnToLoop

Update_SysDB:

print 'Starting update of sys db ' + @dbname + '...'

set @cmd2='USE ' + @dbname + ';'

-- Create any missing Project tables
set @cmd2=@cmd2 +

'begin transaction

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REPORTDEFINITION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REPORTDEFINITION](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ReportName] [nvarchar](255) NOT NULL,
	[FileLocation] [nvarchar](255) NOT NULL,
 CONSTRAINT [PK_ReportDefinition] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REPORTDEFINITIONINPUTPARAMETERS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REPORTDEFINITIONINPUTPARAMETERS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ReportDefinitionID] [int] NOT NULL,
	[InputName] [nvarchar](50) NOT NULL,
	[InputType] [nvarchar](50) NOT NULL,
	[Selection] [nvarchar](255) NOT NULL,
	[DbSource] [nvarchar](50) NULL,
	[ReportParameter] [nvarchar](50) NOT NULL,
	[DefaultValue] [nvarchar](max) NULL,
	[Condition] [nvarchar](255) NULL,
	[Items] [nvarchar](max) NULL,
 CONSTRAINT [PK_ReportDefinitionInputParameters] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

ALTER TABLE [dbo].[ReportDefinitionInputParameters] ADD  CONSTRAINT [DF_ReportDefinitionInputParameters_InputType]  DEFAULT (N''Combo'') FOR [InputType]

ALTER TABLE [dbo].[ReportDefinitionInputParameters] ADD  CONSTRAINT [DF_ReportDefinitionInputParameters_DbSource]  DEFAULT (N''Project'') FOR [DbSource]

ALTER TABLE [dbo].[ReportDefinitionInputParameters]  WITH CHECK ADD  CONSTRAINT [FK_ReportDefinitionInputParameters_ReportDefinition] FOREIGN KEY([ReportDefinitionID])
REFERENCES [dbo].[ReportDefinition] ([ID])
ON DELETE CASCADE

ALTER TABLE [dbo].[ReportDefinitionInputParameters] CHECK CONSTRAINT [FK_ReportDefinitionInputParameters_ReportDefinition]

END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REPORTDEFINITIONCHAPTERS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REPORTDEFINITIONCHAPTERS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ReportDefinitionID] [int] NOT NULL,
	[ChapterName] [nvarchar](255) NOT NULL,
	[ReportParameter] [nvarchar](50) NOT NULL,
	[DefaultValue] [bit] NULL,
 CONSTRAINT [PK_ReportDefinitionChapters] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[ReportDefinitionChapters]  WITH CHECK ADD  CONSTRAINT [FK_ReportDefinitionChapters_ReportDefinition] FOREIGN KEY([ReportDefinitionID])
REFERENCES [dbo].[ReportDefinition] ([ID])
ON DELETE CASCADE

ALTER TABLE [dbo].[ReportDefinitionChapters] CHECK CONSTRAINT [FK_ReportDefinitionChapters_ReportDefinition]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[AREA]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[AREA] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[AreaID] [nvarchar] (4) NOT NULL ,
	[AreaName] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_AREA] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[AreaID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CALC]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CALC] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sAttID] [nvarchar] (50) NOT NULL ,
	[sAttExp] [nvarchar] (255) NOT NULL ,
	[sFormula] [nvarchar] (255) NULL CONSTRAINT [DF_CALC_sFormula] DEFAULT (''''),
	CONSTRAINT [PK_CALC] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sAttID],
		[sAttExp]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CONVERT_UNIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CONVERT_UNIT] (
	[sSIUnit] [nvarchar] (50) NOT NULL ,
	[sUSUnit] [nvarchar] (50) NOT NULL ,
	[fFactor] [decimal](28, 14) NULL CONSTRAINT [DF_CONVERT_UNIT_2_fFactor] DEFAULT ((1)),
	[fSIFactor] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_CONVERT_UNIT_2] PRIMARY KEY  CLUSTERED 
	(
		[sSIUnit],
		[sUSUnit]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

UPDATE CONVERT_UNIT SET fFactor=0.03937007874 where sSIUNIT=''mm''
UPDATE CONVERT_UNIT SET fFactor=0.001 where sSIUNIT=''kg*m''


IF NOT EXISTS ( SELECT 1 FROM [dbo].[CONVERT_UNIT] WHERE sSIUnit = ''toe'' AND sUSUnit = ''toe'' )
BEGIN
INSERT INTO [dbo].[CONVERT_UNIT] ([sSIUnit],[sUSUnit],[fFactor],[fSIFactor])
	VALUES (''toe'',''toe'',1,1)
END

IF NOT EXISTS ( SELECT 1 FROM [dbo].[CONVERT_UNIT] WHERE sSIUnit = ''kg*cm'' AND sUSUnit = ''lb*in'' )
BEGIN
INSERT INTO [dbo].[CONVERT_UNIT] ([sSIUnit],[sUSUnit],[fFactor],[fSIFactor])
	VALUES (''kg*cm'',''lb*in'',0.867961662,0.00001)
END

IF NOT EXISTS ( SELECT 1 FROM [dbo].[CONVERT_UNIT] WHERE sSIUnit = ''kg*mm'' AND sUSUnit = ''lb*in'' )
BEGIN
INSERT INTO [dbo].[CONVERT_UNIT] ([sSIUnit],[sUSUnit],[fFactor],[fSIFactor])
	VALUES (''kg*mm'',''lb*in'',0.0867961662,0.000001)
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[LOCAL_VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[LOCAL_VARIABLES] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sGroup] [nvarchar] (50) NOT NULL ,
	[sVariable] [nvarchar] (50) NOT NULL ,
	[sType] [nvarchar] (50) NULL ,
	[sSort] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_LOCAL_VARIABLE] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sGroup],
		[sVariable]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MAINPARAM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MAINPARAM] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[nMParamNo] [smallint] NOT NULL CONSTRAINT [DF_MAINPARAM_nMParamNo] DEFAULT ((0)),
	[sAttID] [nvarchar] (10) NULL ,
	[sGroup] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_MAINPARAM] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[nMParamNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MET] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[Method] [nvarchar] (50) NOT NULL ,
	[ID] [nvarchar] (50) NOT NULL ,
	[Type] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_MET_WBS] DEFAULT (N''WBS00''),
	[PlotParam] [nvarchar] (50) NULL ,
	[EstParam1] [nvarchar] (50) NULL ,
	[EstPower1] [decimal](28, 14) NULL ,
	[EstParam2] [nvarchar] (50) NULL ,
	[EstPower2] [decimal](28, 14) NULL ,
	[EstParam3] [nvarchar] (50) NULL ,
	[EstPower3] [decimal](28, 14) NULL ,
	[EstParam4] [nvarchar] (50) NULL ,
	[EstPower4] [decimal](28, 14) NULL ,
	[LocalCoG] [bit] NULL ,
	[RelativeCoG] [bit] NULL ,
	[bAbsYAxis] [bit] NULL ,
	[Filter] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_MET] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[Method],
		[ID],
		[Type],
		[WBS],
		[Filter]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MET_COMP_PARAM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MET_COMP_PARAM] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[Method] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_MET_COMP_PARAM_WBS] DEFAULT (N''WBS00''),
	[ID] [nvarchar] (50) NOT NULL ,
	[Type] [nvarchar] (50) NOT NULL ,
	[Sort] [nvarchar] (50) NOT NULL ,
	[CompID] [nvarchar] (50) NULL ,
	[Filter] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_MET_COMP_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[Method],
		[WBS],
		[ID],
		[Type],
		[Sort],
		[Filter]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[METHODS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[METHODS] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[iShipType] [smallint] NOT NULL CONSTRAINT [DF_METHODS_iShipType] DEFAULT ((0)),
	[sMethod] [nvarchar] (100) NOT NULL ,
	[sFormula] [nvarchar] (255) NULL ,
	[sExpression] [nvarchar] (255) NULL ,
	[sLimitations] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_METHODS] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID],
		[iShipType],
		[sMethod]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[OBJECT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[OBJECT] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sObjectID] [nvarchar] (2) NOT NULL ,
	[sObjectName] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_OBJECT] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sObjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAMDEF]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAMDEF] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[ParamID] [nvarchar] (50) NOT NULL ,
	[ParamName] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (255) NULL ,
	[ParamType] [nvarchar] (50) NULL ,
	[Decimals] [smallint] NULL ,
	[Unit] [nvarchar] (50) NULL ,
	[SIFactor] [decimal](28, 14) NULL ,
	[Symbol] [nvarchar] (50) NULL ,
	[Max] [decimal](28, 14) NULL ,
	[Alternatives] [ntext] NULL ,
	[Expression] [ntext] NULL ,
	[Active] [bit] NULL ,
	[Alias] [nvarchar] (50) NULL ,
	[Image] [varbinary] (MAX) NULL,
	[ReadOnly] [bit] NULL,
	[DefaultValue] [nvarchar](50) NULL,
	CONSTRAINT [PK_PARAMDEF] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[ParamID]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAMGROUP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAMGROUP] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[ParamSetting] [nvarchar] (50) NOT NULL ,
	[ParamGroup] [nvarchar] (50) NOT NULL ,
	[SortOrder] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_PARAMGROUP] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[ParamSetting],
		[ParamGroup]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAMVIEW]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAMVIEW] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[ParamSetting] [nvarchar] (50) NOT NULL ,
	[ParamGroup] [nvarchar] (50) NOT NULL ,
	[ParamID] [nvarchar] (50) NOT NULL ,
	[SortOrder] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_PARAMVIEW] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[ParamSetting],
		[ParamGroup],
		[ParamID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostName] [nvarchar] (250) NULL ,
	[sPostOver] [nvarchar] (10) NULL ,
	[sSort] [nvarchar] (10) NULL ,
	[sIcon] [nvarchar] (10) NULL ,
	CONSTRAINT [PK_POST] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_MAINMET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_MAINMET] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sPlottValue] [nvarchar] (10) NULL ,
	[sEstValue1] [nvarchar] (10) NULL ,
	[fEstPow1] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MAINMET_fEstPow1] DEFAULT ((1)),
	[sEstValue2] [nvarchar] (10) NULL ,
	[fEstPow2] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MAINMET_fEstPow2] DEFAULT ((1)),
	[sEstValue3] [nvarchar] (10) NULL ,
	[fEstPow3] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MAINMET_fEstPow3] DEFAULT ((1)),
	[sEstValue4] [nvarchar] (10) NULL ,
	[fEstPow4] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MAINMET_fEstPow4] DEFAULT ((1)),
	[sCompAtt1] [nvarchar] (10) NULL ,
	[sCompAtt2] [nvarchar] (10) NULL ,
	[sCompAtt3] [nvarchar] (10) NULL ,
	[sCompAtt4] [nvarchar] (10) NULL ,
	[sCompAtt5] [nvarchar] (10) NULL ,
	[sCompAtt6] [nvarchar] (10) NULL ,
	[sCompAtt7] [nvarchar] (10) NULL ,
	[sCompAtt8] [nvarchar] (10) NULL ,
	[sCompAtt9] [nvarchar] (10) NULL ,
	[sCompAtt10] [nvarchar] (10) NULL ,
	[LocalCoG] [bit] NULL ,
	CONSTRAINT [PK_POST_MAINMET] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID],
		[sPostType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_MET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_MET] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sPlottValue] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sPlottValue] DEFAULT (''''),
	[sEstValue1] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sEstValue1] DEFAULT (''''),
	[fEstPow1] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MET_fEstPow1] DEFAULT ((1)),
	[sEstValue2] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sEstValue2] DEFAULT (''''),
	[fEstPow2] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MET_fEstPow2] DEFAULT ((1)),
	[sEstValue3] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sEstValue3] DEFAULT (''''),
	[fEstPow3] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MET_fEstPow3] DEFAULT ((1)),
	[sEstValue4] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sEstValue4] DEFAULT (''''),
	[fEstPow4] [decimal](28, 14) NULL CONSTRAINT [DF_POST_MET_fEstPow4] DEFAULT ((1)),
	[sCompAtt1] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt1] DEFAULT (''''),
	[sCompAtt2] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt2] DEFAULT (''''),
	[sCompAtt3] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt3] DEFAULT (''''),
	[sCompAtt4] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt4] DEFAULT (''''),
	[sCompAtt5] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt5] DEFAULT (''''),
	[sCompAtt6] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt6] DEFAULT (''''),
	[sCompAtt7] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt7] DEFAULT (''''),
	[sCompAtt8] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt8] DEFAULT (''''),
	[sCompAtt9] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt9] DEFAULT (''''),
	[sCompAtt10] [nvarchar] (10) NULL CONSTRAINT [DF_POST_MET_sCompAtt10] DEFAULT (''''),
	[LocalCoG] [bit] NULL ,
	CONSTRAINT [PK_POST_MET] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID],
		[sPostType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_SEARCH]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_SEARCH] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sIndex] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_POST_SEARCH] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID],
		[sIndex]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_SFI]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_SFI] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sSFINo] [nvarchar] (6) NOT NULL ,
	CONSTRAINT [PK_POST_SFI] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sPostID],
		[sSFINo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SFI]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SFI] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sSFINo] [nvarchar] (15) NOT NULL ,
	[sSFIName] [nvarchar] (60) NULL ,
	[sMother] [nvarchar] (15) NULL ,
	CONSTRAINT [PK_SFI] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sSFINo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SFI_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SFI_POST] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sSFINo] [nvarchar] (6) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_SFI_POST] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sSFINo],
		[sPostID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SFI_SEARCH]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SFI_SEARCH] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sSFINo] [nvarchar] (6) NOT NULL ,
	[sCaption] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_SFI_SEARCH] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sSFINo],
		[sCaption]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIPTYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIPTYPE] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[iSubShipTypeID] [smallint] NOT NULL CONSTRAINT [DF_TEST_iSubShipTypeID] DEFAULT ((0)),
	[sShipTypeName] [nvarchar] (50) NULL ,
	[iShipTypeID] [smallint] NULL CONSTRAINT [DF_TEST_iShipTypeID] DEFAULT ((0)),
	CONSTRAINT [PK_STEST] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[iSubShipTypeID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SYSTEM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SYSTEM] (
	[ID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[DBPrefix] [nvarchar] (50) NULL ,
	[Active] [bit] NULL ,
	[TopWgtGrp] [nvarchar] (50) NULL ,
	[TempWgtGrp] [nvarchar] (50) NULL ,
	[XParam] [nvarchar] (50) NULL ,
	[YParam] [nvarchar] (50) NULL ,
	[ZParam] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_SYSTEM] PRIMARY KEY  CLUSTERED 
	(
		[ID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[UNIT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[UNIT] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[UnitID] [nvarchar] (50) NOT NULL ,
	[UnitName] [nvarchar] (50) NULL ,
	[Unit] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_UNIT] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[UnitID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VARIABLES] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[sKey] [nvarchar] (150) NOT NULL ,
	[sDescription] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_VARIABLES] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[sKey]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL CONSTRAINT [DF_VERSION_fVersion] DEFAULT ((0)),
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WBS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WBS] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[WgtGrpID] [nvarchar] (50) NOT NULL ,
	[WgtGrpName] [nvarchar] (50) NULL ,
	[WgtGrpParent] [nvarchar] (50) NULL ,
	[Sort] [nvarchar] (50) NULL ,
	[Icon] [nvarchar] (50) NULL ,
	[ItemFilter] [nvarchar] (255) NULL ,
	[Image] [varbinary](max) NULL,
	CONSTRAINT [PK_WBS] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[WBS],
		[WgtGrpID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[WBS_DEF]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[WBS_DEF] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (50) NULL ,
	[ItemFilter] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_WBS_DEF] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



commit
'

exec(@cmd2)
print 'A'

set @cmd2='USE ' + @dbname + ';'

-- Remove defaults and constraints
set @cmd2=@cmd2 +
'
begin transaction

DECLARE @object_id int;
DECLARE @parent_object_id int;
DECLARE @TSQL NVARCHAR(4000);
DECLARE @COLUMN_NAME SYSNAME;
DECLARE @is_descending_key bit;
DECLARE @col1 BIT;
DECLARE @action CHAR(6);

SET @action = ''DROP'';

DECLARE DCcursor CURSOR  FOR
select dc.object_id, dc.parent_object_id
    from  sys.default_constraints dc
    inner  join sys.objects o
    on dc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(dc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(dc.parent_object_id));

OPEN DCcursor;
FETCH NEXT  FROM DCcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM DCcursor INTO @object_id, @parent_object_id;

END;

CLOSE DCcursor;
DEALLOCATE DCcursor;


DECLARE FKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.foreign_keys kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));  

OPEN FKcursor;
FETCH NEXT  FROM FKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM FKcursor INTO @object_id, @parent_object_id;

END;

CLOSE FKcursor;
DEALLOCATE FKcursor;

DECLARE PKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.key_constraints kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    where kc.type = ''PK'' and o.type = ''U''
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));

OPEN PKcursor;


FETCH NEXT  FROM PKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
                  
		EXEC(@TSQL);
    
    FETCH  NEXT FROM PKcursor INTO @object_id, @parent_object_id;
END;

CLOSE PKcursor;
DEALLOCATE PKcursor;
commit
'
print 'A2'
-- Check and adjust columns
set @cmd2=@cmd2 +
'
begin transaction




IF COL_LENGTH(''REPORTDEFINITIONINPUTPARAMETERS'',''Items'') IS NULL BEGIN ALTER TABLE [dbo].[REPORTDEFINITIONINPUTPARAMETERS] ADD [Items] nvarchar(max) NULL END ELSE BEGIN ALTER TABLE [dbo].[REPORTDEFINITIONINPUTPARAMETERS] ALTER COLUMN [Items] nvarchar(max) NULL  END;
IF COL_LENGTH(''SHIPTYPE'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIPTYPE'',''iSubShipTypeID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [iSubShipTypeID] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [iSubShipTypeID] smallint NOT NULL  END;
IF COL_LENGTH(''SHIPTYPE'',''sShipTypeName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [sShipTypeName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [sShipTypeName] nvarchar(50)  END;
IF COL_LENGTH(''SHIPTYPE'',''iShipTypeID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [iShipTypeID] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [iShipTypeID] smallint  END;
IF COL_LENGTH(''POST_SEARCH'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SEARCH] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SEARCH] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SEARCH'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SEARCH] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SEARCH] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SEARCH'',''sIndex'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SEARCH] ADD [sIndex] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SEARCH] ALTER COLUMN [sIndex] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SFI'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SFI] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SFI] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SFI'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SFI] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SFI] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SFI'',''sSFINo'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SFI] ADD [sSFINo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SFI] ALTER COLUMN [sSFINo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[SFI] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI'',''sSFINo'') IS NULL BEGIN ALTER TABLE [dbo].[SFI] ADD [sSFINo] nvarchar(15) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI] ALTER COLUMN [sSFINo] nvarchar(15) NOT NULL  END;
IF COL_LENGTH(''SFI'',''sSFIName'') IS NULL BEGIN ALTER TABLE [dbo].[SFI] ADD [sSFIName] nvarchar(60) NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI] ALTER COLUMN [sSFIName] nvarchar(60)  END;
IF COL_LENGTH(''SFI'',''sMother'') IS NULL BEGIN ALTER TABLE [dbo].[SFI] ADD [sMother] nvarchar(15) NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI] ALTER COLUMN [sMother] nvarchar(15)  END;
IF COL_LENGTH(''SFI_POST'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_POST] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_POST] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI_POST'',''sSFINo'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_POST] ADD [sSFINo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_POST] ALTER COLUMN [sSFINo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_POST] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_POST] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI_SEARCH'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SFI_SEARCH'',''sSFINo'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ADD [sSFINo] nvarchar(6) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ALTER COLUMN [sSFINo] nvarchar(6) NOT NULL  END;
IF COL_LENGTH(''SFI_SEARCH'',''sCaption'') IS NULL BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ADD [sCaption] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SFI_SEARCH] ALTER COLUMN [sCaption] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS_DEF'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[WBS_DEF] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS_DEF] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS_DEF'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WBS_DEF] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_WBS_DEF_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[WBS_DEF] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS_DEF'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[WBS_DEF] ADD [Description] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS_DEF] ALTER COLUMN [Description] nvarchar(50)  END;
IF COL_LENGTH(''WBS_DEF'',''ItemFilter'') IS NULL BEGIN ALTER TABLE [dbo].[WBS_DEF] ADD [ItemFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS_DEF] ALTER COLUMN [ItemFilter] nvarchar(255)  END;
IF COL_LENGTH(''WBS'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_WBS_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS'',''WgtGrpID'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [WgtGrpID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [WgtGrpID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''WBS'',''WgtGrpName'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [WgtGrpName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [WgtGrpName] nvarchar(50)  END;
IF COL_LENGTH(''WBS'',''WgtGrpParent'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [WgtGrpParent] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [WgtGrpParent] nvarchar(50)  END;
IF COL_LENGTH(''WBS'',''Sort'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [Sort] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [Sort] nvarchar(50)  END;
IF COL_LENGTH(''WBS'',''Icon'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [Icon] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [Icon] nvarchar(50)  END;
IF COL_LENGTH(''WBS'',''ItemFilter'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [ItemFilter] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [ItemFilter] nvarchar(255)  END;
IF COL_LENGTH(''WBS'',''Image'') IS NULL BEGIN ALTER TABLE [dbo].[WBS] ADD [Image] varbinary(max) NULL END ELSE BEGIN ALTER TABLE [dbo].[WBS] ALTER COLUMN [Image] varbinary(max)  END;
IF COL_LENGTH(''UNIT'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[UNIT] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[UNIT] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''UNIT'',''UnitID'') IS NULL BEGIN ALTER TABLE [dbo].[UNIT] ADD [UnitID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[UNIT] ALTER COLUMN [UnitID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''UNIT'',''UnitName'') IS NULL BEGIN ALTER TABLE [dbo].[UNIT] ADD [UnitName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[UNIT] ALTER COLUMN [UnitName] nvarchar(50)  END;
IF COL_LENGTH(''UNIT'',''Unit'') IS NULL BEGIN ALTER TABLE [dbo].[UNIT] ADD [Unit] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[UNIT] ALTER COLUMN [Unit] nvarchar(50)  END;
IF COL_LENGTH(''VARIABLES'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sKey] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sKey] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sDescription'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sDescription] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sDescription] nvarchar(255)  END;
IF COL_LENGTH(''VERSION'',''fVersion'') IS NULL BEGIN ALTER TABLE [dbo].[VERSION] ADD [fVersion] decimal(28, 14) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VERSION] ALTER COLUMN [fVersion] decimal(28, 14) NOT NULL  END;
IF COL_LENGTH(''SYSTEM'',''ID'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [ID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [ID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SYSTEM'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''SYSTEM'',''DBPrefix'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [DBPrefix] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [DBPrefix] nvarchar(50)  END;
IF COL_LENGTH(''SYSTEM'',''Active'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [Active] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [Active] bit  END;
IF COL_LENGTH(''SYSTEM'',''TopWgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [TopWgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [TopWgtGrp] nvarchar(50)  END;
IF COL_LENGTH(''SYSTEM'',''TempWgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [TempWgtGrp] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [TempWgtGrp] nvarchar(50)  END;
IF COL_LENGTH(''SYSTEM'',''XParam'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [XParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [XParam] nvarchar(50)  END;
IF COL_LENGTH(''SYSTEM'',''YParam'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [YParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [YParam] nvarchar(50)  END;
IF COL_LENGTH(''SYSTEM'',''ZParam'') IS NULL BEGIN ALTER TABLE [dbo].[SYSTEM] ADD [ZParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SYSTEM] ALTER COLUMN [ZParam] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''Method'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [Method] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [Method] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''ID'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [ID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [ID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [Type] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [Type] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_MET_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''PlotParam'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [PlotParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [PlotParam] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstParam1'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam1] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower1'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower1] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower1] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam2'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam2] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower2'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower2] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower2] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam3'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam3] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower3'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower3] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower3] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam4'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam4] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower4'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower4] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower4] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''LocalCoG'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [LocalCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [LocalCoG] bit  END;
IF COL_LENGTH(''MET'',''RelativeCoG'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [RelativeCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [RelativeCoG] bit  END;
IF COL_LENGTH(''MET'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [bAbsYAxis] bit  END;
IF COL_LENGTH(''MET'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [Filter] nvarchar(150) NOT NULL CONSTRAINT [DF_MET_FILTER] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [Filter] nvarchar(150) NOT NULL END;
IF COL_LENGTH(''MET_COMP_PARAM'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''Method'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [Method] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [Method] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_MET_COMP_PARAM_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [WBS] nvarchar(50) NOT NULL END;
IF COL_LENGTH(''MET_COMP_PARAM'',''ID'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [ID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [ID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [Type] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [Type] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''Sort'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [Sort] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [Sort] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''CompID'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [CompID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [CompID] nvarchar(50)  END;
IF COL_LENGTH(''MET_COMP_PARAM'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ADD [Filter] nvarchar(150) NOT NULL CONSTRAINT [DF_MET_COMP_PARAM_FILTER] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[MET_COMP_PARAM] ALTER COLUMN [Filter] nvarchar(510) NOT NULL END;
IF COL_LENGTH(''CONVERT_UNIT'',''sSIUnit'') IS NULL BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ADD [sSIUnit] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ALTER COLUMN [sSIUnit] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CONVERT_UNIT'',''sUSUnit'') IS NULL BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ADD [sUSUnit] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ALTER COLUMN [sUSUnit] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CONVERT_UNIT'',''fFactor'') IS NULL BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ADD [fFactor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ALTER COLUMN [fFactor] decimal(28,14)  END;
IF COL_LENGTH(''CONVERT_UNIT'',''fSIFactor'') IS NULL BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ADD [fSIFactor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CONVERT_UNIT] ALTER COLUMN [fSIFactor] decimal(28,14)  END;
IF COL_LENGTH(''AREA'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[AREA] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AREA] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''AREA'',''AreaID'') IS NULL BEGIN ALTER TABLE [dbo].[AREA] ADD [AreaID] nvarchar(4) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[AREA] ALTER COLUMN [AreaID] nvarchar(4) NOT NULL  END;
IF COL_LENGTH(''AREA'',''AreaName'') IS NULL BEGIN ALTER TABLE [dbo].[AREA] ADD [AreaName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[AREA] ALTER COLUMN [AreaName] nvarchar(50)  END;
IF COL_LENGTH(''CALC'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[CALC] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CALC] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CALC'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[CALC] ADD [sAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CALC] ALTER COLUMN [sAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CALC'',''sAttExp'') IS NULL BEGIN ALTER TABLE [dbo].[CALC] ADD [sAttExp] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CALC] ALTER COLUMN [sAttExp] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''CALC'',''sFormula'') IS NULL BEGIN ALTER TABLE [dbo].[CALC] ADD [sFormula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CALC] ALTER COLUMN [sFormula] nvarchar(255)  END;
IF COL_LENGTH(''LOCAL_VARIABLES'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOCAL_VARIABLES'',''sGroup'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD [sGroup] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ALTER COLUMN [sGroup] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOCAL_VARIABLES'',''sVariable'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD [sVariable] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ALTER COLUMN [sVariable] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''LOCAL_VARIABLES'',''sType'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD [sType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ALTER COLUMN [sType] nvarchar(50)  END;
IF COL_LENGTH(''LOCAL_VARIABLES'',''sSort'') IS NULL BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD [sSort] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[LOCAL_VARIABLES] ALTER COLUMN [sSort] nvarchar(50)  END;
IF COL_LENGTH(''MAINPARAM'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[MAINPARAM] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINPARAM] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MAINPARAM'',''nMParamNo'') IS NULL BEGIN ALTER TABLE [dbo].[MAINPARAM] ADD [nMParamNo] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINPARAM] ALTER COLUMN [nMParamNo] smallint NOT NULL  END;
IF COL_LENGTH(''MAINPARAM'',''sAttID'') IS NULL BEGIN ALTER TABLE [dbo].[MAINPARAM] ADD [sAttID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINPARAM] ALTER COLUMN [sAttID] nvarchar(50)  END;
IF COL_LENGTH(''MAINPARAM'',''sGroup'') IS NULL BEGIN ALTER TABLE [dbo].[MAINPARAM] ADD [sGroup] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINPARAM] ALTER COLUMN [sGroup] nvarchar(50)  END;
IF COL_LENGTH(''METHODS'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''METHODS'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''METHODS'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''METHODS'',''sMethod'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [sMethod] nvarchar(100) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [sMethod] nvarchar(100) NOT NULL  END;
IF COL_LENGTH(''METHODS'',''sFormula'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [sFormula] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [sFormula] nvarchar(255)  END;
IF COL_LENGTH(''METHODS'',''sExpression'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [sExpression] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [sExpression] nvarchar(255)  END;
IF COL_LENGTH(''METHODS'',''sLimitations'') IS NULL BEGIN ALTER TABLE [dbo].[METHODS] ADD [sLimitations] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[METHODS] ALTER COLUMN [sLimitations] nvarchar(255)  END;
IF COL_LENGTH(''OBJECT'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[OBJECT] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[OBJECT] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''OBJECT'',''sObjectID'') IS NULL BEGIN ALTER TABLE [dbo].[OBJECT] ADD [sObjectID] nvarchar(2) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[OBJECT] ALTER COLUMN [sObjectID] nvarchar(2) NOT NULL  END;
IF COL_LENGTH(''OBJECT'',''sObjectName'') IS NULL BEGIN ALTER TABLE [dbo].[OBJECT] ADD [sObjectName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OBJECT] ALTER COLUMN [sObjectName] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMDEF'',''ParamID'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [ParamID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [ParamID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMDEF'',''ParamName'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [ParamName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [ParamName] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''PARAMDEF'',''ParamType'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [ParamType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [ParamType] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''Decimals'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Decimals] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Decimals] smallint  END;
IF COL_LENGTH(''PARAMDEF'',''Unit'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Unit] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Unit] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''SIFactor'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [SIFactor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [SIFactor] decimal(28,14)  END;
IF COL_LENGTH(''PARAMDEF'',''Symbol'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Symbol] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Symbol] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''Max'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Max] decimal(28,14)  END;
IF COL_LENGTH(''PARAMDEF'',''Alternatives'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Alternatives] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Alternatives] ntext  END;
IF COL_LENGTH(''PARAMDEF'',''Expression'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Expression] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Expression] ntext  END;
IF COL_LENGTH(''PARAMDEF'',''Active'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Active] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Active] bit  END;
IF COL_LENGTH(''PARAMDEF'',''Alias'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Alias] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Alias] nvarchar(50)  END;
IF COL_LENGTH(''PARAMDEF'',''Image'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [Image] varbinary(MAX) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [Image] varbinary(MAX)  END;
IF COL_LENGTH(''PARAMDEF'',''ReadOnly'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [ReadOnly] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [ReadOnly] bit  END;
IF COL_LENGTH(''PARAMDEF'',''DefaultValue'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMDEF] ADD [DefaultValue] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMDEF] ALTER COLUMN [DefaultValue] nvarchar(50)  END;
IF COL_LENGTH(''PARAMGROUP'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMGROUP] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMGROUP] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMGROUP'',''ParamSetting'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMGROUP] ADD [ParamSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMGROUP] ALTER COLUMN [ParamSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMGROUP'',''ParamGroup'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMGROUP] ADD [ParamGroup] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMGROUP] ALTER COLUMN [ParamGroup] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMGROUP'',''SortOrder'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMGROUP] ADD [SortOrder] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMGROUP] ALTER COLUMN [SortOrder] nvarchar(50)  END;
IF COL_LENGTH(''PARAMVIEW'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMVIEW] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMVIEW] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMVIEW'',''ParamSetting'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMVIEW] ADD [ParamSetting] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMVIEW] ALTER COLUMN [ParamSetting] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMVIEW'',''ParamGroup'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMVIEW] ADD [ParamGroup] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMVIEW] ALTER COLUMN [ParamGroup] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMVIEW'',''ParamID'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMVIEW] ADD [ParamID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMVIEW] ALTER COLUMN [ParamID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PARAMVIEW'',''SortOrder'') IS NULL BEGIN ALTER TABLE [dbo].[PARAMVIEW] ADD [SortOrder] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[PARAMVIEW] ALTER COLUMN [SortOrder] nvarchar(50)  END;
IF COL_LENGTH(''POST'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST'',''sPostName'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [sPostName] nvarchar(250) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [sPostName] nvarchar(250)  END;
IF COL_LENGTH(''POST'',''sPostOver'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [sPostOver] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [sPostOver] nvarchar(50)  END;
IF COL_LENGTH(''POST'',''sSort'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [sSort] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [sSort] nvarchar(50)  END;
IF COL_LENGTH(''POST'',''sIcon'') IS NULL BEGIN ALTER TABLE [dbo].[POST] ADD [sIcon] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST] ALTER COLUMN [sIcon] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_MAINMET'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_MAINMET'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''POST_MAINMET'',''sPlottValue'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sPlottValue] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sPlottValue] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sEstValue1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sEstValue1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sEstValue1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''fEstPow1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [fEstPow1] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [fEstPow1] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MAINMET'',''sEstValue2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sEstValue2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sEstValue2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''fEstPow2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [fEstPow2] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [fEstPow2] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MAINMET'',''sEstValue3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sEstValue3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sEstValue3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''fEstPow3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [fEstPow3] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [fEstPow3] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MAINMET'',''sEstValue4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sEstValue4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sEstValue4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''fEstPow4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [fEstPow4] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [fEstPow4] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt5'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt5] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt5] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt6'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt6] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt6] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt7'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt7] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt7] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt8'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt8] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt8] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt9'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt9] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt9] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''sCompAtt10'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [sCompAtt10] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [sCompAtt10] nvarchar(50)  END;
IF COL_LENGTH(''POST_MAINMET'',''LocalCoG'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MAINMET] ADD [LocalCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MAINMET] ALTER COLUMN [LocalCoG] bit  END;
IF COL_LENGTH(''POST_MET'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_MET'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_MET'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''POST_MET'',''sPlottValue'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPlottValue] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPlottValue] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow1] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow1] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow2] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow2] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow3] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow3] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow4] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow4] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt5'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt5] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt5] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt6'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt6] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt6] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt7'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt7] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt7] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt8'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt8] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt8] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt9'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt9] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt9] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt10'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt10] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt10] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''LocalCoG'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [LocalCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [LocalCoG] bit  END;
IF COL_LENGTH(''REPORTDEFINITIONCHAPTERS'',''DefaultValue'') IS NULL BEGIN ALTER TABLE [dbo].[REPORTDEFINITIONCHAPTERS] ADD [DefaultValue] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[REPORTDEFINITIONCHAPTERS] ALTER COLUMN [DefaultValue] bit  END;

commit
'
exec(@cmd2)

set @cmd2='USE ' + @dbname + ';'

print 'B'
-- Add defaults
set @cmd2 = @cmd2 + 
'
begin transaction
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MET_FILTER'') AND parent_object_id = OBJECT_ID(N''dbo.MET''))   BEGIN    ALTER TABLE dbo.MET ADD CONSTRAINT DF_MET_FILTER DEFAULT((N'''')) FOR [FILTER] END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MET_COMP_PARAM_FILTER'') AND parent_object_id = OBJECT_ID(N''dbo.MET_COMP_PARAM''))   BEGIN    ALTER TABLE dbo.MET_COMP_PARAM ADD CONSTRAINT DF_MET_COMP_PARAM_FILTER DEFAULT((N'''')) FOR [FILTER] END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_fEstPow1'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_fEstPow1 DEFAULT(((1))) FOR fEstPow1 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sEstValue2'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sEstValue2 DEFAULT(('''')) FOR sEstValue2 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_fEstPow2'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_fEstPow2 DEFAULT(((1))) FOR fEstPow2 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sEstValue3'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sEstValue3 DEFAULT(('''')) FOR sEstValue3 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_fEstPow3'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_fEstPow3 DEFAULT(((1))) FOR fEstPow3 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sEstValue4'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sEstValue4 DEFAULT(('''')) FOR sEstValue4 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_fEstPow4'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_fEstPow4 DEFAULT(((1))) FOR fEstPow4 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt1'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt1 DEFAULT(('''')) FOR sCompAtt1 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt2'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt2 DEFAULT(('''')) FOR sCompAtt2 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_TEST_iSubShipTypeID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIPTYPE''))   BEGIN    ALTER TABLE dbo.SHIPTYPE ADD CONSTRAINT DF_TEST_iSubShipTypeID DEFAULT(((0))) FOR iSubShipTypeID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt3'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt3 DEFAULT(('''')) FOR sCompAtt3 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_TEST_iShipTypeID'') AND parent_object_id = OBJECT_ID(N''dbo.SHIPTYPE''))   BEGIN    ALTER TABLE dbo.SHIPTYPE ADD CONSTRAINT DF_TEST_iShipTypeID DEFAULT(((0))) FOR iShipTypeID END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt4'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt4 DEFAULT(('''')) FOR sCompAtt4 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt5'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt5 DEFAULT(('''')) FOR sCompAtt5 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt6'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt6 DEFAULT(('''')) FOR sCompAtt6 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt7'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt7 DEFAULT(('''')) FOR sCompAtt7 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt8'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt8 DEFAULT(('''')) FOR sCompAtt8 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt9'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt9 DEFAULT(('''')) FOR sCompAtt9 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sCompAtt10'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sCompAtt10 DEFAULT(('''')) FOR sCompAtt10 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_VERSION_fVersion'') AND parent_object_id = OBJECT_ID(N''dbo.VERSION''))   BEGIN    ALTER TABLE dbo.VERSION ADD CONSTRAINT DF_VERSION_fVersion DEFAULT(((0))) FOR fVersion END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CONVERT_UNIT_2_fFactor'') AND parent_object_id = OBJECT_ID(N''dbo.CONVERT_UNIT''))   BEGIN    ALTER TABLE dbo.CONVERT_UNIT ADD CONSTRAINT DF_CONVERT_UNIT_2_fFactor DEFAULT(((1))) FOR fFactor END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MET_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.MET''))   BEGIN    ALTER TABLE dbo.MET ADD CONSTRAINT DF_MET_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MET_COMP_PARAM_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.MET_COMP_PARAM''))   BEGIN    ALTER TABLE dbo.MET_COMP_PARAM ADD CONSTRAINT DF_MET_COMP_PARAM_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_CALC_sFormula'') AND parent_object_id = OBJECT_ID(N''dbo.CALC''))   BEGIN    ALTER TABLE dbo.CALC ADD CONSTRAINT DF_CALC_sFormula DEFAULT(('''')) FOR sFormula END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MAINPARAM_nMParamNo'') AND parent_object_id = OBJECT_ID(N''dbo.MAINPARAM''))   BEGIN    ALTER TABLE dbo.MAINPARAM ADD CONSTRAINT DF_MAINPARAM_nMParamNo DEFAULT(((0))) FOR nMParamNo END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_METHODS_iShipType'') AND parent_object_id = OBJECT_ID(N''dbo.METHODS''))   BEGIN    ALTER TABLE dbo.METHODS ADD CONSTRAINT DF_METHODS_iShipType DEFAULT(((0))) FOR iShipType END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MAINMET_fEstPow1'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MAINMET''))   BEGIN    ALTER TABLE dbo.POST_MAINMET ADD CONSTRAINT DF_POST_MAINMET_fEstPow1 DEFAULT(((1))) FOR fEstPow1 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MAINMET_fEstPow2'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MAINMET''))   BEGIN    ALTER TABLE dbo.POST_MAINMET ADD CONSTRAINT DF_POST_MAINMET_fEstPow2 DEFAULT(((1))) FOR fEstPow2 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MAINMET_fEstPow3'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MAINMET''))   BEGIN    ALTER TABLE dbo.POST_MAINMET ADD CONSTRAINT DF_POST_MAINMET_fEstPow3 DEFAULT(((1))) FOR fEstPow3 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MAINMET_fEstPow4'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MAINMET''))   BEGIN    ALTER TABLE dbo.POST_MAINMET ADD CONSTRAINT DF_POST_MAINMET_fEstPow4 DEFAULT(((1))) FOR fEstPow4 END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sPlottValue'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sPlottValue DEFAULT(('''')) FOR sPlottValue END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_POST_MET_sEstValue1'') AND parent_object_id = OBJECT_ID(N''dbo.POST_MET''))   BEGIN    ALTER TABLE dbo.POST_MET ADD CONSTRAINT DF_POST_MET_sEstValue1 DEFAULT(('''')) FOR sEstValue1 END
commit
'
exec(@cmd2)
print 'C'

set @cmd2='USE ' + @dbname + ';'
print 'D'
-- Update defaults
set @cmd2=@cmd2 +
'
begin transaction
UPDATE dbo.MET SET [Filter]='''' WHERE [Filter] IS NULL;
UPDATE dbo.MET_COMP_PARAM SET [Filter]='''' WHERE [Filter] IS NULL;
UPDATE dbo.MET SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.MET_COMP_PARAM SET WBS = ''WBS00'' where WBS IS NULL OR WBS ='''';
UPDATE dbo.CONVERT_UNIT SET fSIFactor=0.01 WHERE sSIUnit=''cm'';
commit
'
exec(@cmd2)

print 'E'

set @cmd2='USE ' + @dbname + ';'
-- Add constraints
set @cmd2=@cmd2 +
'
ALTER TABLE [dbo].[AREA] ADD CONSTRAINT [PK_AREA] PRIMARY KEY CLUSTERED(SystemID ASC, AreaID ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

 ALTER TABLE [dbo].[CALC] ADD CONSTRAINT [PK_CALC] PRIMARY KEY CLUSTERED(SystemID ASC, sAttID ASC, sAttExp ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[CONVERT_UNIT] ADD CONSTRAINT [PK_CONVERT_UNIT_2] PRIMARY KEY CLUSTERED(sSIUnit ASC, sUSUnit ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[LOCAL_VARIABLES] ADD CONSTRAINT [PK_LOCAL_VARIABLE] PRIMARY KEY CLUSTERED(SystemID ASC, sGroup ASC, sVariable ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[MAINPARAM] ADD CONSTRAINT [PK_MAINPARAM] PRIMARY KEY CLUSTERED(SystemID ASC, nMParamNo ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[MET] ADD CONSTRAINT [PK_MET] PRIMARY KEY CLUSTERED(SystemID ASC, Method ASC, ID ASC, Type ASC, WBS ASC, [Filter] ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[MET_COMP_PARAM] ADD CONSTRAINT [PK_MET_COMP_PARAM] PRIMARY KEY CLUSTERED(SystemID ASC, Method ASC, WBS ASC, ID ASC, Type ASC, Sort ASC, [Filter] ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[METHODS] ADD CONSTRAINT [PK_METHODS] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC, iShipType ASC, sMethod ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[OBJECT] ADD CONSTRAINT [PK_OBJECT] PRIMARY KEY CLUSTERED(SystemID ASC, sObjectID ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[PARAMDEF] ADD CONSTRAINT [PK_PARAMDEF] PRIMARY KEY CLUSTERED(SystemID ASC, ParamID ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[PARAMGROUP] ADD CONSTRAINT [PK_PARAMGROUP] PRIMARY KEY CLUSTERED(SystemID ASC, ParamSetting ASC, ParamGroup ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[PARAMVIEW] ADD CONSTRAINT [PK_PARAMVIEW] PRIMARY KEY CLUSTERED(SystemID ASC, ParamSetting ASC, ParamGroup ASC, ParamID ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[POST] ADD CONSTRAINT [PK_POST] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[POST_MAINMET] ADD CONSTRAINT [PK_POST_MAINMET] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC, sPostType ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[POST_MET] ADD CONSTRAINT [PK_POST_MET] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC, sPostType ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];


'

exec(@cmd2)


set @cmd2='USE ' + @dbname + ';'
-- set version number
set @cmd2=@cmd2 +
'
ALTER TABLE [dbo].[POST_SEARCH] ADD CONSTRAINT [PK_POST_SEARCH] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC, sIndex ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[POST_SFI] ADD CONSTRAINT [PK_POST_SFI] PRIMARY KEY CLUSTERED(SystemID ASC, sPostID ASC, sSFINo ASC) 
WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

ALTER TABLE [dbo].[SFI] ADD CONSTRAINT [PK_SFI] PRIMARY KEY CLUSTERED(SystemID ASC, sSFINo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[SFI_POST] ADD CONSTRAINT [PK_SFI_POST] PRIMARY KEY CLUSTERED(SystemID ASC, sSFINo ASC, sPostID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

ALTER TABLE [dbo].[SFI_SEARCH] ADD CONSTRAINT [PK_SFI_SEARCH] PRIMARY KEY CLUSTERED(SystemID ASC, sSFINo ASC, sCaption ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[SHIPTYPE] ADD CONSTRAINT [PK_STEST] PRIMARY KEY CLUSTERED(SystemID ASC, iSubShipTypeID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[SYSTEM] ADD CONSTRAINT [PK_SYSTEM] PRIMARY KEY CLUSTERED(ID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[UNIT] ADD CONSTRAINT [PK_UNIT] PRIMARY KEY CLUSTERED(SystemID ASC, UnitID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[VARIABLES] ADD CONSTRAINT [PK_VARIABLES] PRIMARY KEY CLUSTERED(SystemID ASC, sKey ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[VERSION] ADD CONSTRAINT [PK_VERSION] PRIMARY KEY CLUSTERED(fVersion ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[WBS] ADD CONSTRAINT [PK_WBS] PRIMARY KEY CLUSTERED(SystemID ASC, WBS ASC, WgtGrpID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
 
ALTER TABLE [dbo].[WBS_DEF] ADD CONSTRAINT [PK_WBS_DEF] PRIMARY KEY CLUSTERED(SystemID ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

 ALTER TABLE [dbo].[REPORTDEFINITION] ADD CONSTRAINT [PK_REPORTDEFINTION] PRIMARY KEY CLUSTERED([ID] ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

 ALTER TABLE [dbo].[REPORTDEFINITIONCHAPTERS] ADD CONSTRAINT [PK_REPORTDEFINTIONCHAPTERS] PRIMARY KEY CLUSTERED([ID] ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

 ALTER TABLE [dbo].[REPORTDEFINITIONINPUTPARAMETERS] ADD CONSTRAINT [PK_REPORTDEFINTIONINPUTPARAMETERS] PRIMARY KEY CLUSTERED([ID] ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];


'

exec(@cmd2)


set @cmd2='USE ' + @dbname + ';'
-- set version number
set @cmd2=@cmd2 +
'
begin transaction
if exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
BEGIN
drop table [dbo].[VERSION]

CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]


INSERT INTO [dbo].[VERSION] ([fVersion])
	VALUES (14.00000000000000)
END
commit
'
exec(@cmd2)

print 'Finished update of ' + @dbname + '...'


Goto ReturnToLoop

Update_SWLogin:

print 'Starting update of ' + @dbname + '...'

set @cmd2='USE ' + @dbname + ';'

-- Create any missing Project tables
set @cmd2=@cmd2 +

'
if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[GROUP_CODETYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[GROUP_CODETYPE] (
	[GroupID] [nvarchar] (150) NOT NULL ,
	[CodeType] [nvarchar] (150) NOT NULL ,
	[ProjectID] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_GROUP_CODETYPE] PRIMARY KEY  CLUSTERED 
	(
		[GroupID],
		[CodeType],
		[ProjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[GROUP_PERMISSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[GROUP_PERMISSION] (
	[GroupID] [nvarchar] (150) NOT NULL ,
	[PermissionID] [nvarchar] (150) NOT NULL ,
	[PermissionGroup] [nvarchar] (150) NOT NULL ,
	[ProjectID] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_GROUP_TASK] PRIMARY KEY  CLUSTERED 
	(
		[GroupID],
		[PermissionID],
		[PermissionGroup],
		[ProjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[GROUP_WGTGRP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[GROUP_WGTGRP] (
	[GroupID] [nvarchar] (150) NOT NULL ,
	[WgtGrp] [nvarchar] (150) NOT NULL ,
	[ProjectID] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_GROUP_WGTGRP] PRIMARY KEY  CLUSTERED 
	(
		[GroupID],
		[WgtGrp],
		[ProjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[USER_GROUPS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[USER_GROUPS] (
	[UserID] [nvarchar] (150) NOT NULL ,
	[GroupID] [nvarchar] (150) NOT NULL ,
	CONSTRAINT [PK_USER_GROUPS] PRIMARY KEY  CLUSTERED 
	(
		[UserID],
		[GroupID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[GROUPS]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[GROUPS] (
	[Group_ID] [int] IDENTITY (1, 1) NOT NULL ,
	[GroupName] [nvarchar] (255) NOT NULL ,
	[GroupDesc] [nvarchar] (4000) NULL ,
	[DBRead] [tinyint] NULL ,
	[DBWrite] [tinyint] NULL ,
	[DBCreate] [tinyint] NULL ,
	[DelSingleItem] [tinyint] NULL ,
	[DelGroupOfItems] [tinyint] NULL ,
	[ImportData] [tinyint] NULL ,
	[ExportData] [tinyint] NULL ,
	[ChangeParam] [tinyint] NULL ,
	[DBBackup] [tinyint] NULL ,
	[MakeReports] [tinyint] NULL ,
	[sPostID] [nvarchar] (50) NULL ,
	[sUser] [nvarchar] (50) NULL CONSTRAINT [DF_GROUPS_sUser] DEFAULT (suser_sname()),
	CONSTRAINT [PK_Groups] PRIMARY KEY  CLUSTERED 
	(
		[Group_ID],
		[GroupName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PERMISSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PERMISSION] (
	[PermissionID] [nvarchar] (150) NOT NULL ,
	[PermissionGroup] [nvarchar] (150) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[Order] [nvarchar] (10) NULL ,
	CONSTRAINT [PK_TASK] PRIMARY KEY  CLUSTERED 
	(
		[PermissionID],
		[PermissionGroup]
	)  ON [PRIMARY] 
) ON [PRIMARY]





INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Edit'',''Estimate'','''',''4.02'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Edit'',''Playground'','''',''5.02'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Edit'',''ProjectInfo'','''',''2.02'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Edit'',''Setting'','''',''3.02'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Edit'',''WgtInfo'','''',''1.02'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Import/Export'',''Estimate'','''',''4.05'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Import/Export'',''Playground'','''',''5.05'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Import/Export'',''ProjectInfo'','''',''2.05'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Import/Export'',''Setting'','''',''3.05'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Import/Export'',''WgtInfo'','''',''1.05'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''MultipleEdit'',''Estimate'','''',''4.03'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''MultipleEdit'',''Playground'','''',''5.03'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''MultipleEdit'',''ProjectInfo'','''',''2.03'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''MultipleEdit'',''Setting'','''',''3.03'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''MultipleEdit'',''WgtInfo'','''',''1.03'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Output'',''Estimate'','''',''4.04'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Output'',''Playground'','''',''5.04'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Output'',''ProjectInfo'','''',''2.04'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Output'',''Setting'','''',''3.04'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Output'',''WgtInfo'',''Print or export wgt.grp. and item information'',''1.04'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Read'',''Estimate'','''',''4.01'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Read'',''Playground'','''',''5.01'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Read'',''ProjectInfo'','''',''2.01'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Read'',''Setting'','''',''3.01'')


INSERT INTO [dbo].[PERMISSION] ([PermissionID],[PermissionGroup],[Description],[Order])
	VALUES (''Read'',''WgtInfo'','''',''1.01'')

END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PwrdPolicy]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
BEGIN
CREATE TABLE [dbo].[PwrdPolicy] (
	[PwrdLength] [int] NULL ,
	[PwrdMonth] [int] NULL ,
	[PwrdIncNumCharsLetter] [int] NULL ,
	[PwrdIncCapNormLetter] [int] NULL ,
	[PwrdIncAll] [int] NULL ,
	[PwrdUserMustChangePassword] [int] NULL 
) ON [PRIMARY]


INSERT INTO [dbo].[PwrdPolicy] ([PwrdLength],[PwrdMonth],[PwrdIncNumCharsLetter],[PwrdIncCapNormLetter],[PwrdIncAll],[PwrdUserMustChangePassword])
	VALUES (3,-1,0,0,0,0)

END

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[USER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[USER] (
	[User_ID] [int] IDENTITY (1, 1) NOT NULL ,
	[sUser] [nvarchar] (50) NULL ,
	[sUserLoginName] [nvarchar] (50) NULL ,
	[sUserAddress] [nvarchar] (50) NULL ,
	[sUserPostNumber] [nvarchar] (50) NULL ,
	[sUserPostaddress] [nvarchar] (50) NULL ,
	[sUserCountry] [nvarchar] (50) NULL ,
	[sUserTlf] [nvarchar] (50) NULL ,
	[sUserFax] [nvarchar] (50) NULL ,
	[sUserMail] [nvarchar] (50) NULL ,
	[sUserWork] [nvarchar] (50) NULL ,
	[sUserWorkTlf] [nvarchar] (50) NULL ,
	[sUserInformation] [nvarchar](255) NULL ,
	[Group_ID] [int] NULL ,
	[sUserDep] [nvarchar] (50) NULL ,
	[sUserPWRD] [nvarchar] (50) NULL ,
	[iUserHasBeenLoggedOn] [int] NULL ,
	[iUserMustChangePWRD] [int] NULL ,
	[iUserCantChangePWRD] [int] NULL ,
	[iUserAccIsDisabled] [int] NULL ,
	[iUserAccIsLocked] [int] NULL ,
	[iUserPWRDNeverExpires] [int] NULL ,
	[sPwrdLength] [nvarchar] (10) NULL ,
	[sPwrdMonth] [nvarchar] (10) NULL ,
	[chgDate] [datetime2] NULL ,
	CONSTRAINT [PK_USER] PRIMARY KEY  CLUSTERED 
	(
		[User_ID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VARIABLES] (
	[sKey] [nvarchar] (150) NOT NULL ,
	[sSubKey] [nvarchar] (50) NOT NULL ,
	[sRegUser] [nvarchar] (255) NOT NULL ,
	[sValue] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_VARIABLESXX] PRIMARY KEY  CLUSTERED 
	(
		[sKey],
		[sSubKey],
		[sRegUser]
	)  ON [PRIMARY] 
) ON [PRIMARY]

END
'

exec(@cmd2)
print 'A'

set @cmd2='USE ' + @dbname + ';'


-- Remove defaults
set @cmd2=@cmd2 +
'
begin transaction

DECLARE @object_id int;
DECLARE @parent_object_id int;
DECLARE @TSQL NVARCHAR(4000);
DECLARE @COLUMN_NAME SYSNAME;
DECLARE @is_descending_key bit;
DECLARE @col1 BIT;
DECLARE @action CHAR(6);

SET @action = ''DROP'';

DECLARE DCcursor CURSOR  FOR
select dc.object_id, dc.parent_object_id
    from  sys.default_constraints dc
    inner  join sys.objects o
    on dc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(dc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(dc.parent_object_id));

OPEN DCcursor;
FETCH NEXT  FROM DCcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM DCcursor INTO @object_id, @parent_object_id;

END;

CLOSE DCcursor;
DEALLOCATE DCcursor;


DECLARE FKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.foreign_keys kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));  

OPEN FKcursor;
FETCH NEXT  FROM FKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM FKcursor INTO @object_id, @parent_object_id;

END;

CLOSE FKcursor;
DEALLOCATE FKcursor;

DECLARE PKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.key_constraints kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    where kc.type = ''PK'' and o.type = ''U''
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));

OPEN PKcursor;


FETCH NEXT  FROM PKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
                  
		EXEC(@TSQL);
    
    FETCH  NEXT FROM PKcursor INTO @object_id, @parent_object_id;
END;

CLOSE PKcursor;
DEALLOCATE PKcursor;
commit
'

exec(@cmd2)
print 'B'

set @cmd2='USE ' + @dbname + ';'


-- Check and adjust columns
set @cmd2=@cmd2 +
'
begin transaction
IF COL_LENGTH(''GROUP_CODETYPE'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ADD [GroupID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ALTER COLUMN [GroupID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_CODETYPE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ADD [CodeType] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ALTER COLUMN [CodeType] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_CODETYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ADD [ProjectID] nvarchar(150) NOT NULL CONSTRAINT [DF_GROUP_CODETYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[GROUP_CODETYPE] ALTER COLUMN [ProjectID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_PERMISSION'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ADD [GroupID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ALTER COLUMN [GroupID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_PERMISSION'',''PermissionID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ADD [PermissionID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ALTER COLUMN [PermissionID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_PERMISSION'',''PermissionGroup'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ADD [PermissionGroup] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ALTER COLUMN [PermissionGroup] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_PERMISSION'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ADD [ProjectID] nvarchar(150) NOT NULL CONSTRAINT [DF_GROUP_PERMISSION_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[GROUP_PERMISSION] ALTER COLUMN [ProjectID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_WGTGRP'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ADD [GroupID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ALTER COLUMN [GroupID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_WGTGRP'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ADD [WgtGrp] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ALTER COLUMN [WgtGrp] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUP_WGTGRP'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ADD [ProjectID] nvarchar(150) NOT NULL CONSTRAINT [DF_GROUP_WGTGRP_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[GROUP_WGTGRP] ALTER COLUMN [ProjectID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''GROUPS'',''Group_ID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [Group_ID] int NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [Group_ID] int NOT NULL  END;
IF COL_LENGTH(''GROUPS'',''GroupName'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [GroupName] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [GroupName] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''GROUPS'',''GroupDesc'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [GroupDesc] nvarchar(4000) NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [GroupDesc] nvarchar(4000)  END;
IF COL_LENGTH(''GROUPS'',''DBRead'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DBRead] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DBRead] tinyint  END;
IF COL_LENGTH(''GROUPS'',''DBWrite'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DBWrite] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DBWrite] tinyint  END;
IF COL_LENGTH(''GROUPS'',''DBCreate'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DBCreate] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DBCreate] tinyint  END;
IF COL_LENGTH(''GROUPS'',''DelSingleItem'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DelSingleItem] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DelSingleItem] tinyint  END;
IF COL_LENGTH(''GROUPS'',''DelGroupOfItems'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DelGroupOfItems] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DelGroupOfItems] tinyint  END;
IF COL_LENGTH(''GROUPS'',''ImportData'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [ImportData] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [ImportData] tinyint  END;
IF COL_LENGTH(''GROUPS'',''ExportData'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [ExportData] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [ExportData] tinyint  END;
IF COL_LENGTH(''GROUPS'',''ChangeParam'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [ChangeParam] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [ChangeParam] tinyint  END;
IF COL_LENGTH(''GROUPS'',''DBBackup'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [DBBackup] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [DBBackup] tinyint  END;
IF COL_LENGTH(''GROUPS'',''MakeReports'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [MakeReports] tinyint NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [MakeReports] tinyint  END;
IF COL_LENGTH(''GROUPS'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [sPostID] nvarchar(150) NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [sPostID] nvarchar(150)  END;
IF COL_LENGTH(''GROUPS'',''sUser'') IS NULL BEGIN ALTER TABLE [dbo].[GROUPS] ADD [sUser] nvarchar(150) NULL END ELSE BEGIN ALTER TABLE [dbo].[GROUPS] ALTER COLUMN [sUser] nvarchar(150)  END;
IF COL_LENGTH(''PERMISSION'',''PermissionID'') IS NULL BEGIN ALTER TABLE [dbo].[PERMISSION] ADD [PermissionID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PERMISSION] ALTER COLUMN [PermissionID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''PERMISSION'',''PermissionGroup'') IS NULL BEGIN ALTER TABLE [dbo].[PERMISSION] ADD [PermissionGroup] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PERMISSION] ALTER COLUMN [PermissionGroup] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''PERMISSION'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[PERMISSION] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[PERMISSION] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''PERMISSION'',''Order'') IS NULL BEGIN ALTER TABLE [dbo].[PERMISSION] ADD [Order] nvarchar(150) NULL END ELSE BEGIN ALTER TABLE [dbo].[PERMISSION] ALTER COLUMN [Order] nvarchar(150)  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdLength'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdLength] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdLength] int  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdMonth'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdMonth] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdMonth] int  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdIncNumCharsLetter'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdIncNumCharsLetter] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdIncNumCharsLetter] int  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdIncCapNormLetter'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdIncCapNormLetter] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdIncCapNormLetter] int  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdIncAll'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdIncAll] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdIncAll] int  END;
IF COL_LENGTH(''PwrdPolicy'',''PwrdUserMustChangePassword'') IS NULL BEGIN ALTER TABLE [dbo].[PwrdPolicy] ADD [PwrdUserMustChangePassword] int NULL END ELSE BEGIN ALTER TABLE [dbo].[PwrdPolicy] ALTER COLUMN [PwrdUserMustChangePassword] int  END;
IF COL_LENGTH(''USER'',''User_ID'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [User_ID] int NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [User_ID] int NOT NULL  END;
IF COL_LENGTH(''USER'',''sUser'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUser] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUser] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserLoginName'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserLoginName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserLoginName] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserAddress'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserAddress] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserCountry'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserCountry] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserTlf'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserTlf] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserFax'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserFax] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserMail'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserMail] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserWork'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserWork] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserWork] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserWorkTlf'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserWorkTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserWorkTlf] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserInformation'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserInformation] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserInformation] nvarchar(255)  END;
IF COL_LENGTH(''USER'',''Group_ID'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [Group_ID] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [Group_ID] int  END;
IF COL_LENGTH(''USER'',''sUserDep'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserDep] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserDep] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserPWRD'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserPWRD] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserPWRD] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''iUserHasBeenLoggedOn'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserHasBeenLoggedOn] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserHasBeenLoggedOn] int  END;
IF COL_LENGTH(''USER'',''iUserMustChangePWRD'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserMustChangePWRD] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserMustChangePWRD] int  END;
IF COL_LENGTH(''USER'',''iUserCantChangePWRD'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserCantChangePWRD] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserCantChangePWRD] int  END;
IF COL_LENGTH(''USER'',''iUserAccIsDisabled'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserAccIsDisabled] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserAccIsDisabled] int  END;
IF COL_LENGTH(''USER'',''iUserAccIsLocked'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserAccIsLocked] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserAccIsLocked] int  END;
IF COL_LENGTH(''USER'',''iUserPWRDNeverExpires'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [iUserPWRDNeverExpires] int NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [iUserPWRDNeverExpires] int  END;
IF COL_LENGTH(''USER'',''sPwrdLength'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sPwrdLength] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sPwrdLength] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sPwrdMonth'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sPwrdMonth] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sPwrdMonth] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''chgDate'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [chgDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [chgDate] datetime2 END;
IF COL_LENGTH(''VARIABLES'',''sKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sKey] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sKey] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sSubKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sSubKey] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sSubKey] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sRegUser'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sRegUser] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sRegUser] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sValue'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sValue] nvarchar(255)  END;
IF COL_LENGTH(''USER_GROUPS'',''UserID'') IS NULL BEGIN ALTER TABLE [dbo].[USER_GROUPS] ADD [UserID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[USER_GROUPS] ALTER COLUMN [UserID] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''USER_GROUPS'',''GroupID'') IS NULL BEGIN ALTER TABLE [dbo].[USER_GROUPS] ADD [GroupID] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[USER_GROUPS] ALTER COLUMN [GroupID] nvarchar(150) NOT NULL  END;

commit'

exec(@cmd2)


Print 'C'
set @cmd2='USE ' + @dbname + ';'

-- Add defaults
set @cmd2 = @cmd2 + 
'
begin transaction

IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_GROUPS_sUser'') AND parent_object_id = OBJECT_ID(N''dbo.GROUPS''))   BEGIN    ALTER TABLE dbo.GROUPS ADD CONSTRAINT DF_GROUPS_sUser DEFAULT((suser_sname())) FOR sUser END

commit
'

-- Add constraints
set @cmd2=@cmd2 +
'begin transaction

ALTER TABLE [dbo].[GROUP_CODETYPE] ADD CONSTRAINT [PK_GROUP_CODETYPE] PRIMARY KEY CLUSTERED(GroupID ASC, CodeType ASC, ProjectID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[GROUP_PERMISSION] ADD CONSTRAINT [PK_GROUP_TASK] PRIMARY KEY CLUSTERED(GroupID ASC, PermissionID ASC, PermissionGroup ASC, ProjectID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[GROUP_WGTGRP] ADD CONSTRAINT [PK_GROUP_WGTGRP] PRIMARY KEY CLUSTERED(GroupID ASC, WgtGrp ASC, ProjectID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[GROUPS] ADD CONSTRAINT [PK_Groups] PRIMARY KEY CLUSTERED(Group_ID ASC, GroupName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[PERMISSION] ADD CONSTRAINT [PK_TASK] PRIMARY KEY CLUSTERED(PermissionID ASC, PermissionGroup ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[USER] ADD CONSTRAINT [PK_USER] PRIMARY KEY CLUSTERED(User_ID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[USER_GROUPS] ADD CONSTRAINT [PK_USER_GROUPS] PRIMARY KEY CLUSTERED(UserID ASC, GroupID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[VARIABLES] ADD CONSTRAINT [PK_VARIABLESXX] PRIMARY KEY CLUSTERED(sKey ASC, sSubKey ASC, sRegUser ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 

commit
'

exec(@cmd2)

Goto ReturnToLoop

Update_HistDB:

print 'Starting update of ' + @dbname + '...'

set @cmd2='USE ' + @dbname + ';'

-- Create any missing Project tables
set @cmd2=@cmd2 +

'begin transaction

if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[CodeID] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (255) NULL ,
	[CodeOver] [nvarchar] (50) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_CODE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[CodeType],
		[CodeID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[CODETYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[CODETYPE] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[CodeType] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (50) NULL ,
	[Description] [nvarchar] (70) NULL ,
	[FieldSize] [smallint] NULL ,
	[Calculate] [nvarchar] (255) NULL ,
	[Tab] [nvarchar] (50) NULL ,
	[Format] [nvarchar] (50) NULL ,
	[FieldType] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_CODETYPE] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[CodeType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[COEFFICIENT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[COEFFICIENT] (
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (50) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_COEFFICIENT_WBS] DEFAULT (N''WBS00''),
	[fCoeffecient] [decimal](28, 14) NULL ,
	[fStdDev] [decimal](28, 14) NULL ,
	[sDate] [nvarchar] (50) NULL ,
	[sSource] [ntext] NULL ,
	CONSTRAINT [PK_COEFFICIENT] PRIMARY KEY  CLUSTERED 
	(
		[sPostID],
		[sPostType],
		[iShipType],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[DESIGNER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[DESIGNER] (
	[sDesignerName] [nvarchar] (50) NOT NULL ,
	[sDesignerAddress] [nvarchar] (50) NULL ,
	[sDesignerPostNumber] [nvarchar] (50) NULL ,
	[sDesignerPostaddress] [nvarchar] (50) NULL ,
	[sDesignerCountry] [nvarchar] (50) NULL ,
	[sDesignerTlf] [nvarchar] (50) NULL ,
	[sDesignerFax] [nvarchar] (50) NULL ,
	[sDesignerMail] [nvarchar] (50) NULL ,
	[sDesignerContactName] [nvarchar] (50) NULL ,
	[sDesignerContactTlf] [nvarchar] (50) NULL ,
	[sDesignerInformation] [ntext] NULL ,
	CONSTRAINT [PK_DESIGNER] PRIMARY KEY  CLUSTERED 
	(
		[sDesignerName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[EQUIPMENT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[EQUIPMENT] (
	[sSupplier] [nvarchar] (50) NOT NULL ,
	[sDescription] [nvarchar] (200) NOT NULL ,
	[sSFINo] [int] NULL ,
	[fDepth] [decimal](28, 14) NULL ,
	[fWidth] [decimal](28, 14) NULL ,
	[fHeight] [decimal](28, 14) NULL ,
	[fPower] [decimal](28, 14) NULL ,
	[iRotSpeed] [smallint] NULL ,
	[fDiameter] [decimal](28, 14) NULL ,
	[fCapasity] [decimal](28, 14) NULL ,
	[fPressure] [decimal](28, 14) NULL ,
	[fCost] [decimal](28, 14) NULL ,
	[fVolume] [decimal](28, 14) NULL ,
	[fWeight] [decimal](28, 14) NULL ,
	[RevDate] [datetime2] NULL ,
	CONSTRAINT [PK_EQUIPMENT] PRIMARY KEY  CLUSTERED 
	(
		[sSupplier],
		[sDescription]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[ITEM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[ITEM] (
	[ProjectID] [nvarchar] (50) NOT NULL ,
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[ItemNo] [nvarchar] (50) NOT NULL ,
	[Description] [nvarchar] (250) NULL ,
	[RegUser] [nvarchar] (255) NULL ,
	[RegDate] [datetime2] NULL ,
	[NoOff] [decimal](28, 14) NULL ,
	[Factor] [decimal](28, 14) NULL ,
	[Length] [decimal](28, 14) NULL ,
	[Width] [decimal](28, 14) NULL ,
	[UnitWeight] [decimal](28, 14) NULL ,
	[Weight] [decimal](28, 14) NULL ,
	[VCG] [decimal](28, 14) NULL ,
	[LCG] [decimal](28, 14) NULL ,
	[TCG] [decimal](28, 14) NULL ,
	[VCG_min] [decimal](28, 14) NULL ,
	[VCG_max] [decimal](28, 14) NULL ,
	[LCG_min] [decimal](28, 14) NULL ,
	[LCG_max] [decimal](28, 14) NULL ,
	[TCG_min] [decimal](28, 14) NULL ,
	[TCG_max] [decimal](28, 14) NULL ,
	[C01] [nvarchar] (255) NULL ,
	[C02] [nvarchar] (255) NULL ,
	[C03] [nvarchar] (255) NULL ,
	[C04] [nvarchar] (255) NULL ,
	[C05] [nvarchar] (255) NULL ,
	[C06] [nvarchar] (255) NULL ,
	[C07] [nvarchar] (255) NULL ,
	[C08] [nvarchar] (255) NULL ,
	[C09] [nvarchar] (255) NULL ,
	[C10] [nvarchar] (255) NULL ,
	[C11] [nvarchar] (255) NULL ,
	[C12] [nvarchar] (255) NULL ,
	[C13] [nvarchar] (255) NULL ,
	[C14] [nvarchar] (255) NULL ,
	[C15] [nvarchar] (255) NULL ,
	[C16] [nvarchar] (255) NULL ,
	[C17] [nvarchar] (255) NULL ,
	[C18] [nvarchar] (255) NULL ,
	[C19] [nvarchar] (255) NULL ,
	[C20] [nvarchar] (255) NULL ,
	[C21] [nvarchar] (255) NULL ,
	[C22] [nvarchar] (255) NULL ,
	[C23] [nvarchar] (255) NULL ,
	[C24] [nvarchar] (255) NULL ,
	[C25] [nvarchar] (255) NULL ,
	[C26] [nvarchar] (255) NULL ,
	[C27] [nvarchar] (255) NULL ,
	[C28] [nvarchar] (255) NULL ,
	[C29] [nvarchar] (255) NULL ,
	[C30] [nvarchar] (255) NULL ,
	[C31] [nvarchar] (255) NULL ,
	[C32] [nvarchar] (255) NULL ,
	[C33] [nvarchar] (255) NULL ,
	[C34] [nvarchar] (255) NULL ,
	[C35] [nvarchar] (255) NULL ,
	[C36] [nvarchar] (255) NULL ,
	[C37] [nvarchar] (255) NULL ,
	[C38] [nvarchar] (255) NULL ,
	[C39] [nvarchar] (255) NULL ,
	[C40] [nvarchar] (255) NULL ,
	[C41] [nvarchar] (255) NULL ,
	[C42] [nvarchar] (255) NULL ,
	[C43] [nvarchar] (255) NULL ,
	[C44] [nvarchar] (255) NULL ,
	[C45] [nvarchar] (255) NULL ,
	[C46] [nvarchar] (255) NULL ,
	[C47] [nvarchar] (255) NULL ,
	[C48] [nvarchar] (255) NULL ,
	[C49] [nvarchar] (255) NULL ,
	[C50] [nvarchar] (255) NULL ,
	[C51] [nvarchar] (255) NULL ,
	[C52] [nvarchar] (255) NULL ,
	[C53] [nvarchar] (255) NULL ,
	[C54] [nvarchar] (255) NULL ,
	[C55] [nvarchar] (255) NULL ,
	[C56] [nvarchar] (255) NULL ,
	[C57] [nvarchar] (255) NULL ,
	[C58] [nvarchar] (255) NULL ,
	[C59] [nvarchar] (255) NULL ,
	[C60] [nvarchar] (255) NULL ,
	[C61] [nvarchar] (255) NULL ,
	[C62] [nvarchar] (255) NULL ,
	[C63] [nvarchar] (255) NULL ,
	[C64] [nvarchar] (255) NULL ,
	[C65] [nvarchar] (255) NULL ,
	[C66] [nvarchar] (255) NULL ,
	[C67] [nvarchar] (255) NULL ,
	[C68] [nvarchar] (255) NULL ,
	[C69] [nvarchar] (255) NULL ,
	[C70] [nvarchar] (255) NULL ,
	[C71] [nvarchar] (255) NULL ,
	[C72] [nvarchar] (255) NULL ,
	[C73] [nvarchar] (255) NULL ,
	[C74] [nvarchar] (255) NULL ,
	[C75] [nvarchar] (255) NULL ,
	[C76] [nvarchar] (255) NULL ,
	[C77] [nvarchar] (255) NULL ,
	[C78] [nvarchar] (255) NULL ,
	[C79] [nvarchar] (255) NULL ,
	[C80] [nvarchar] (255) NULL ,
	[C81] [nvarchar] (255) NULL ,
	[C82] [nvarchar] (255) NULL ,
	[C83] [nvarchar] (255) NULL ,
	[C84] [nvarchar] (255) NULL ,
	[C85] [nvarchar] (255) NULL ,
	[C86] [nvarchar] (255) NULL ,
	[C87] [nvarchar] (255) NULL ,
	[C88] [nvarchar] (255) NULL ,
	[C89] [nvarchar] (255) NULL ,
	[C90] [nvarchar] (255) NULL ,
	[C91] [nvarchar] (255) NULL ,
	[C92] [nvarchar] (255) NULL ,
	[C93] [nvarchar] (255) NULL ,
	[C94] [nvarchar] (255) NULL ,
	[C95] [nvarchar] (255) NULL ,
	[C96] [nvarchar] (255) NULL ,
	[C97] [nvarchar] (255) NULL ,
	[C98] [nvarchar] (255) NULL ,
	[C99] [nvarchar] (255) NULL ,
	[EditUser] [nvarchar] (255) NULL ,
	[EditDate] [datetime2] NULL ,
	[UniqueNo] [int] IDENTITY (1, 1) NOT NULL ,
	CONSTRAINT [PK_ITEM] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID],
		[WgtGrp],
		[ItemNo]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MAINCOEFF]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MAINCOEFF] (
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[iShipType] [smallint] NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_MAINCOEFF_WBS] DEFAULT (N''WBS00''),
	[fCoeffecient] [decimal](28, 14) NULL ,
	[fStdDev] [decimal](28, 14) NULL ,
	[sDate] [nvarchar] (50) NULL ,
	[sSource] [ntext] NULL ,
	CONSTRAINT [PK_MAINCOEFF] PRIMARY KEY  CLUSTERED 
	(
		[sPostID],
		[sPostType],
		[iShipType],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[MET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[MET] (
	[SystemID] [nvarchar] (50) NOT NULL ,
	[Method] [nvarchar] (50) NOT NULL ,
	[ID] [nvarchar] (50) NOT NULL ,
	[Type] [nvarchar] (50) NOT NULL ,
	[PlotParam] [nvarchar] (50) NULL ,
	[EstParam1] [nvarchar] (50) NULL ,
	[EstPower1] [decimal](28, 14) NULL ,
	[EstParam2] [nvarchar] (50) NULL ,
	[EstPower2] [decimal](28, 14) NULL ,
	[EstParam3] [nvarchar] (50) NULL ,
	[EstPower3] [decimal](28, 14) NULL ,
	[EstParam4] [nvarchar] (50) NULL ,
	[EstPower4] [decimal](28, 14) NULL ,
	[LocalCoG] [bit] NULL ,
	[RelativeCoG] [bit] NULL ,
	[bAbsYAxis] [bit] NULL ,
	CONSTRAINT [PK_MET] PRIMARY KEY  CLUSTERED 
	(
		[SystemID],
		[Method],
		[ID],
		[Type]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[OWNER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[OWNER] (
	[sOwner] [nvarchar] (50) NOT NULL ,
	[sOwnerAddress] [nvarchar] (50) NULL ,
	[sOwnerPostNumber] [nvarchar] (50) NULL ,
	[sOwnerPostaddress] [nvarchar] (50) NULL ,
	[sOwnerCountry] [nvarchar] (50) NULL ,
	[sOwnerTlf] [nvarchar] (50) NULL ,
	[sOwnerFax] [nvarchar] (50) NULL ,
	[sOwnerMail] [nvarchar] (50) NULL ,
	[sOwnerContactName] [nvarchar] (50) NULL ,
	[sOwnerContactTlf] [nvarchar] (50) NULL ,
	[sOwnerInformation] [ntext] NULL ,
	CONSTRAINT [PK_OWNER] PRIMARY KEY  CLUSTERED 
	(
		[sOwner]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_LINK]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PARAM_LINK](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](255) NULL,
 CONSTRAINT [PK_PARAM_LINK] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[ParamID] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PARAM_MEMO]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN

CREATE TABLE [dbo].[PARAM_MEMO](
	[ProjectID] [nvarchar](50) NOT NULL,
	[ParamID] [nvarchar](50) NOT NULL,
	[Value] [nvarchar](max) NULL,
 CONSTRAINT [PK_PARAM_TEXT] PRIMARY KEY CLUSTERED 
(
	[ProjectID] ASC,
	[ParamID] ASC
	)  ON [PRIMARY] 
) ON [PRIMARY]
END



if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_MET]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_MET] (
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sPostType] [nvarchar] (20) NOT NULL ,
	[sPlottValue] [nvarchar] (50) NULL ,
	[sEstValue1] [nvarchar] (50) NULL ,
	[fEstPow1] [decimal](28, 14) NULL ,
	[sEstValue2] [nvarchar] (50) NULL ,
	[fEstPow2] [decimal](28, 14) NULL ,
	[sEstValue3] [nvarchar] (50) NULL ,
	[fEstPow3] [decimal](28, 14) NULL ,
	[sEstValue4] [nvarchar] (50) NULL ,
	[fEstPow4] [decimal](28, 14) NULL ,
	[sCompAtt1] [nvarchar] (50) NULL ,
	[sCompAtt2] [nvarchar] (50) NULL ,
	[sCompAtt3] [nvarchar] (50) NULL ,
	[sCompAtt4] [nvarchar] (50) NULL ,
	[sCompAtt5] [nvarchar] (50) NULL ,
	[sCompAtt6] [nvarchar] (50) NULL ,
	[sCompAtt7] [nvarchar] (50) NULL ,
	[sCompAtt8] [nvarchar] (50) NULL ,
	[sCompAtt9] [nvarchar] (50) NULL ,
	[sCompAtt10] [nvarchar] (50) NULL ,
	[LocalCoG] [bit] NULL ,
	CONSTRAINT [PK_POST_MET] PRIMARY KEY  CLUSTERED 
	(
		[sPostID],
		[sPostType]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[POST_SEARCH]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[POST_SEARCH] (
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sIndex] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_POST_SEARCH] PRIMARY KEY  CLUSTERED 
	(
		[sPostID],
		[sIndex]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[PROJECT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[PROJECT] (
	[sProjectID] [nvarchar] (50) NOT NULL ,
	[sDescription] [ntext] NULL ,
	CONSTRAINT [PK_PROJECT] PRIMARY KEY  CLUSTERED 
	(
		[sProjectID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REGRESSION_COMP_PARAM]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REGRESSION_COMP_PARAM] (
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[WgtGrpType] [nvarchar] (50) NOT NULL ,
	[Title] [nvarchar] (255) NOT NULL ,
	[Sort] [nvarchar] (10) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_REGRESSION_COMP_PARAM_WBS] DEFAULT (N''WBS00''),
	[ID] [nvarchar] (50) NULL ,
	[Min] [nvarchar] (50) NULL ,
	[Max] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_REGRESSION_COMP_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[WgtGrp],
		[WgtGrpType],
		[Title],
		[Sort],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[REGRESSIONLINE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[REGRESSIONLINE] (
	[WgtGrp] [nvarchar] (50) NOT NULL ,
	[WgtGrpType] [nvarchar] (10) NOT NULL ,
	[Title] [nvarchar] (255) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_REGRESSIONLINE_WBS] DEFAULT (N''WBS00''),
	[Color] [nvarchar] (50) NULL ,
	[LineType] [nvarchar] (50) NULL ,
	[LineBasis] [nvarchar] (255) NULL ,
	[StdDev] [nvarchar] (255) NULL ,
	[Observations] [smallint] NULL ,
	[Coefficient01] [decimal](28, 14) NULL ,
	[Coefficient02] [decimal](28, 14) NULL ,
	[PlotParam] [nvarchar] (50) NULL ,
	[PlotParamMin] [decimal](28, 14) NULL ,
	[PlotParamMax] [decimal](28, 14) NULL ,
	[EstParam01] [nvarchar] (50) NULL ,
	[EstPower01] [decimal](28, 14) NULL ,
	[EstParam02] [nvarchar] (50) NULL ,
	[EstPower02] [decimal](28, 14) NULL ,
	[EstParam03] [nvarchar] (50) NULL ,
	[EstPower03] [decimal](28, 14) NULL ,
	[EstParam04] [nvarchar] (50) NULL ,
	[EstPower04] [decimal](28, 14) NULL ,
	[EstParam01Min] [decimal](28, 14) NULL ,
	[EstParam01Max] [decimal](28, 14) NULL ,
	[EstParam02Min] [decimal](28, 14) NULL ,
	[EstParam02Max] [decimal](28, 14) NULL ,
	[EstParam03Min] [decimal](28, 14) NULL ,
	[EstParam03Max] [decimal](28, 14) NULL ,
	[EstParam04Min] [decimal](28, 14) NULL ,
	[EstParam04Max] [decimal](28, 14) NULL ,
	[CompParam01] [nvarchar] (50) NULL ,
	[CompParam02] [nvarchar] (50) NULL ,
	[CompParam03] [nvarchar] (50) NULL ,
	[CompParam04] [nvarchar] (50) NULL ,
	[CompParam05] [nvarchar] (50) NULL ,
	[CompParam06] [nvarchar] (50) NULL ,
	[CompParam07] [nvarchar] (50) NULL ,
	[CompParam08] [nvarchar] (50) NULL ,
	[CompParam09] [nvarchar] (50) NULL ,
	[CompParam10] [nvarchar] (50) NULL ,
	[CompParam01Min] [nvarchar] (50) NULL ,
	[CompParam01Max] [nvarchar] (50) NULL ,
	[CompParam02Min] [nvarchar] (50) NULL ,
	[CompParam02Max] [nvarchar] (50) NULL ,
	[CompParam03Min] [nvarchar] (50) NULL ,
	[CompParam03Max] [nvarchar] (50) NULL ,
	[CompParam04Min] [nvarchar] (50) NULL ,
	[CompParam04Max] [nvarchar] (50) NULL ,
	[CompParam05Min] [nvarchar] (50) NULL ,
	[CompParam05Max] [nvarchar] (50) NULL ,
	[CompParam06Min] [nvarchar] (50) NULL ,
	[CompParam06Max] [nvarchar] (50) NULL ,
	[CompParam07Min] [nvarchar] (50) NULL ,
	[CompParam07Max] [nvarchar] (50) NULL ,
	[CompParam08Min] [nvarchar] (50) NULL ,
	[CompParam08Max] [nvarchar] (50) NULL ,
	[CompParam09Min] [nvarchar] (50) NULL ,
	[CompParam09Max] [nvarchar] (50) NULL ,
	[CompParam10Min] [nvarchar] (50) NULL ,
	[CompParam10Max] [nvarchar] (50) NULL ,
	CONSTRAINT [PK_REGRESSIONLINE] PRIMARY KEY  CLUSTERED 
	(
		[WgtGrp],
		[WgtGrpType],
		[Title],
		[WBS]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP] (
	[sShipID] [nvarchar] (50) NOT NULL ,
	[iShipType] [smallint] NULL ,
	[sShipName] [nvarchar] (50) NULL ,
	[sShipOwner] [nvarchar] (255) NULL ,
	[iDeliveringYear] [smallint] NULL ,
	[sRegistrationDate] [nvarchar] (50) NULL ,
	[sRegistrationPerson] [nvarchar] (255) NULL ,
	[sGAFileName] [nvarchar] (255) NULL ,
	[sShipDesigner] [nvarchar] (255) NULL ,
	[sShipYard] [nvarchar] (255) NULL ,
	[sFrameSpacing] [nvarchar] (255) NULL ,
	[sSectionFile] [nvarchar] (255) NULL ,
	[sDesign] [nvarchar] (255) NULL ,
	[sClass] [nvarchar] (255) NULL ,
	[sComment] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_SHIP] PRIMARY KEY  CLUSTERED 
	(
		[sShipID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_FATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_FATT] (
	[sShipID] [nvarchar] (50) NOT NULL ,
	[sFAttID] [nvarchar] (50) NOT NULL ,
	[fFAttValue] [decimal](28, 14) NULL ,
	CONSTRAINT [PK_SHIP_FATT] PRIMARY KEY  CLUSTERED 
	(
		[sShipID],
		[sFAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_IATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_IATT] (
	[sShipID] [nvarchar] (50) NOT NULL ,
	[sIAttID] [nvarchar] (50) NOT NULL ,
	[fValue] [smallint] NULL ,
	CONSTRAINT [PK_SHIP_IATT] PRIMARY KEY  CLUSTERED 
	(
		[sShipID],
		[sIAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_POST]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_POST] (
	[sShipID] [nvarchar] (50) NOT NULL ,
	[sPostID] [nvarchar] (50) NOT NULL ,
	[sType] [nvarchar] (20) NOT NULL ,
	[WBS] [nvarchar] (50) NOT NULL CONSTRAINT [DF_SHIP_POST_WBS] DEFAULT (N''WBS00''),
	[fValue] [decimal](28, 14) NULL ,
	[Filter] [nvarchar] (150)  NOT NULL ,

	CONSTRAINT [PK_SHIP_POST] PRIMARY KEY  CLUSTERED 
	(
		[sShipID],
		[sPostID],
		[sType],
		[WBS],
		[Filter]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIP_TATT]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIP_TATT] (
	[sShipID] [nvarchar] (50) NOT NULL ,
	[sTAttID] [nvarchar] (50) NOT NULL ,
	[sTAttValue] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_SHIP_TATT] PRIMARY KEY  CLUSTERED 
	(
		[sShipID],
		[sTAttID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SHIPTYPE]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SHIPTYPE] (
	[iSubShipTypeID] [smallint] NOT NULL ,
	[sShipTypeName] [nvarchar] (50) NULL ,
	[iShipTypeID] [smallint] NULL ,
	CONSTRAINT [PK_SHIPTYPE] PRIMARY KEY  CLUSTERED 
	(
		[iSubShipTypeID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[STIFFTYPES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[STIFFTYPES] (
	[sStiffName] [nvarchar] (50) NOT NULL ,
	[iStiffType] [smallint] NULL ,
	[fSpecificWeight] [decimal](28, 14) NULL ,
	[sStiffDescription] [nvarchar] (100) NULL ,
	CONSTRAINT [PK_STIFFTYPES] PRIMARY KEY  CLUSTERED 
	(
		[sStiffName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[SUPPLIER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[SUPPLIER] (
	[sSupName] [nvarchar] (50) NOT NULL ,
	[sSupAddress] [nvarchar] (50) NULL ,
	[sSupPostNumber] [nvarchar] (50) NULL ,
	[sSupPostaddress] [nvarchar] (50) NULL ,
	[sSupCountry] [nvarchar] (50) NULL ,
	[sSupTlf] [nvarchar] (50) NULL ,
	[sSupFax] [nvarchar] (50) NULL ,
	[sSupMail] [nvarchar] (50) NULL ,
	[sSupContactName] [nvarchar] (50) NULL ,
	[sSupContactTlf] [nvarchar] (50) NULL ,
	[sSupInformation] [ntext] NULL ,
	CONSTRAINT [PK_SUPPLIER] PRIMARY KEY  CLUSTERED 
	(
		[sSupName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[USER]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[USER] (
	[sUser] [nvarchar] (50) NOT NULL ,
	[sUserAddress] [nvarchar] (50) NULL ,
	[sUserPostNumber] [nvarchar] (50) NULL ,
	[sUserPostaddress] [nvarchar] (50) NULL ,
	[sUserCountry] [nvarchar] (50) NULL ,
	[sUserTlf] [nvarchar] (50) NULL ,
	[sUserFax] [nvarchar] (50) NULL ,
	[sUserMail] [nvarchar] (50) NULL ,
	[sUserWork] [nvarchar] (50) NULL ,
	[sUserWorkTlf] [nvarchar] (50) NULL ,
	[sUserInformation] [ntext] NULL ,
	CONSTRAINT [PK_USER] PRIMARY KEY  CLUSTERED 
	(
		[sUser]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VARIABLES]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VARIABLES] (
	[sKey] [nvarchar] (150) NOT NULL ,
	[sSubKey] [nvarchar] (50) NOT NULL ,
	[sValue] [nvarchar] (255) NULL ,
	CONSTRAINT [PK_VARIABLES] PRIMARY KEY  CLUSTERED 
	(
		[sKey],
		[sSubKey]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END




if not exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[YARD]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
 BEGIN
CREATE TABLE [dbo].[YARD] (
	[sShipYard] [nvarchar] (50) NOT NULL ,
	[sYardAddress] [nvarchar] (50) NULL ,
	[sYardPostNumber] [nvarchar] (50) NULL ,
	[sYardPostaddress] [nvarchar] (50) NULL ,
	[sYardCountry] [nvarchar] (50) NULL ,
	[sYardTlf] [nvarchar] (50) NULL ,
	[sYardFax] [nvarchar] (50) NULL ,
	[sYardMail] [nvarchar] (50) NULL ,
	[sYardContactName] [nvarchar] (50) NULL ,
	[sYardContactTlf] [nvarchar] (50) NULL ,
	[sYardInformation] [ntext] NULL ,
	CONSTRAINT [PK_YARD] PRIMARY KEY  CLUSTERED 
	(
		[sShipYard]
	)  ON [PRIMARY] 
) ON [PRIMARY]
END


commit
'

exec(@cmd2)
print 'A'

set @cmd2='USE ' + @dbname + ';'


-- Remove defaults
set @cmd2=@cmd2 +
'
begin transaction

DECLARE @object_id int;
DECLARE @parent_object_id int;
DECLARE @TSQL NVARCHAR(4000);
DECLARE @COLUMN_NAME SYSNAME;
DECLARE @is_descending_key bit;
DECLARE @col1 BIT;
DECLARE @action CHAR(6);

SET @action = ''DROP'';

DECLARE DCcursor CURSOR  FOR
select dc.object_id, dc.parent_object_id
    from  sys.default_constraints dc
    inner  join sys.objects o
    on dc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(dc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(dc.parent_object_id));

OPEN DCcursor;
FETCH NEXT  FROM DCcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM DCcursor INTO @object_id, @parent_object_id;

END;

CLOSE DCcursor;
DEALLOCATE DCcursor;


DECLARE FKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.foreign_keys kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));  

OPEN FKcursor;
FETCH NEXT  FROM FKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
    EXEC(@TSQL);
    FETCH  NEXT FROM FKcursor INTO @object_id, @parent_object_id;

END;

CLOSE FKcursor;
DEALLOCATE FKcursor;

DECLARE PKcursor CURSOR  FOR
    select kc.object_id, kc.parent_object_id
    from  sys.key_constraints kc
    inner  join sys.objects o
    on kc.parent_object_id = o.object_id
    where kc.type = ''PK'' and o.type = ''U''
    and o.name not  in (''dtproperties'',''sysdiagrams'')  -- not true user tables
    order  by QUOTENAME(OBJECT_SCHEMA_NAME(kc.parent_object_id))
            ,QUOTENAME(OBJECT_NAME(kc.parent_object_id));

OPEN PKcursor;


FETCH NEXT  FROM PKcursor  INTO @object_id, @parent_object_id;

WHILE @@FETCH_STATUS = 0
BEGIN
        SET @TSQL  = ''ALTER TABLE ''
                  + QUOTENAME(OBJECT_SCHEMA_NAME(@parent_object_id))
                  + ''.'' + QUOTENAME(OBJECT_NAME(@parent_object_id))
                  + '' DROP CONSTRAINT '' + QUOTENAME(OBJECT_NAME(@object_id)) 
                  
		EXEC(@TSQL);
    
    FETCH  NEXT FROM PKcursor INTO @object_id, @parent_object_id;
END;

CLOSE PKcursor;
DEALLOCATE PKcursor;
commit
'

exec(@cmd2)
print 'B'

set @cmd2='USE ' + @dbname + ';'


-- Check and adjust columns
set @cmd2=@cmd2 +
'
begin transaction
IF COL_LENGTH(''COEFFICIENT'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COEFFICIENT'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [sPostType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [sPostType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COEFFICIENT'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''COEFFICIENT'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_COEFFICIENT_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''COEFFICIENT'',''fCoeffecient'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [fCoeffecient] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [fCoeffecient] decimal(28, 14)  END;
IF COL_LENGTH(''COEFFICIENT'',''fStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [fStdDev] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [fStdDev] decimal(28, 14)  END;
IF COL_LENGTH(''COEFFICIENT'',''sDate'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [sDate] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [sDate] nvarchar(50)  END;
IF COL_LENGTH(''COEFFICIENT'',''sSource'') IS NULL BEGIN ALTER TABLE [dbo].[COEFFICIENT] ADD [sSource] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[COEFFICIENT] ALTER COLUMN [sSource] ntext  END;
IF COL_LENGTH(''MAINCOEFF'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MAINCOEFF'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''MAINCOEFF'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [iShipType] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [iShipType] smallint NOT NULL  END;
IF COL_LENGTH(''MAINCOEFF'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_MAINCOEFF_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MAINCOEFF'',''fCoeffecient'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [fCoeffecient] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [fCoeffecient] decimal(28, 14)  END;
IF COL_LENGTH(''MAINCOEFF'',''fStdDev'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [fStdDev] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [fStdDev] decimal(28, 14)  END;
IF COL_LENGTH(''MAINCOEFF'',''sDate'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [sDate] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [sDate] nvarchar(50)  END;
IF COL_LENGTH(''MAINCOEFF'',''sSource'') IS NULL BEGIN ALTER TABLE [dbo].[MAINCOEFF] ADD [sSource] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[MAINCOEFF] ALTER COLUMN [sSource] ntext  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''WgtGrpType'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [WgtGrpType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [WgtGrpType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [Title] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [Title] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''Sort'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [Sort] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [Sort] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_REGRESSION_COMP_PARAM_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''ID'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [ID] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [ID] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSION_COMP_PARAM'',''Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD [Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ALTER COLUMN [Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSIONLINE'',''WgtGrpType'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [WgtGrpType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [WgtGrpType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSIONLINE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [Title] nvarchar(255) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [Title] nvarchar(255) NOT NULL  END;
IF COL_LENGTH(''REGRESSIONLINE'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_REGRESSIONLINE_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''REGRESSIONLINE'',''Color'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [Color] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [Color] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''LineType'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [LineType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [LineType] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''LineBasis'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [LineBasis] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [LineBasis] nvarchar(255)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''StdDev'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [StdDev] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [StdDev] nvarchar(255)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''Observations'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [Observations] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [Observations] smallint  END;
IF COL_LENGTH(''REGRESSIONLINE'',''Coefficient01'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [Coefficient01] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [Coefficient01] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''Coefficient02'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [Coefficient02] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [Coefficient02] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''PlotParam'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [PlotParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [PlotParam] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''PlotParamMin'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [PlotParamMin] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [PlotParamMin] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''PlotParamMax'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [PlotParamMax] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [PlotParamMax] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam01'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam01] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam01] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstPower01'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstPower01] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstPower01] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam02'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam02] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam02] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstPower02'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstPower02] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstPower02] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam03'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam03] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam03] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstPower03'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstPower03] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstPower03] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam04'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam04] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam04] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstPower04'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstPower04] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstPower04] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam01Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam01Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam01Min] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam01Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam01Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam01Max] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam02Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam02Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam02Min] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam02Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam02Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam02Max] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam03Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam03Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam03Min] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam03Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam03Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam03Max] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam04Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam04Min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam04Min] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''EstParam04Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [EstParam04Max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [EstParam04Max] decimal(28,14)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam01'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam01] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam01] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam02'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam02] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam02] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam03'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam03] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam03] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam04'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam04] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam04] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam05'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam05] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam05] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam06'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam06] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam06] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam07'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam07] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam07] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam08'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam08] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam08] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam09'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam09] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam09] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam10'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam10] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam10] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam01Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam01Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam01Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam01Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam01Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam01Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam02Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam02Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam02Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam02Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam02Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam02Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam03Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam03Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam03Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam03Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam03Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam03Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam04Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam04Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam04Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam04Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam04Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam04Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam05Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam05Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam05Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam05Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam05Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam05Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam06Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam06Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam06Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam06Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam06Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam06Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam07Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam07Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam07Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam07Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam07Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam07Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam08Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam08Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam08Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam08Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam08Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam08Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam09Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam09Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam09Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam09Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam09Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam09Max] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam10Min'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam10Min] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam10Min] nvarchar(50)  END;
IF COL_LENGTH(''REGRESSIONLINE'',''CompParam10Max'') IS NULL BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ADD [CompParam10Max] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[REGRESSIONLINE] ALTER COLUMN [CompParam10Max] nvarchar(50)  END;
IF COL_LENGTH(''CODE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''CodeID'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Description] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Description] nvarchar(255)  END;
IF COL_LENGTH(''CODE'',''CodeOver'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [CodeOver] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [CodeOver] nvarchar(50)  END;
IF COL_LENGTH(''CODE'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [VCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [LCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_min] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [TCG_max] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [Factor] decimal(28,14)  END;
IF COL_LENGTH(''CODE'',''UnitWeight'') IS NULL BEGIN ALTER TABLE [dbo].[CODE] ADD [UnitWeight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODE] ALTER COLUMN [UnitWeight] decimal(28,14)  END;
IF COL_LENGTH(''CODETYPE'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_CODETYPE_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODETYPE'',''CodeType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [CodeType] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [CodeType] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''CODETYPE'',''Title'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Title] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Title] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Description] nvarchar(70) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Description] nvarchar(70)  END;
IF COL_LENGTH(''CODETYPE'',''FieldSize'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldSize] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldSize] smallint  END;
IF COL_LENGTH(''CODETYPE'',''Calculate'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Calculate] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Calculate] nvarchar(255)  END;
IF COL_LENGTH(''CODETYPE'',''Tab'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Tab] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Tab] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''Format'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [Format] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [Format] nvarchar(50)  END;
IF COL_LENGTH(''CODETYPE'',''FieldType'') IS NULL BEGIN ALTER TABLE [dbo].[CODETYPE] ADD [FieldType] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[CODETYPE] ALTER COLUMN [FieldType] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerName'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerAddress'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerAddress] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerCountry'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerCountry] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerTlf'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerTlf] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerFax'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerFax] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerMail'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerMail] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerContactName'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerContactName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerContactName] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerContactTlf'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerContactTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerContactTlf] nvarchar(50)  END;
IF COL_LENGTH(''DESIGNER'',''sDesignerInformation'') IS NULL BEGIN ALTER TABLE [dbo].[DESIGNER] ADD [sDesignerInformation] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[DESIGNER] ALTER COLUMN [sDesignerInformation] ntext  END;
IF COL_LENGTH(''EQUIPMENT'',''sSupplier'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [sSupplier] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [sSupplier] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''EQUIPMENT'',''sDescription'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [sDescription] nvarchar(200) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [sDescription] nvarchar(200) NOT NULL  END;
IF COL_LENGTH(''EQUIPMENT'',''sSFINo'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [sSFINo] int NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [sSFINo] int  END;
IF COL_LENGTH(''EQUIPMENT'',''fDepth'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fDepth] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fDepth] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fWidth'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fWidth] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fWidth] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fHeight'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fHeight] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fHeight] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fPower'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fPower] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fPower] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''iRotSpeed'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [iRotSpeed] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [iRotSpeed] smallint  END;
IF COL_LENGTH(''EQUIPMENT'',''fDiameter'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fDiameter] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fDiameter] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fCapasity'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fCapasity] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fCapasity] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fPressure'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fPressure] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fPressure] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fCost'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fCost] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fCost] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fVolume'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fVolume] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fVolume] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''fWeight'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [fWeight] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [fWeight] decimal(28, 14)  END;
IF COL_LENGTH(''EQUIPMENT'',''RevDate'') IS NULL BEGIN ALTER TABLE [dbo].[EQUIPMENT] ADD [RevDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[EQUIPMENT] ALTER COLUMN [RevDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''ProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [ProjectID] nvarchar(50) NOT NULL CONSTRAINT [DF_ITEM_ProjectID] DEFAULT (N''Master'') END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [ProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM'',''WgtGrp'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [WgtGrp] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [WgtGrp] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM'',''ItemNo'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [ItemNo] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [ItemNo] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''ITEM'',''Description'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [Description] nvarchar(250) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [Description] nvarchar(250)  END;
IF COL_LENGTH(''ITEM'',''RegUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [RegUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [RegUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''RegDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [RegDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [RegDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''NoOff'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [NoOff] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [NoOff] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''Factor'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [Factor] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [Factor] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''Length'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [Length] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [Length] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''Width'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [Width] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [Width] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''UnitWeight'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [UnitWeight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [UnitWeight] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''Weight'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [Weight] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [Weight] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''VCG'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [VCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [VCG] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''LCG'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [LCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [LCG] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''TCG'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [TCG] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [TCG] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''VCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [VCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [VCG_min] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''VCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [VCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [VCG_max] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''LCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [LCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [LCG_min] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''LCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [LCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [LCG_max] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''TCG_min'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [TCG_min] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [TCG_min] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''TCG_max'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [TCG_max] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [TCG_max] decimal(28,14)  END;
IF COL_LENGTH(''ITEM'',''C01'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C01] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C01] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C02'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C02] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C02] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C03'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C03] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C03] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C04'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C04] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C04] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C05'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C05] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C05] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C06'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C06] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C06] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C07'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C07] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C07] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C08'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C08] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C08] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C09'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C09] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C09] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C10'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C10] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C10] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C11'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C11] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C11] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C12'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C12] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C12] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C13'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C13] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C13] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C14'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C14] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C14] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C15'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C15] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C15] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C16'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C16] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C16] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C17'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C17] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C17] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C18'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C18] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C18] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C19'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C19] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C19] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C20'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C20] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C20] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C21'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C21] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C21] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C22'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C22] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C22] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C23'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C23] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C23] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C24'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C24] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C24] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C25'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C25] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C25] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C26'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C26] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C26] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C27'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C27] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C27] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C28'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C28] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C28] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C29'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C29] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C29] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C30'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C30] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C30] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C31'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C31] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C31] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C32'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C32] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C32] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C33'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C33] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C33] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C34'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C34] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C34] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C35'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C35] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C35] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C36'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C36] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C36] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C37'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C37] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C37] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C38'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C38] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C38] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C39'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C39] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C39] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C40'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C40] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C40] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C41'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C41] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C41] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C42'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C42] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C42] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C43'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C43] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C43] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C44'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C44] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C44] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C45'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C45] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C45] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C46'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C46] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C46] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C47'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C47] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C47] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C48'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C48] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C48] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C49'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C49] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C49] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C50'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C50] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C50] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C51'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C51] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C51] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C52'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C52] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C52] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C53'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C53] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C53] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C54'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C54] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C54] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C55'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C55] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C55] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C56'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C56] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C56] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C57'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C57] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C57] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C58'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C58] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C58] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C59'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C59] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C59] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C60'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C60] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C60] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C61'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C61] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C61] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C62'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C62] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C62] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C63'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C63] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C63] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C64'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C64] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C64] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C65'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C65] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C65] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C66'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C66] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C66] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C67'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C67] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C67] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C68'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C68] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C68] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C69'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C69] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C69] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C70'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C70] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C70] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C71'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C71] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C71] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C72'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C72] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C72] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C73'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C73] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C73] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C74'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C74] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C74] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C75'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C75] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C75] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C76'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C76] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C76] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C77'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C77] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C77] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C78'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C78] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C78] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C79'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C79] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C79] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C80'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C80] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C80] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C81'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C81] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C81] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C82'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C82] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C82] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C83'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C83] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C83] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C84'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C84] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C84] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C85'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C85] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C85] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C86'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C86] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C86] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C87'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C87] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C87] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C88'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C88] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C88] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C89'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C89] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C89] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C90'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C90] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C90] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C91'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C91] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C91] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C92'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C92] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C92] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C93'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C93] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C93] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C94'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C94] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C94] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C95'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C95] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C95] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C96'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C96] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C96] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C97'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C97] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C97] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C98'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C98] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C98] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''C99'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [C99] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [C99] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''EditUser'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [EditUser] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [EditUser] nvarchar(255)  END;
IF COL_LENGTH(''ITEM'',''EditDate'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [EditDate] datetime2 NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [EditDate] datetime2  END;
IF COL_LENGTH(''ITEM'',''UniqueNo'') IS NULL BEGIN ALTER TABLE [dbo].[ITEM] ADD [UniqueNo] int NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[ITEM] ALTER COLUMN [UniqueNo] int NOT NULL  END;
IF COL_LENGTH(''OWNER'',''sOwner'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwner] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwner] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''OWNER'',''sOwnerAddress'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerAddress] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerCountry'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerCountry] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerTlf'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerTlf] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerFax'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerFax] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerMail'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerMail] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerContactName'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerContactName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerContactName] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerContactTlf'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerContactTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerContactTlf] nvarchar(50)  END;
IF COL_LENGTH(''OWNER'',''sOwnerInformation'') IS NULL BEGIN ALTER TABLE [dbo].[OWNER] ADD [sOwnerInformation] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[OWNER] ALTER COLUMN [sOwnerInformation] ntext  END;
IF COL_LENGTH(''POST_MET'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_MET'',''sPostType'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPostType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPostType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''POST_MET'',''sPlottValue'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sPlottValue] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sPlottValue] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow1] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow1] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow2] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow2] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow3] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow3] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sEstValue4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sEstValue4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sEstValue4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''fEstPow4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [fEstPow4] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [fEstPow4] decimal(28, 14)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt1'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt1] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt2'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt2] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt3'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt3] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt4'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt4] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt5'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt5] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt5] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt6'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt6] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt6] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt7'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt7] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt7] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt8'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt8] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt8] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt9'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt9] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt9] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''sCompAtt10'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [sCompAtt10] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [sCompAtt10] nvarchar(50)  END;
IF COL_LENGTH(''POST_MET'',''LocalCoG'') IS NULL BEGIN ALTER TABLE [dbo].[POST_MET] ADD [LocalCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_MET] ALTER COLUMN [LocalCoG] bit  END;
IF COL_LENGTH(''POST_SEARCH'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SEARCH] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SEARCH] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''POST_SEARCH'',''sIndex'') IS NULL BEGIN ALTER TABLE [dbo].[POST_SEARCH] ADD [sIndex] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[POST_SEARCH] ALTER COLUMN [sIndex] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PROJECT'',''sProjectID'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT] ADD [sProjectID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT] ALTER COLUMN [sProjectID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''PROJECT'',''sDescription'') IS NULL BEGIN ALTER TABLE [dbo].[PROJECT] ADD [sDescription] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[PROJECT] ALTER COLUMN [sDescription] ntext  END;
IF COL_LENGTH(''SHIP'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP'',''iShipType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iShipType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iShipType] smallint  END;
IF COL_LENGTH(''SHIP'',''sShipName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipName] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sShipOwner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipOwner] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipOwner] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''iDeliveringYear'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [iDeliveringYear] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [iDeliveringYear] smallint  END;
IF COL_LENGTH(''SHIP'',''sRegistrationDate'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationDate] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationDate] nvarchar(50)  END;
IF COL_LENGTH(''SHIP'',''sRegistrationPerson'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sRegistrationPerson] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sRegistrationPerson] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sGAFileName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sGAFileName] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sGAFileName] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sShipDesigner'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipDesigner] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipDesigner] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sShipYard'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sShipYard] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sShipYard] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sFrameSpacing'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sFrameSpacing] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sFrameSpacing] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sSectionFile'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sSectionFile] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sSectionFile] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sDesign'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sDesign] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sDesign] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sClass'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sClass] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sClass] nvarchar(255)  END;
IF COL_LENGTH(''SHIP'',''sComment'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP] ADD [sComment] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP] ALTER COLUMN [sComment] nvarchar(255)  END;
IF COL_LENGTH(''SHIP_FATT'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_FATT'',''sFAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [sFAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [sFAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_FATT'',''fFAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_FATT] ADD [fFAttValue] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_FATT] ALTER COLUMN [fFAttValue] decimal(28, 14)  END;
IF COL_LENGTH(''SHIP_IATT'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_IATT'',''sIAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [sIAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [sIAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_IATT'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_IATT] ADD [fValue] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_IATT] ALTER COLUMN [fValue] smallint  END;
IF COL_LENGTH(''SHIP_TATT'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_TATT'',''sTAttValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_TATT] ADD [sTAttValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_TATT] ALTER COLUMN [sTAttValue] nvarchar(255)  END;
IF COL_LENGTH(''SHIPTYPE'',''iSubShipTypeID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [iSubShipTypeID] smallint NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [iSubShipTypeID] smallint NOT NULL  END;
IF COL_LENGTH(''SHIPTYPE'',''sShipTypeName'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [sShipTypeName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [sShipTypeName] nvarchar(50)  END;
IF COL_LENGTH(''SHIPTYPE'',''iShipTypeID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIPTYPE] ADD [iShipTypeID] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIPTYPE] ALTER COLUMN [iShipTypeID] smallint  END;
IF COL_LENGTH(''STIFFTYPES'',''sStiffName'') IS NULL BEGIN ALTER TABLE [dbo].[STIFFTYPES] ADD [sStiffName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[STIFFTYPES] ALTER COLUMN [sStiffName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''STIFFTYPES'',''iStiffType'') IS NULL BEGIN ALTER TABLE [dbo].[STIFFTYPES] ADD [iStiffType] smallint NULL END ELSE BEGIN ALTER TABLE [dbo].[STIFFTYPES] ALTER COLUMN [iStiffType] smallint  END;
IF COL_LENGTH(''STIFFTYPES'',''fSpecificWeight'') IS NULL BEGIN ALTER TABLE [dbo].[STIFFTYPES] ADD [fSpecificWeight] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[STIFFTYPES] ALTER COLUMN [fSpecificWeight] decimal(28, 14)  END;
IF COL_LENGTH(''STIFFTYPES'',''sStiffDescription'') IS NULL BEGIN ALTER TABLE [dbo].[STIFFTYPES] ADD [sStiffDescription] nvarchar(100) NULL END ELSE BEGIN ALTER TABLE [dbo].[STIFFTYPES] ALTER COLUMN [sStiffDescription] nvarchar(100)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupName'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupName] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupName] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SUPPLIER'',''sSupAddress'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupAddress] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupCountry'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupCountry] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupTlf'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupTlf] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupFax'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupFax] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupMail'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupMail] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupContactName'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupContactName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupContactName] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupContactTlf'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupContactTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupContactTlf] nvarchar(50)  END;
IF COL_LENGTH(''SUPPLIER'',''sSupInformation'') IS NULL BEGIN ALTER TABLE [dbo].[SUPPLIER] ADD [sSupInformation] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[SUPPLIER] ALTER COLUMN [sSupInformation] ntext  END;
IF COL_LENGTH(''USER'',''sUser'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUser] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUser] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''USER'',''sUserAddress'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserAddress] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserCountry'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserCountry] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserTlf'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserTlf] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserFax'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserFax] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserMail'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserMail] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserWork'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserWork] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserWork] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserWorkTlf'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserWorkTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserWorkTlf] nvarchar(50)  END;
IF COL_LENGTH(''USER'',''sUserInformation'') IS NULL BEGIN ALTER TABLE [dbo].[USER] ADD [sUserInformation] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[USER] ALTER COLUMN [sUserInformation] ntext  END;
IF COL_LENGTH(''VARIABLES'',''sKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sKey] nvarchar(150) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sKey] nvarchar(150) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sSubKey'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sSubKey] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sSubKey] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''VARIABLES'',''sValue'') IS NULL BEGIN ALTER TABLE [dbo].[VARIABLES] ADD [sValue] nvarchar(255) NULL END ELSE BEGIN ALTER TABLE [dbo].[VARIABLES] ALTER COLUMN [sValue] nvarchar(255)  END;
IF COL_LENGTH(''VERSION'',''fVersion'') IS NULL BEGIN ALTER TABLE [dbo].[VERSION] ADD [fVersion] decimal(28, 14) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[VERSION] ALTER COLUMN [fVersion] decimal(28, 14) NOT NULL  END;
IF COL_LENGTH(''YARD'',''sShipYard'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sShipYard] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sShipYard] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''YARD'',''sYardAddress'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardAddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardAddress] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardPostNumber'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardPostNumber] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardPostNumber] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardPostaddress'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardPostaddress] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardPostaddress] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardCountry'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardCountry] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardCountry] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardTlf'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardTlf] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardFax'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardFax] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardFax] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardMail'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardMail] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardMail] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardContactName'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardContactName] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardContactName] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardContactTlf'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardContactTlf] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardContactTlf] nvarchar(50)  END;
IF COL_LENGTH(''YARD'',''sYardInformation'') IS NULL BEGIN ALTER TABLE [dbo].[YARD] ADD [sYardInformation] ntext NULL END ELSE BEGIN ALTER TABLE [dbo].[YARD] ALTER COLUMN [sYardInformation] ntext  END;
IF COL_LENGTH(''MET'',''SystemID'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [SystemID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [SystemID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''Method'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [Method] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [Method] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''ID'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [ID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [ID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''Type'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [Type] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [Type] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''MET'',''PlotParam'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [PlotParam] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [PlotParam] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstParam1'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam1] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam1] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower1'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower1] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower1] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam2'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam2] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam2] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower2'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower2] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower2] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam3'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam3] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam3] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower3'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower3] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower3] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''EstParam4'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstParam4] nvarchar(50) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstParam4] nvarchar(50)  END;
IF COL_LENGTH(''MET'',''EstPower4'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [EstPower4] decimal(28,14) NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [EstPower4] decimal(28,14)  END;
IF COL_LENGTH(''MET'',''LocalCoG'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [LocalCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [LocalCoG] bit  END;
IF COL_LENGTH(''MET'',''RelativeCoG'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [RelativeCoG] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [RelativeCoG] bit  END;
IF COL_LENGTH(''MET'',''bAbsYAxis'') IS NULL BEGIN ALTER TABLE [dbo].[MET] ADD [bAbsYAxis] bit NULL END ELSE BEGIN ALTER TABLE [dbo].[MET] ALTER COLUMN [bAbsYAxis] bit  END;
IF COL_LENGTH(''SHIP_POST'',''sShipID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sShipID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sShipID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''sPostID'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sPostID] nvarchar(50) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sPostID] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''sType'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [sType] nvarchar(20) NOT NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [sType] nvarchar(20) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''WBS'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [WBS] nvarchar(50) NOT NULL CONSTRAINT [DF_SHIP_POST_WBS] DEFAULT (N''WBS00'') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [WBS] nvarchar(50) NOT NULL  END;
IF COL_LENGTH(''SHIP_POST'',''fValue'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [fValue] decimal(28, 14) NULL END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [fValue] decimal(28, 14)  END;
IF COL_LENGTH(''SHIP_POST'',''Filter'') IS NULL BEGIN ALTER TABLE [dbo].[SHIP_POST] ADD [Filter] nvarchar(150) NOT NULL CONSTRAINT [DF_SHIP_POST_FILTER] DEFAULT (N'''') END ELSE BEGIN ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [Filter] nvarchar(150) NULL END;

UPDATE dbo.SHIP_POST SET Filter='''' WHERE [Filter] IS NULL;

commit'

exec(@cmd2)
set @cmd2='USE ' + @dbname + ';'
print 'B2'
-- Add defaults
set @cmd2 = @cmd2 +
'
begin transaction
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_POST_FILTER'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_POST''))   BEGIN    ALTER TABLE dbo.SHIP_POST ADD CONSTRAINT DF_SHIP_POST_FILTER DEFAULT((N'''')) FOR [Filter] END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_SHIP_POST_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.SHIP_POST''))   BEGIN    ALTER TABLE dbo.SHIP_POST ADD CONSTRAINT DF_SHIP_POST_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_COEFFICIENT_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.COEFFICIENT''))   BEGIN    ALTER TABLE dbo.COEFFICIENT ADD CONSTRAINT DF_COEFFICIENT_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_MAINCOEFF_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.MAINCOEFF''))   BEGIN    ALTER TABLE dbo.MAINCOEFF ADD CONSTRAINT DF_MAINCOEFF_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_REGRESSIONLINE_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.REGRESSIONLINE''))   BEGIN    ALTER TABLE dbo.REGRESSIONLINE ADD CONSTRAINT DF_REGRESSIONLINE_WBS DEFAULT((N''WBS00'')) FOR WBS END
IF NOT EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N''DF_REGRESSION_COMP_PARAM_WBS'') AND parent_object_id = OBJECT_ID(N''dbo.REGRESSION_COMP_PARAM''))   BEGIN    ALTER TABLE dbo.REGRESSION_COMP_PARAM ADD CONSTRAINT DF_REGRESSION_COMP_PARAM_WBS DEFAULT((N''WBS00'')) FOR WBS END
commit
'
exec(@cmd2)
print 'C'

set @cmd2='USE ' + @dbname + ';'

-- Update defaults
set @cmd2=@cmd2 +
'
begin transaction

ALTER TABLE [dbo].[SHIP_POST] ALTER COLUMN [Filter] nvarchar(150) NOT NULL;

UPDATE dbo.SHIP_POST SET wbs=''WBS00'' WHERE WBS IS NULL OR WBS = '''';
UPDATE dbo.COEFFICIENT SET wbs=''WBS00'' WHERE WBS IS NULL OR WBS = '''';
UPDATE dbo.MAINCOEFF SET wbs=''WBS00'' WHERE WBS IS NULL OR WBS = '''';
UPDATE dbo.REGRESSIONLINE SET wbs=''WBS00'' WHERE WBS IS NULL OR WBS = '''';
UPDATE dbo.REGRESSION_COMP_PARAM SET wbs=''WBS00'' WHERE WBS IS NULL OR WBS = '''';

commit
'
exec(@cmd2)
print 'D'

set @cmd2='USE ' + @dbname + ';'

-- Add constraints
set @cmd2=@cmd2 +
'

ALTER TABLE [dbo].[CODE] ADD CONSTRAINT [PK_CODE] PRIMARY KEY CLUSTERED(ProjectID ASC, CodeType ASC, CodeID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[CODETYPE] ADD CONSTRAINT [PK_CODETYPE] PRIMARY KEY CLUSTERED(ProjectID ASC, CodeType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[COEFFICIENT] ADD CONSTRAINT [PK_COEFFICIENT] PRIMARY KEY CLUSTERED(sPostID ASC, sPostType ASC, iShipType ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[DESIGNER] ADD CONSTRAINT [PK_DESIGNER] PRIMARY KEY CLUSTERED(sDesignerName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[EQUIPMENT] ADD CONSTRAINT [PK_EQUIPMENT] PRIMARY KEY CLUSTERED(sSupplier ASC, sDescription ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[ITEM] ADD CONSTRAINT [PK_ITEM] PRIMARY KEY CLUSTERED(ProjectID ASC, WgtGrp ASC, ItemNo ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[MAINCOEFF] ADD CONSTRAINT [PK_MAINCOEFF] PRIMARY KEY CLUSTERED(sPostID ASC, sPostType ASC, iShipType ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[MET] ADD CONSTRAINT [PK_MET] PRIMARY KEY CLUSTERED(SystemID ASC, Method ASC, ID ASC, Type ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[OWNER] ADD CONSTRAINT [PK_OWNER] PRIMARY KEY CLUSTERED(sOwner ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[POST_MET] ADD CONSTRAINT [PK_POST_MET] PRIMARY KEY CLUSTERED(sPostID ASC, sPostType ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[POST_SEARCH] ADD CONSTRAINT [PK_POST_SEARCH] PRIMARY KEY CLUSTERED(sPostID ASC, sIndex ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[PROJECT] ADD CONSTRAINT [PK_PROJECT] PRIMARY KEY CLUSTERED(sProjectID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[REGRESSION_COMP_PARAM] ADD CONSTRAINT [PK_REGRESSION_COMP_PARAM] PRIMARY KEY CLUSTERED(WgtGrp ASC, WgtGrpType ASC, Title ASC, Sort ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[REGRESSIONLINE] ADD CONSTRAINT [PK_REGRESSIONLINE] PRIMARY KEY CLUSTERED(WgtGrp ASC, WgtGrpType ASC, Title ASC, WBS ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP] ADD CONSTRAINT [PK_SHIP] PRIMARY KEY CLUSTERED(sShipID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 '
exec(@cmd2)
print 'E'

set @cmd2='USE ' + @dbname + ';'

-- Add constraints
set @cmd2=@cmd2 +
'
ALTER TABLE [dbo].[SHIP_FATT] ADD CONSTRAINT [PK_SHIP_FATT] PRIMARY KEY CLUSTERED(sShipID ASC, sFAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_IATT] ADD CONSTRAINT [PK_SHIP_IATT] PRIMARY KEY CLUSTERED(sShipID ASC, sIAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_POST] ADD CONSTRAINT [PK_SHIP_POST] PRIMARY KEY CLUSTERED(sShipID ASC, sPostID ASC, sType ASC, WBS ASC, [Filter] ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIP_TATT] ADD CONSTRAINT [PK_SHIP_TATT] PRIMARY KEY CLUSTERED(sShipID ASC, sTAttID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SHIPTYPE] ADD CONSTRAINT [PK_SHIPTYPE] PRIMARY KEY CLUSTERED(iSubShipTypeID ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[STIFFTYPES] ADD CONSTRAINT [PK_STIFFTYPES] PRIMARY KEY CLUSTERED(sStiffName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[SUPPLIER] ADD CONSTRAINT [PK_SUPPLIER] PRIMARY KEY CLUSTERED(sSupName ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[USER] ADD CONSTRAINT [PK_USER] PRIMARY KEY CLUSTERED(sUser ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[VARIABLES] ADD CONSTRAINT [PK_VARIABLES] PRIMARY KEY CLUSTERED(sKey ASC, sSubKey ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[VERSION] ADD CONSTRAINT [PK_VERSION] PRIMARY KEY CLUSTERED(fVersion ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 
ALTER TABLE [dbo].[YARD] ADD CONSTRAINT [PK_YARD] PRIMARY KEY CLUSTERED(sShipYard ASC) 
 WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
 

'

-- set version number
set @cmd2=@cmd2 +'
begin transaction
if exists (select * from dbo.sysobjects where id = object_id(N''[dbo].[VERSION]'') and OBJECTPROPERTY(id, N''IsUserTable'') = 1)
BEGIN
drop table [dbo].[VERSION]

CREATE TABLE [dbo].[VERSION] (
	[fVersion] [decimal](28, 14) NOT NULL ,
	CONSTRAINT [PK_VERSION] PRIMARY KEY  CLUSTERED 
	(
		[fVersion]
	)  ON [PRIMARY] 
) ON [PRIMARY]


INSERT INTO [dbo].[VERSION] ([fVersion])
	VALUES (14.00000000000000)
END
commit
'

exec(@cmd2)

Goto ReturnToLoop